jQuery(document).ready(function($) {
	"use strict";
	/**
	 * Load category tab.
	 */

	ajax_pagenav();

	$('.ajax-filter').on('click', 'ul li a', function(e) {
		e.preventDefault();

		$('.ajax-filter ul li a').removeClass('active');
		$(this).addClass('active');

		var cat 	= $(this).data('cat'),
			limit 	= $(this).data('limit'),
			pagi    = $(this).data('pagi'),
			style    = $(this).data('style');

		$.ajax({
			type: 'POST',
			dataType: 'html',
			url: riffel_admin_url.ajaxurl,
			data: {
				'cat'		: cat,
				'limit'  : limit,
				'pagi': pagi,
				'style': style,
				'action'	: 'riffel_portfolio_ajax'
			},
			beforeSend : function () {
				$(".rifl-masonry").append('<div class="post-spinner"><div class="loader-wrap"><div class="loader"><div class="loader-inner ball-pulse"></div></div></div></div>');
        $('.loader-inner').loaders();
        $('.rifl-masonry').isotope('reloadItems').isotope();
			},
			success: function (data) {
        $('.rifl-masonry').isotope('reloadItems').isotope();
				$(".rifl-masonry").html(data);

				$(".portfolio-item").mouseenter(function(){
		      $(this).addClass('rifl-hover');
		    });
		    $(".portfolio-item").mouseleave(function(){
		      $(this).removeClass('rifl-hover');
		    });
		    $('.portfolio-style-seven .portfolio-item').mouseenter(function(){
			    $(this).find('.portfolio-info').show();
			    $('.rifl-masonry').isotope();
			  });
			  $('.portfolio-style-seven .portfolio-item').mouseleave(function(){
			    $(this).find('.portfolio-info').hide();
			    $('.rifl-masonry').isotope();
			  });
			  $(".rifl-image img").lazyload();

		    var $masonryheight = $(".rifl-masonry").height();
		    $(".rifl-port-data").css('height', $masonryheight);

			  setTimeout(ajax_pagenav, 100);
			  $('div.rifl-pagination').hide();

			},
		});
	});

	function ajax_pagenav() {
		$(".ajax-page-numbers li").on( 'click', 'a', function(e){
			e.preventDefault();

			var page_no = $(this).data("page"),
			cat_slug = $(".ajax-filter a.active").data("cat"),
			limit 	= $(".ajax-filter a.active").data('limit'),
			pagi 	= $(".ajax-filter a.active").data('pagi'),
			style 	= $(".ajax-filter a.active").data('style');

			$.ajax({
				type: 'POST',
				dataType: 'html',
				url: riffel_admin_url.ajaxurl,
				data: {
					'cat': cat_slug,
					'offset': page_no,
					'limit'  : limit,
					'pagi': pagi,
					'style': style,
					'action': 'riffel_more_portfolio_ajax_pagi'
				},
				beforeSend : function () {
					$(".rifl-masonry").append('<div class="post-spinner"><div class="loader-wrap"><div class="loader"><div class="loader-inner ball-pulse"></div></div></div></div>');
					$('.loader-inner').loaders();
        	$('.rifl-masonry').isotope('reloadItems').isotope();
				},
				success: function (data) {
        	$('.rifl-masonry').isotope('reloadItems').isotope();
					$(".rifl-masonry").html(data);
					$(".rifl-image img").lazyload();
				},
				complete: function (data) {
					setTimeout( function(){
						$('.rifl-masonry').isotope('reloadItems').isotope();
						var $masonryheight = $(".rifl-masonry").height();
						$(".rifl-port-data").css('height', $masonryheight);
       		},100);
					// Pagination data link update
        	$('.rifl-masonry').isotope('reloadItems').isotope();
					$(".ajax-page-numbers .last").remove();
					$(".ajax-page-numbers .first").remove();
					$('.ajax-page-numbers a').removeClass('current disabled-click');
					$('.ajax-page-numbers a[data-page = '+ page_no +']').addClass('current disabled-click');
					if (page_no > 1) {
						$(".ajax-page-numbers").prepend('<li class="first update-item"><a class="prev page-numbers" data-page="'+(page_no - 1)+'" href="#"><i class="fa fa-angle-left"></i></a></li>');
					}
					var navcount = $(".ajax-page-numbers > li").not('.update-item').length;
					if (navcount >= (page_no+1)) {
						$(".ajax-page-numbers").append('<li class="last update-item"><a class="next page-numbers" data-page="'+(page_no + 1)+'" href="#"><i class="fa fa-angle-right"></i></a></li>');
					}
					$(".portfolio-item").mouseenter(function(){
			      $(this).addClass('rifl-hover');
			    });
			    $(".portfolio-item").mouseleave(function(){
			      $(this).removeClass('rifl-hover');
			    });
			    $('.direction-hover .portfolio-item').hoverdir ({
				    hoverElem: '.portfolio-info',
				    speed: 350,
				  });

					ajax_pagenav();
					$('div.rifl-pagination').hide();
				}
			});

		});
	}

});