/*
 * All Scripts Used in this Riffel Theme
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

(function($) {
  "use strict";
  //Rifl Sticky Header Script
  $('.rifl-header-sticky').sticky({topSpacing:0});

  //Rifl Toggle Script
  // $('.filter-two.masonry-filters').hide();

  $('.filter-toggle').on('click', function () {
    $(this).toggleClass('active');
    $('.header-right .masonry-filters, .filter-two.masonry-filters').toggleClass('open');
  });
  $('.menu-style-one').hide();
  $('.rifl-toggle').on('click', function () {
    $('html').toggleClass('rifl-menu-open');
    $('.rifl-menu').toggleClass('open');
      if($('.header-right .rifl-btn').is(':visible')){
        $('.header-right .masonry-filters').hide();
        $('.header-right .rifl-btn').hide();
      } else {
        $('.header-right .rifl-btn').fadeIn('slow');
        $('.header-right .masonry-filters').fadeIn('slow');
      }
    $('.menu-style-one').fadeToggle("medium");

    // $('.header-right .rifl-btn').fadeToggle(600);
    $('.rifl-header').toggleClass('menu-open');
  });
  $('.nav-style-two .rifl-toggle').on('click', function () {
    $('html').removeClass('rifl-menu-open');
    $(this).toggleClass('active');
  });
  $('.rifl-close').on('click', function () {
    $('html').removeClass('rifl-menu-open');
    $('.rifl-menu').removeClass('open');
    $('.rifl-header').removeClass('menu-open');
    $('.rifl-menu').addClass('closing');
    setTimeout (function() {
      $('.rifl-menu').removeClass('closing');
    }, 800);
  });
  $('.menu-item-has-children .dropdown-toggle').on('click', function(e) {
    e.stopPropagation();
    e.preventDefault();
  });

  //Rifl Masonry Script
  setTimeout( () => {
    var $grid = $('.rifl-masonry').imagesLoaded( function() {
      $grid.isotope ({
        itemSelector: '.masonry-item',
        layoutMode: 'packery',
      });
    });
    var filterFns = {
      ium: function() {
        var name = $(this).find('.name').text();
        return name.match( /ium$/ );
      }
    };
    $('.masonry-filters').on( 'click', 'a', function() {
      var filterValue = $( this ).attr('data-filter');
      filterValue = filterFns[ filterValue ] || filterValue;
      $grid.isotope({
        filter: filterValue
      });
    });
    $('.masonry-filters').each( function( i, buttonGroup ) {
      var $buttonGroup = $( buttonGroup );
      $buttonGroup.on( 'click', 'a', function() {
        $buttonGroup.find('.active').removeClass('active');
        $(this).addClass('active');
      });
    });
  }, 300);

  //Rifl Hover Script
  $('.portfolio-item, .member-list, .blog-item, .rifl-more-posts .more-posts-link, .share-portfolio').hover (
    function() {
      $(this).addClass('rifl-hover');
    },
    function() {
      $(this).removeClass('rifl-hover');
    }
  );

  //Rifl Get Data Color Script
  $('*').each(function() {
    $(this).css('background', $(this).attr('data-background'));
  });
  $('*').each(function() {
    $(this).css('color', $(this).attr('data-color'));
  });

  //Rifl Set Height Script
  $(window).resize(function() {
    $('.rifl-portfolio.horizontal-portfolio').height($(window).height() - $('.sticky-wrapper').height());
  });
  $(window).trigger('resize');

  //Rifl Slick Slider Script
  $('.slick-slider').each( function() {
      var $carousel = $(this);
      var $items = ($carousel.data('items') !== undefined) ? $carousel.data('items') : 4;
      var $items_scroll = ($carousel.data('items-scroll') !== undefined) ? $carousel.data('items-scroll') : 1;
      var $items_tablet = ($carousel.data('items-tablet') !== undefined) ? $carousel.data('items-tablet') : 3;
      var $items_mobile_landscape = ($carousel.data('items-mobile-landscape') !== undefined) ? $carousel.data('items-mobile-landscape') : 2;
      var $items_mobile_portrait = ($carousel.data('items-mobile-portrait') !== undefined) ? $carousel.data('items-mobile-portrait') : 1;
        $('.slick-slider').slick ({
          dots : ($carousel.data('dots') !== undefined) ? $carousel.data('dots') : false,
          arrows : ($carousel.data('nav') !== undefined) ? $carousel.data('nav') : false,
          infinite: ($carousel.data('loop') !== undefined) ? $carousel.data('loop') : true,
          autoplay : ($carousel.data('autoplay') !== undefined) ? $carousel.data('autoplay') : false,
          speed : ($carousel.data('autoplay-timeout') !== undefined) ? $carousel.data('autoplay-timeout') : 1000,
          slidesToShow: $items,
          slidesToScroll: $items_scroll,

          responsive: [
            {
              breakpoint: 1470,
              settings: {
                slidesToShow: $items_tablet,
              }
            },
            {
              breakpoint: 1025,
              settings: {
                slidesToShow: $items_mobile_landscape,
                slidesToScroll: 1,
              }
            },
            {
              breakpoint: 520,
              settings: {
                slidesToShow: $items_mobile_portrait,
                slidesToScroll: 1,
              }
            }
          ]
        })
    });
  
  $('.slick-slider')
  .on('init', function(event, slick){
    setTimeout( () => {
      $(".rifl-image img").lazyload();
    }, 300);
  })
  .on('beforeChange', function(event, slick, currentSlide, nextSlide){
    setTimeout( () => {
      $(".rifl-image img").lazyload();
    }, 300);
  })
  .on('afterChange', function(event, slick, currentSlide, nextSlide){
    setTimeout( () => {
      $(".rifl-image img").lazyload();
    }, 300);
  });

  //Rifl Write Erase Script
  Typed.new('#typed', {
    stringsElement: document.getElementById('typed-strings'),
    typeSpeed: 100,
    backDelay: 1500,
    loop: true,
    contentType: 'html',
    loopCount: null,
    cursorChar:"",
    callback: function() {
      foo();
    },
    resetCallback: function() {
      newTyped();
    }
  });
  var resetElement = document.querySelector('.reset');
  if(resetElement) {
    resetElement.addEventListener('click', function() {
      document.getElementById('typed')._typed.reset();
    });
  }
  function newTyped() {}
  function foo() {
    console.log('Callback');
  }

  //Rifl Dropdown Script
  $('.dropdown-item').hover (
    function() {
      $(this).find('ul.dropdown').first().stop(true, true).slideDown(180);
    },
    function() {
      $(this).find('ul.dropdown').first().stop(true, true).slideUp(180);
    }
  );

  //Rifl Popup Picture Script
  $('.popup-picture').magnificPopup ({
    delegate: 'a',
    type: 'image',
    closeOnContentClick: false,
    closeBtnInside: false,
    mainClass: 'mfp-with-zoom mfp-img-mobile',
    closeMarkup:'<div class="mfp-close" title="%title%"></div>',
    image: {
      verticalFit: true,
      titleSrc: function(item) {
        return item.el.attr('title') + ' &middot; <a class="image-source-link" href="'+item.el.attr('data-source')+'" target="_blank">image source</a>';
      }
    },
    gallery: {
      enabled: true,
      arrowMarkup:'<div title="%title%" class="mfp-arrow mfp-arrow-%dir%"></div>',
    },
    zoom: {
      enabled: true,
      duration: 300, // don't foget to change the duration also in CSS
      opener: function(element) {
        return element.find('img');
      }
    }
  });

  //Rifl Vertical Scroll Script
  $('.vertical-scroll').enscroll ({
    showOnHover: true,
    verticalScrolling: true
  });

  //Rifl Horizontal Scroll Script
  $('.horizontal-scroll').enscroll ({
    showOnHover: true,
    horizontalScrolling: true,
    verticalScrolling: false
  });

  //Rifl Add Class Script
  $('.blog-likes a').on('click', function() {
    $(this).toggleClass('active')
  });

  //Rifl Sticky Sidebar Script
  $('.rifl-sticky-sidebar').theiaStickySidebar ({
    additionalMarginTop: 150
  });
  $('.rifl-sticky-sidebar-two').theiaStickySidebar ({
    additionalMarginTop: 91
  });

  //Rifl Slider Script
  $('.rifl-slider').each( function() {
      var $carousel = $(this);
      var $items = ($carousel.data('items') !== undefined) ? $carousel.data('items') : 1;
      var $items_tablet = ($carousel.data('items-tablet') !== undefined) ? $carousel.data('items-tablet') : 1;
      var $items_mobile_landscape = ($carousel.data('items-mobile-landscape') !== undefined) ? $carousel.data('items-mobile-landscape') : 1;
      var $items_mobile_portrait = ($carousel.data('items-mobile-portrait') !== undefined) ? $carousel.data('items-mobile-portrait') : 1;
      $carousel.owlCarousel ({
        loop : ($carousel.data('loop') !== undefined) ? $carousel.data('loop') : true,
        items : $carousel.data('items'),
        margin : ($carousel.data('margin') !== undefined) ? $carousel.data('margin') : 0,
        dots : ($carousel.data('dots') !== undefined) ? $carousel.data('dots') : false,
        nav : ($carousel.data('nav') !== undefined) ? $carousel.data('nav') : false,
        navText : ["<div class='slider-no-current'><span class='current-no'></span><span class='total-no'></span></div><span class='current-monials'></span>", "<div class='slider-no-next'></div><span class='next-monials'></span>"],
        autoplay : ($carousel.data('autoplay') !== undefined) ? $carousel.data('autoplay') : false,
        autoplayTimeout : ($carousel.data('autoplay-timeout') !== undefined) ? $carousel.data('autoplay-timeout') : 5000,
        animateOut : ($carousel.data('animateout') !== undefined) ? $carousel.data('animateout') : false,
        mouseDrag : ($carousel.data('mouse-drag') !== undefined) ? $carousel.data('mouse-drag') : true,
        autoWidth : ($carousel.data('auto-width') !== undefined) ? $carousel.data('auto-width') : false,
        autoHeight : ($carousel.data('auto-height') !== undefined) ? $carousel.data('auto-height') : false,
        center : ($carousel.data('center') !== undefined) ? $carousel.data('center') : false,
        responsiveClass: true,
        dotsEachNumber: true,
        responsive : {
          0 : {
            items : $items_mobile_portrait,
          },
          480 : {
            items : $items_mobile_landscape,
          },
          768 : {
            items : $items_tablet,
          },
          960 : {
            items : $items,
          }
        }
      });
      var totLength = $('.owl-dot', $carousel).length;
      $('.total-no', $carousel).html(totLength);
      $('.current-no', $carousel).html(totLength);
      $carousel.owlCarousel();
      $('.current-no', $carousel).html(1);
      $carousel.on('changed.owl.carousel', function(event) {
        var total_items = event.page.count;
        var currentNum = event.page.index + 1;
        $('.total-no', $carousel ).html(total_items);
        $('.current-no', $carousel).html(currentNum);
      });
    });

  //Rifl Floting Sidebar Script
  var $flotingbarFunc = function() {
    var $window = jQuery(window),
    $flotingbar = jQuery('.rifl-floting-sidebar'),
    offset = jQuery('.rifl-portfolio-full-wrap, .rifl-mid-wrap').offset(),
    $scrolling = jQuery('.rifl-primary').height(),
    $offsetHeight = jQuery('.rifl-primary').offset(),
    $topHeight = 62;
    if (jQuery('.rifl-floting-sidebar').length > 0) {
      if ($window.width() > 1023) {
        if (($window.scrollTop() + $topHeight) > offset.top) {
          if ($window.scrollTop() + $topHeight + $flotingbar.height() + 50 < $offsetHeight.top + $scrolling) {
            $flotingbar.stop().animate ({
              marginTop: ($window.scrollTop() - offset.top) + $topHeight + 30,
            });
          }
          else {
            $flotingbar.stop().animate ({
              marginTop: ($scrolling - $flotingbar.height() - 80) + 30,
            });
          }
        }
        else {
          $flotingbar.stop().animate ({
            marginTop: 0,
          });
        }
      }
      else {
        $flotingbar.css('margin-top', 0);
      }
    }
  }
  $flotingbarFunc();

  //Rifl Main Slider Script
  $('.main-slider').flexslider ({
    animation: 'slide',
    controlNav: false,
    animationLoop: false,
    slideshow: false,
    sync: '.thumb-slider',
    start: function() {
      $('body').removeClass('loading');
    }
  });
  $('.thumb-slider').flexslider ({
    animation: "slide",
    controlNav: false,
    animationLoop: false,
    slideshow: false,
    itemWidth: 242,
    itemMargin: 10,
    asNavFor: '.main-slider'
  });

  //Rifl Parallax Script
  if (screen.width >= 768) {
    if ( $('.rifl-parallax').length > 0 ) {
      $.parallax ({
        scrollProperty: 'scroll',
        verticalOffset: 0,
        horizontalOffset: 0,
        horizontalScrolling: false,
        responsive: true
     });
    }
  }

  //Rifl Get Window Height Script
  $(window).resize(function() {
    $('.rifl-portfolio-banner.portfolio-banner-style-two').height (
      $(window).height()
    );
  });
  $(window).trigger('resize');

  //Rifl Back Top Script
  jQuery('.rifl-back-top').hide();
  
  jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 150) {
      jQuery('.rifl-back-top').fadeIn();
    }
    else {
      jQuery('.rifl-back-top').fadeOut();
    }
  });

  jQuery('.rifl-back-top a').click(function () {
    jQuery('body,html').animate ({
      scrollTop: 0
    }, 1000);
    return false;
  });

  //Rifl Loader Script
  $('.rifl-preloader').fadeOut(500, function() {});

  //Rifl Menu Script
  $('.dl-menuwrapper').dlmenu ({
    animationClasses : {
      classin : 'dl-animate-in-2',
      classout : 'dl-animate-out-2'
    },
  });

  // Fit video Height Script
  // $(".rifl-portfolio-video").fitVids();
  // $(".rifl-portfolio-video").fitVids({ customSelector: "iframe[src^='https://player.vimeo.com']"});

  // Lazy Load Image
  setTimeout( () => {
    $(".rifl-image img").lazyload();
  }, 300);

  // Infinite Scroll Icon
  $('.load-posts').each( function() {
    var $paging = $(this);
    var paging_type = ($paging.data('paging') !== undefined) ? $paging.data('paging') : '';
    var paging_icon = ($paging.data('icon') !== undefined) ? $paging.data('icon') : '';
    if (paging_type === 'infinite-scroll'){
      $('.loader-inner').addClass(paging_icon);
      $('.rifl-preloader img').hide();
    } else {
      $('.rifl-preloader img').show();
    }
  });

  $('.load-portfolio').each( function() {
    var $paging = $(this);
    var paging_type = ($paging.data('paging') !== undefined) ? $paging.data('paging') : '';
    var paging_icon = ($paging.data('icon-port') !== undefined) ? $paging.data('icon-port') : '';
    if (paging_type === 'infinite-scroll'){
      $('.loader-inner').addClass(paging_icon);
      $('.rifl-preloader img').hide();
    } else {
      $('.rifl-preloader img').show();
    }
  });

  (function(a){var b={"ball-pulse":3,"ball-grid-pulse":9,"ball-clip-rotate":1,"ball-clip-rotate-pulse":2,"square-spin":1,"ball-clip-rotate-multiple":2,"ball-pulse-rise":5,"ball-rotate":1,"cube-transition":2,"ball-zig-zag":2,"ball-zig-zag-deflect":2,"ball-triangle-path":3,"ball-scale":1,"line-scale":5,"line-scale-party":4,"ball-scale-multiple":3,"ball-pulse-sync":3,"ball-beat":3,"line-scale-pulse-out":5,"line-scale-pulse-out-rapid":5,"ball-scale-ripple":1,"ball-scale-ripple-multiple":3,"ball-spin-fade-loader":8,"line-spin-fade-loader":8,"triangle-skew-spin":1,pacman:5,"ball-grid-beat":9,"semi-circle-spin":1,"ball-scale-random":3},c=function(a){var b=[];for(i=1;i<=a;i++)b.push("<div></div>");return b};a.fn.loaders=function(){return this.each(function(){var d=a(this);a.each(b,function(a,b){d.hasClass(a)&&d.html(c(b))})})},a(function(){a.each(b,function(b,d){a(".loader-inner."+b).html(c(d))})})}).call(window,window.$||window.jQuery||window.Zepto);

  })(jQuery);
