<?php
/*
 * The template for displaying the footer.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );

if ($riffel_meta) {
  $riffel_footer_style = $riffel_meta['footer_style'];
  $riffel_hide_footer = $riffel_meta['hide_footer'];
	$riffel_hide_copyright = $riffel_meta['need_copyright'];
} else {
  $riffel_footer_style = cs_get_option('footer_style');
  $riffel_hide_footer = '';
  $riffel_hide_copyright = '';
}

$show_copyright = cs_get_option('need_copyright');

if ($riffel_meta && $riffel_footer_style !== 'default') {
  $riffel_footer_style  = $riffel_meta['footer_style'];
} else {
  $riffel_footer_style = cs_get_option('footer_style');
}

if ($riffel_footer_style === 'white-version') {
  $footer_style_class = 'footer-light-version';
} else {
  $footer_style_class = 'footer-dark-version';
}

$rifl_back_to_top = cs_get_option('back_to_top');

// Rifl Footer
if (!$riffel_hide_footer){ 
    if (!is_active_sidebar('footer-1') && !is_active_sidebar('footer-2') && !is_active_sidebar('footer-3') && !is_active_sidebar('footer-4')) {
      $foo_cls = ' dhav-widget';
    } else {
      $foo_cls = '';
    }
	$footer_widget_block = cs_get_option('footer_widget_block');
	if (isset($footer_widget_block)) {
  ?>
  <footer class="rifl-footer <?php echo esc_attr($footer_style_class . $foo_cls); ?>">
    <div class="row">
      <?php
        // Footer Widget Block
        get_template_part( 'layouts/footer/footer', 'widgets' );
      ?>
    </div>
  </footer>
<?php } }
if ($riffel_hide_copyright == 'enable') { ?>
  <div class="rifl-copyright copyright-style-two">
    <div class="row">
      <?php get_template_part( 'layouts/footer/footer', 'copyright' ); // Copyright Block ?>
    </div>
  </div>
<?php } elseif ($show_copyright && $riffel_hide_copyright != 'disable') { ?>
  <div class="rifl-copyright copyright-style-two">
    <div class="row">
      <?php get_template_part( 'layouts/footer/footer', 'copyright' ); // Copyright Block ?>
    </div>
  </div>
<?php }

// Rifl Back Top
if ($rifl_back_to_top) { ?>
  <div class="rifl-back-top">
    <a href="#0"><i class="fa fa-angle-up" aria-hidden="true"></i></a>
  </div>
<?php }

// Rifl Preloader
riffel_pre_loader() ?>

</div><!-- #vtheme-wrapper -->
</div><!-- body under div -->
</div>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>