<?php
/*
 * The header for our theme.
 * Author & Copyright: VictorThemes
 * URL: http://themeforest.net/user/VictorThemes
 */
?><!DOCTYPE html>

<!--[if !IE]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<?php
$riffel_viewport = cs_get_option('theme_responsive');
if($riffel_viewport == 'on') { ?>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php } else { }

// if the `wp_site_icon` function does not exist (ie we're on < WP 4.3)
if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
  if (cs_get_option('brand_fav_icon')) {
    echo '<link rel="shortcut icon" href="'. esc_url(wp_get_attachment_url(cs_get_option('brand_fav_icon'))) .'" />';
  } else { ?>
    <link rel="shortcut icon" href="<?php echo esc_url(RIFFEL_IMAGES); ?>/favicon.png" />
  <?php }
  if (cs_get_option('iphone_icon')) {
    echo '<link rel="apple-touch-icon" sizes="57x57" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_icon'))) .'" >';
  }
  if (cs_get_option('iphone_retina_icon')) {
    echo '<link rel="apple-touch-icon" sizes="114x114" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_retina_icon'))) .'" >';
    echo '<link name="msapplication-TileImage" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_retina_icon'))) .'" >';
  }
  if (cs_get_option('ipad_icon')) {
    echo '<link rel="apple-touch-icon" sizes="72x72" href="'. esc_url(wp_get_attachment_url(cs_get_option('ipad_icon'))) .'" >';
  }
  if (cs_get_option('ipad_retina_icon')) {
    echo '<link rel="apple-touch-icon" sizes="144x144" href="'. esc_url(wp_get_attachment_url(cs_get_option('ipad_retina_icon'))) .'" >';
  }
}
$riffel_all_element_color  = cs_get_customize_option( 'all_element_colors' );
?>
 <!-- echo '<pre>'. json_encode( get_option('_cs_options') ) .'</pre>'; -->


<meta name="msapplication-TileColor" content="<?php echo esc_attr($riffel_all_element_color); ?>">
<meta name="theme-color" content="<?php echo esc_attr($riffel_all_element_color); ?>">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php
// Metabox
global $post;
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $riffel_id : false;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );
 

//echo '<pre>'. json_encode( get_option('_cs_options') ) .'</pre>';


if ($riffel_meta) {
  $portfolio_page_selection = $riffel_meta['portfolio_page_selection'];
  $portfolio_show_category = $riffel_meta['portfolio_show_category'];
} else {
  $portfolio_page_selection = '';
  $portfolio_show_category = '';
}

$portfolio_link = cs_get_option('portfolio_home_url');
$portfolio_link = ($portfolio_page_selection) ? 'javascript:void(0);' : $portfolio_link;

// Parallax
$riffel_bg_parallax = cs_get_option('theme_bg_parallax');
$riffel_hav_parallax = $riffel_bg_parallax ? ' parallax-window' : '';
$riffel_parallax_speed = cs_get_option('theme_bg_parallax_speed');
$riffel_bg_parallax_speed = $riffel_parallax_speed ? $riffel_parallax_speed : '0.4';

// Theme Layout Width
$riffel_bg_overlay_color  = cs_get_option( 'theme_bg_overlay_color' );
$riffel_layout_width  = cs_get_option( 'theme_layout_width' );
$riffel_layout_width_class = ($riffel_layout_width === 'container') ? 'layout-boxed'. $riffel_hav_parallax : 'layout-full';

// Header Style
if ($riffel_meta) {
  $transparency_header  = $riffel_meta['transparency_header'];
  $header_width  = $riffel_meta['header_width'];
  $rifl_hide_header = $riffel_meta['hide_header'];
  $rifl_sticky_header  = $riffel_meta['stick_header'];
  $rifl_cart_widget  = $riffel_meta['cart_widget'];
} else {
  $transparency_header  = cs_get_option('transparent_header');
  $header_width  = '';
  $rifl_hide_header = '';
  $rifl_sticky_header  = cs_get_option('sticky_header');
  $rifl_cart_widget  = cs_get_option('cart_widget');
}

$header_width_actual  = cs_get_option('header_width');
if ($header_width === 'container') {
  $header_width_cls = 'header-container ';
} elseif ($header_width_actual && $header_width !== 'wide' ) {
  $header_width_cls = 'header-container ';
} else {
  $header_width_cls = 'header-wide ';
}

if($riffel_meta && $riffel_meta['stick_header']){
  $rifl_sticky_header  = $riffel_meta['stick_header'];
} else {
  $rifl_sticky_header  = cs_get_option('sticky_header');
}
if($riffel_meta && $riffel_meta['transparency_header']){
  $transparency_header  = $riffel_meta['transparency_header'];
} else {
  $transparency_header  = cs_get_option('transparent_header');
}
// Header
$rifl_sticky_header_class = $rifl_sticky_header ? 'rifl-header-sticky ' : '';
$rifl_transparency_header_class = $transparency_header ? ' transparent-header ' : '';

// Header Transparent
if ($riffel_meta) {
  $riffel_transparent_header = $riffel_meta['transparency_header'];
  $riffel_menu_style = $riffel_meta['menu_style'];
  $riffel_transparent_header = $riffel_transparent_header ? ' transparent-header' : ' dont-transparent';
  // Shortcode Banner Type
  $riffel_banner_type = ' '. $riffel_meta['banner_type'];
} else {
  $riffel_transparent_header = ' dont-transparent';
  $riffel_menu_style = cs_get_option('menu_style');
  $riffel_banner_type = '';
}
if ($riffel_meta && $riffel_menu_style !== '') {
  $riffel_menu_style = $riffel_meta['menu_style'];
} else {
  $riffel_menu_style = cs_get_option('menu_style');
}

wp_head();
?>
</head>
<body <?php body_class(); ?>>
<?php
if ($riffel_bg_parallax) { ?>
  <div class="<?php echo esc_attr($riffel_layout_width_class); ?>" data-stellar-background-ratio="<?php echo esc_attr($riffel_bg_parallax_speed); ?>">
<?php } else {?>
  <div class="<?php echo esc_attr($riffel_layout_width_class); ?>">
<?php }

if($riffel_bg_overlay_color) { ?>
  <div class="layout-overlay" style="background-color: <?php echo esc_attr($riffel_bg_overlay_color); ?>;"></div>
<?php } ?>

<div id="vtheme-wrapper"> <!-- #vtheme-wrapper -->
<?php if (!$rifl_hide_header) { // Hide Header - Metabox
// Brand & Info
if ($riffel_menu_style === 'style-two') {
  $menu_style_class = ' ';
} else {
  $menu_style_class = 'nav-style-two ';
} 

// Filter filter Text
$filter_text = cs_get_option('filter_text');
$filter_text = $filter_text ? $filter_text : esc_html__( 'Filter', 'riffel' );

// Filter All Text
$all_text = cs_get_option('all_text');
$all_text = $all_text ? $all_text : esc_html__( 'All', 'riffel' );


?>
<div class="rifl-main-wrap <?php echo esc_attr($menu_style_class . $rifl_transparency_header_class); ?>">
  <!-- Rifl Header -->
  <header class="rifl-header <?php echo esc_attr($rifl_sticky_header_class); ?>">
    <div class="rifl-head-inner <?php echo esc_attr($header_width_cls);?>">
      <?php
      // Brand Logo
      get_template_part( 'layouts/header/logo' ); ?>
      <div class="header-right">
        <?php if($portfolio_page_selection){ ?>
        <div class="masonry-filters">
          <ul>
           <?php
            if ($portfolio_show_category) {
              $cat_name = explode(',', $portfolio_show_category);
              $terms = $cat_name;
              $count = count($terms);
              if ($count > 0) {
                echo '<li><a href="javascript:void(0);" data-filter="*">'.esc_attr($all_text).'</a></li>';
                foreach ($terms as $term) {
                  echo '<li class="cat-'. preg_replace('/\s+/', "", strtolower($term)) .'"><a href="javascript:void(0);" class="filter cat-'. preg_replace('/\s+/', "", strtolower($term)) .'" data-filter=".'. preg_replace('/\s+/', "", strtolower($term)) .'-item" title="' . str_replace('-', " ", strtolower($term)) . '">' . str_replace('-', " ", strtolower($term)) . '</a></li>';
                 }
              }
            } else {
              $terms = get_terms('portfolio_category');
              $count = count($terms);
              $i=0;
              $term_list = '';
              if ($count > 0) {
                echo '<li><a href="javascript:void(0);" data-filter="*">'.esc_attr($all_text).'</a></li>';
                foreach ($terms as $term) {
                  $i++;
                  $term_list .= '<li><a href="javascript:void(0);" class="filter cat-'. $term->slug .'" data-filter=".'. $term->slug .'-item" title="' . esc_attr($term->name) . '">' . $term->name . '</a></li>';
                  if ($count != $i) {
                    $term_list .= '';
                  } else {
                    $term_list .= '';
                  }
                }
                echo $term_list;
              }
            } ?>
          </ul>
        </div>
          <a href="javascript:void(0);" class="rifl-btn rifl-btn-gray-border rifl-btn-small filter-toggle"><?php echo esc_attr($filter_text); ?></a>
          <?php } if ($riffel_menu_style === 'style-two') { ?>
            <a href="javascript:void(0);" class="rifl-toggle inactive"><span class="toggle-separator"></span></a>
          <?php } ?>
        <?php get_template_part( 'layouts/header/menu', 'bar' );?>
      </div>
    </div>
  </header>
  <?php } // Hide Header - Metabox
