<?php
/*
 * All CSS and JS files are enqueued from this file
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

/**
 * Enqueue Files for FrontEnd
 */
if ( ! function_exists( 'riffel_vt_scripts_styles' ) ) {
  function riffel_vt_scripts_styles() {

    // Styles
    wp_enqueue_style( 'font-awesome', RIFFEL_THEMEROOT_URI . '/inc/theme-options/cs-framework/assets/css/font-awesome.min.css' );
    wp_enqueue_style( 'bootstrap', RIFFEL_CSS .'/bootstrap.min.css', array(), '4.5.3', 'all' );
    wp_enqueue_style( 'own-carousel', RIFFEL_CSS .'/owl.carousel.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'magnific-popup', RIFFEL_CSS .'/magnific-popup.css', array(), '1.1.0', 'all' );
    wp_enqueue_style( 'slick-theme', RIFFEL_CSS .'/slick-theme.css', array(), '1.6.0', 'all' );
    wp_enqueue_style( 'slick', RIFFEL_CSS .'/slick.css', array(), '1.6.0', 'all' );
    wp_enqueue_style( 'dlmenu', RIFFEL_CSS .'/dlmenu.min.css', array(), '1.0.1', 'all' );
    wp_enqueue_style( 'loaders', RIFFEL_CSS .'/loaders.min.css', array(), RIFFEL_VERSION, 'all' );
    wp_enqueue_style( 'flexslider', RIFFEL_CSS .'/flexslider.css', array(), '2.6.2', 'all' );
    wp_enqueue_style( 'riffel-style', RIFFEL_CSS .'/styles.css', array(), RIFFEL_VERSION, 'all' );

    // Scripts
    wp_enqueue_script( 'bootstrap', RIFFEL_SCRIPTS . '/bootstrap.min.js', array( 'jquery' ), '4.5.3', true );
    wp_enqueue_script( 'html5shiv', RIFFEL_SCRIPTS . '/html5shiv.js', array( 'jquery' ), '3.7.0', true );
    wp_enqueue_script( 'respond', RIFFEL_SCRIPTS . '/respond.min.js', array( 'jquery' ), '1.4.2', true );
    wp_enqueue_script( 'placeholders', RIFFEL_SCRIPTS . '/placeholders.min.js', array( 'jquery' ), '4.0.1', true );
    wp_enqueue_script( 'jquery-sticky', RIFFEL_SCRIPTS . '/jquery.sticky.min.js', array( 'jquery' ), '1.0.4', true );
    wp_enqueue_script( 'modernizr-custom', RIFFEL_SCRIPTS . '/modernizr-custom.js', array( 'jquery' ), '3.2.0', true );
    wp_enqueue_script( 'classie', RIFFEL_SCRIPTS . '/classie.min.js', array( 'jquery' ), '1.0.1', true );
    wp_enqueue_script( 'main', RIFFEL_SCRIPTS . '/main.js', array( 'jquery' ), RIFFEL_VERSION, true );
    wp_enqueue_script( 'imagesloaded', RIFFEL_SCRIPTS . '/imagesloaded.pkgd.js', array( 'jquery' ), '5.0.0', true );
    wp_enqueue_script( 'isotope', RIFFEL_SCRIPTS . '/isotope.min.js', array( 'jquery' ), '3.0.1', true );
    wp_enqueue_script( 'packery-mode', RIFFEL_SCRIPTS . '/packery-mode.pkgd.min.js', array( 'jquery' ), '2.0.0', true );
    wp_enqueue_script( 'typed', RIFFEL_SCRIPTS . '/typed.min.js', array( 'jquery' ), RIFFEL_VERSION, true );
    wp_enqueue_script( 'jquery-scrollme', RIFFEL_SCRIPTS . '/jquery.scrollme.min.js', array( 'jquery' ), RIFFEL_VERSION, true );
    wp_enqueue_script( 'loaders', RIFFEL_SCRIPTS . '/loaders.css.js', array( 'jquery' ), RIFFEL_VERSION, true );
    wp_enqueue_script( 'slick', RIFFEL_SCRIPTS . '/slick.min.js', array( 'jquery' ), '1.6.0', true );
    wp_enqueue_script( 'magnific-popup', RIFFEL_SCRIPTS . '/magnific-popup.min.js', array( 'jquery' ), '1.1.0', true );
    wp_enqueue_script( 'enscroll', RIFFEL_SCRIPTS . '/enscroll.min.js', array( 'jquery' ), '0.6.2', true );
    wp_enqueue_script( 'theia-sticky-sidebar', RIFFEL_SCRIPTS . '/theia-sticky-sidebar.min.js', array( 'jquery' ), '1.5.0', true );
    wp_enqueue_script( 'owl-carousel', RIFFEL_SCRIPTS . '/owl.carousel.min.js', array( 'jquery' ), '2.1.6', true );
    wp_enqueue_script( 'flexslider', RIFFEL_SCRIPTS . '/flexslider.min.js', array( 'jquery' ), '2.6.3', true );
    wp_enqueue_script( 'parallax', RIFFEL_SCRIPTS . '/parallax.min.js', array( 'jquery' ), '0.6.2', true );
    wp_enqueue_script( 'jquery-fitvids', RIFFEL_SCRIPTS . '/jquery.fitvids.min.js', array( 'jquery' ), '1.1', true );
    wp_enqueue_script( 'jquery-lazyload', RIFFEL_SCRIPTS . '/jquery.lazyload.min.js', array( 'jquery' ), '2.0.0', true );
    wp_enqueue_script( 'riffel-scripts', RIFFEL_SCRIPTS . '/scripts.js', array( 'jquery' ), RIFFEL_VERSION, true );

    // Comments
    wp_enqueue_script( 'validate', RIFFEL_SCRIPTS . '/jquery.validate.min.js', array( 'jquery' ), '1.9.0', true );
    wp_add_inline_script( 'validate', 'jQuery(document).ready(function($) {$("#commentform").validate({rules: {author: {required: true,minlength: 2},email: {required: true,email: true},comment: {required: true,minlength: 10}}});});' );

    // Responsive Active
    $riffel_viewport = cs_get_option('theme_responsive');
    if($riffel_viewport == 'on') {
      wp_enqueue_style( 'riffel-responsive', RIFFEL_CSS .'/responsive.css', array(), RIFFEL_VERSION, 'all' );
    }

    // Adds support for pages with threaded comments
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }

  }
  add_action( 'wp_enqueue_scripts', 'riffel_vt_scripts_styles' );
}

/**
 * Enqueue Files for BackEnd
 */
if ( ! function_exists( 'riffel_vt_admin_scripts_styles' ) ) {
  function riffel_vt_admin_scripts_styles() {

    wp_enqueue_style( 'riffel-admin-main', RIFFEL_CSS . '/admin-styles.css', true );
    wp_enqueue_script( 'riffel-admin-scripts', RIFFEL_SCRIPTS . '/admin-scripts.js', true );

  }
  add_action( 'admin_enqueue_scripts', 'riffel_vt_admin_scripts_styles' );
}

/* Enqueue All Styles */
if ( ! function_exists( 'riffel_vt_wp_enqueue_styles' ) ) {
  function riffel_vt_wp_enqueue_styles() {
    riffel_vt_google_fonts();
    add_action( 'wp_head', 'riffel_vt_custom_css', 99 );
  }
  add_action( 'wp_enqueue_scripts', 'riffel_vt_wp_enqueue_styles' );
}
