<?php

if (!function_exists('riffel_portfolio_ajax_scripts')) {
  function riffel_portfolio_ajax_scripts() {
    wp_enqueue_script( 'riffel-more-cat-post', RIFFEL_SCRIPTS . '/load-more-portfolio.js', array( 'jquery' ), RIFFEL_VERSION, false );
    $riffel_admin_url = array(
      'ajaxurl' => admin_url('admin-ajax.php'),
      'olderpost' => (cs_get_option('older_post')) ? : esc_html__( 'Prev', 'riffel' ),
      'newerpost' => (cs_get_option('newer_post')) ? : esc_html__( 'Next', 'riffel' ),
    );
    wp_localize_script( 'riffel-more-cat-post', 'riffel_admin_url', $riffel_admin_url );
  }
  add_action('wp_enqueue_scripts', 'riffel_portfolio_ajax_scripts');
}

if (!function_exists('riffel_portfolio_ajax')) {
  function riffel_portfolio_ajax(){

    $cat     = (isset($_POST['cat'])) ? $_POST['cat'] : '';
    $portfolio_style     = (isset($_POST['style'])) ? $_POST['style'] : '';
    $items   = (isset($_POST['limit'])) ? $_POST['limit'] : '5';
    $pagi    = (isset($_POST['pagi'])) ? $_POST['pagi'] : 'hav-pagi';
    $aqr    = (isset($_POST['aqr'])) ? $_POST['aqr'] : 'hav-aqr';

    if (!$items) {
      $ppp = 5;
    } else {
      $ppp = $items;
    }

    $args = array(
      'post_type'       => 'portfolio',
      'posts_per_page'  => $items,
      'portfolio_category'   => $cat,
      'post_status'     => 'publish',
    );

    $cat_query = new WP_Query($args); ?>
      <div class="rifl-port-data">
        <?php if ($cat_query->have_posts()) : while ($cat_query->have_posts()) : $cat_query->the_post();
          // Category
        global $post;
        $terms = wp_get_post_terms($post->ID,'portfolio_category');
        foreach ($terms as $term) {
          $cat_class = $term->slug.'-item';
        }
        $count = count($terms);
        $i=0;
        $cat_class = '';
        if ($count > 0) {
          foreach ($terms as $term) {
            $i++;
            $cat_class .= $term->slug .'-item ';
            if ($count != $i) {
              $cat_class .= '';
            } else {
              $cat_class .= '';
            }
          }
        }

        if ($portfolio_style === 'horizontal') {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          $large_image = isset($large_image[0]) ? $large_image[0] : '';
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
            if ($portfolio_featurd_image){
              $masonry_img_size = $portfolio_featurd_image['masonry_img_size'];
              $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
              $title_color = $portfolio_featurd_image['title_color'];
              $category_color = $portfolio_featurd_image['category_color'];
              if($portfolio_featurd_image['featured_image_horizontal']) {
                $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_horizontal'], 'fullsize', true );
              } else {
                $portfolio_masonry_img = $large_image;
              }
            } else {
              $portfolio_masonry_img = $large_image;
              $masonry_img_size = '';
              $featured_image_bg = '';
              $title_color = '';
              $category_color = '';
            }
            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';

            if(class_exists('Aq_Resize')) {
              $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '895', true );
            } else {$portfolio_img = $portfolio_masonry_img;}
            $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x895.png';
           ?>
        <div class="item">
          <div class="portfolio-item">
            <div class="rifl-image"><img data-original="<?php echo $portfolio_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
            <div class="portfolio-info">
              <div class="rifl-table-container">
                <div class="rifl-align-container bottom">
                  <div class="portfolio-info-wrap">
                    <h3 class="portfolio-title"><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($open_link); ?> <?php echo esc_attr($title_color); ?> class="bpw-heading"><?php esc_html(the_title()); ?></a></h3>
                    <h5 class="portfolio-category"><span class="category-name">
                    <?php
                      $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                      $i=1;
                      foreach ($category_list as $term) {
                        $term_link = get_term_link( $term );
                        echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                      }
                    ?>
                    </span></h5>
                  </div>
                </div>
              </div>
              <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
            </div>
          </div>
        </div>

        <?php
        } elseif ($portfolio_style === 'vertical') {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          $large_image = isset($large_image[0]) ? $large_image[0] : '';
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
            if ($portfolio_featurd_image){
                $title_color = $portfolio_featurd_image['title_color'];
                $category_color = $portfolio_featurd_image['category_color'];
                $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
              if($portfolio_featurd_image['featured_image_vertical']) {
                $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_vertical'], 'fullsize', true );
              } else {
                $portfolio_masonry_img = $large_image;
              }
            } else {
              $portfolio_masonry_img = $large_image;
              $featured_image_bg = '';
              $title_color = '';
              $category_color = '';
            }

            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';
            $portfolio_img = $portfolio_masonry_img;
            $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/1903x543.png';
           ?>
           <div class="masonry-item <?php echo esc_attr($cat_class); ?>">
            <div class="portfolio-item">
              <div class="rifl-image"><img data-original="<?php echo $portfolio_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
              <div class="portfolio-info">
                <div class="rifl-table-container">
                  <div class="rifl-align-container">
                    <div class="container">
                      <div class="portfolio-info-wrap">
                        <h5 class="portfolio-category"><span class="category-name">
                          <?php
                            $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                            $i=1;
                            foreach ($category_list as $term) {
                              $term_link = get_term_link( $term );
                              echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                            }
                          ?>
                        </h5>
                        <h3 class="portfolio-title "><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($open_link); ?> <?php echo esc_attr($title_color); ?> class="bpw-heading"><?php esc_html(the_title()); ?></a></h3>
                      </div>
                    </div>
                  </div>
                </div>
                <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
              </div>
            </div>
          </div>

        <?php
        } elseif($portfolio_style === 'style-three') {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          $large_image = isset($large_image[0]) ? $large_image[0] : '';
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
            if ($portfolio_featurd_image){
              $masonry_img_size = $portfolio_featurd_image['masonry_img_size'];
              $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
              $title_color = $portfolio_featurd_image['title_color'];
              $category_color = $portfolio_featurd_image['category_color'];
              if($portfolio_featurd_image['featured_image_masonry']) {
                $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_masonry'], 'fullsize', true );
              } else {
                $portfolio_masonry_img = $large_image;
              }
            } else {
              $portfolio_masonry_img = $large_image;
              $masonry_img_size = '';
              $featured_image_bg = '';
              $title_color = '';
              $category_color = '';
            }

            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';

          if ($masonry_img_size) {
            if ($masonry_img_size === '2x-height') {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/408x806.png';
              $img_size_class = 'double-height ';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '408', '806', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            } elseif ($masonry_img_size === '2x-width') {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/855x390.png';
              $img_size_class = 'double-width ';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '855', '390', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            } elseif ($masonry_img_size === '2x-width-height') {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/855x810.png';
              $img_size_class = 'one-half-item ';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '855', '810', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            } else {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/360x341.png';
              $img_size_class = '';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '408', '386', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            }
          } else {
            $img_size_class = '';
            if(class_exists('Aq_Resize')) {
              $portfolio_img = aq_resize( $portfolio_masonry_img, '408', '386', true );
            } else {$portfolio_img = $portfolio_masonry_img;}
          }

          ?>
          <div class="masonry-item <?php echo esc_attr($img_size_class . $cat_class); ?> " data-category="<?php echo esc_attr($cat_class); ?>">
            <div class="portfolio-item">
              <div class="rifl-image"><img data-original="<?php echo $portfolio_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
              <div class="portfolio-info">
                <div class="rifl-table-container">
                  <div class="rifl-align-container">
                    <div class="portfolio-info-wrap">
                      <h3 class="portfolio-title"><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($open_link); ?> <?php echo esc_attr($title_color); ?> ><?php esc_html(the_title()); ?></a></h3>
                      <h5 class="portfolio-category">
                      <span class="category-name">
                        <?php
                          $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                          $i=1;
                          foreach ($category_list as $term) {
                            $term_link = get_term_link( $term );
                            echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                          }
                        ?>
                      </span></h5>
                    </div>
                  </div>
                </div>
                <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
              </div>
            </div>
          </div>
        <?php } else {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          if ($large_image) {
            $large_image = isset($large_image[0]) ? $large_image[0] : '';
          } else {
            $large_image = RIFFEL_IMAGES.'/backgrounds/1000x850.jpg';
          }
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
          if ($portfolio_featurd_image){
            $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
            $masonry_img_size = $portfolio_featurd_image['masonry_img_size'];
            $title_color = $portfolio_featurd_image['title_color'];
            $category_color = $portfolio_featurd_image['category_color'];
            if($portfolio_featurd_image['featured_image_masonry']) {
              $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_masonry'], 'fullsize', true );
            } else {
              $portfolio_masonry_img = $large_image;
            }
          } else {
            $portfolio_masonry_img = $large_image;
            $featured_image_bg = '';
            $masonry_img_size = '';
            $title_color = '';
            $category_color = '';
          }

          if($portfolio_view ==='masonry'){
            $maso_cls = 'item-masonry-two';
              if ($masonry_img_size) {
                if ($masonry_img_size === '2x-height') {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x764.png';
                  $img_size_class = ' double-height ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '764', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                } elseif ($masonry_img_size === '2x-width') {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/952x382.png';
                  $img_size_class = ' double-width ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '952', '382', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                } elseif ($masonry_img_size === '2x-width-height') {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/952x764.png';
                  $img_size_class = ' one-half-item ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '952', '764', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                } else {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x382.png';
                  $img_size_class = ' ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '382', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                }
              } else {
                $img_size_class = ' ';
                if(class_exists('Aq_Resize')) {
                  $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '382', true );
                } else {$portfolio_img = $portfolio_masonry_img;}
              }
              $featured_img = ( $portfolio_img ) ? $portfolio_img : RIFFEL_PLUGIN_ASTS . '/images/476x382.png';
            } else {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x476.png';
              $maso_cls = 'item-masonry-grid';
               $img_size_class = ' ';
               $large_featured_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
               if ($large_featured_image) {
                  $large_featured_image = isset($large_featured_image[0]) ? $large_featured_image[0] : '';
                } else {
                  $large_featured_image = RIFFEL_IMAGES.'/backgrounds/1000x850.jpg';
                }
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $large_featured_image, '480', '480', true );
              } else {$portfolio_img = $large_featured_image;}
            $featured_img = ( $portfolio_img ) ? $portfolio_img : RIFFEL_PLUGIN_ASTS . '/images/476x476.png';
            }

            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';

        ?>
        <div class="masonry-item <?php echo esc_attr($maso_cls . $img_size_class . $cat_class); ?>" data-category="<?php echo esc_attr($cat_class); ?>">
          <div class="portfolio-item">
            <div class="rifl-image"><img data-original="<?php echo $featured_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
            <div class="portfolio-info">
              <div class="rifl-table-container">
                <div class="rifl-align-container bottom">
                  <div class="portfolio-info-wrap">
                    <h3 class="portfolio-title"><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($open_link); ?>   <?php echo esc_attr($title_color); ?> ><?php esc_html(the_title()); ?></a></h3>
                    <h5 class="portfolio-category">
                      <span class="category-name">
                       <?php
                        $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                        $i=1;
                        foreach ($category_list as $term) {
                          $term_link = get_term_link( $term );
                          echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                        }
                        ?>
                      </span>
                    </h5>
                  </div>
                </div>
              </div>
              <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
            </div>
          </div>
        </div>

      <?php
      }
        endwhile;
        endif; ?>
     </div>
     <?php
     $max_products = $cat_query->max_num_pages;
     $total_products = $cat_query->found_posts;
      if (($ppp < $total_products) && ($pagi === 'hav-pagi')) {
        echo '<nav class="rifl-pagination ajax-pagi"><ul class="page-numbers ajax-page-numbers">';
          for ($i=1; $i <= $max_products; $i++) {
            $current = ($i == 1) ? 'current disabled-click' : '';
            echo '<li><a data-page="'.esc_attr($i).'" data-cat="'.esc_attr($cat).'" data-aqr="'.esc_attr($aqr).'" data-limit="'.esc_attr($items).'" data-style="'.esc_attr($portfolio_style).'" data-pagi="'.esc_attr($pagi).'" class="page-numbers '.$current.'" href="#">'.esc_html($i).'</a></li>';
          }
          if ($ppp < $total_products) { echo '<li class="last update-item"><a class="next page-numbers" data-page="'.esc_attr($i).'" data-cat="'.esc_attr($cat).'" data-style="'.esc_attr($portfolio_style).'" data-limit="'.esc_attr($items).'" data-aqr="'.esc_attr($aqr).'" data-pagi="'.esc_attr($pagi).'" href="#">'.esc_url($riffel_admin_url).esc_html($newerpost).' <i class="fa fa-angle-right"></i></a></li>'; }
        echo '</ul></nav>';
      } 

      if ( function_exists('wp_pagenavi')) {
        echo '<div class="rifl-pagination wp-pagenavi"><div class="rifl-pagenavi">';
          wp_pagenavi(array( 'query' => $cat_query ) );
        echo '</div></div>';
      }

      ?>

     <?php wp_die();
  }
}
add_action('wp_ajax_nopriv_riffel_portfolio_ajax', 'riffel_portfolio_ajax');
add_action('wp_ajax_riffel_portfolio_ajax', 'riffel_portfolio_ajax');

if (!function_exists('riffel_more_portfolio_ajax_pagi')) {
  function riffel_more_portfolio_ajax_pagi(){
    $cat     = (isset($_POST['cat'])) ? $_POST['cat'] : '';
    $items   = (isset($_POST['limit'])) ? $_POST['limit'] : '5';
    $portfolio_style     = (isset($_POST['style'])) ? $_POST['style'] : '';
    $pagi    = (isset($_POST['pagi'])) ? $_POST['pagi'] : 'hav-pagi';
    $aqr    = (isset($_POST['aqr'])) ? $_POST['aqr'] : 'hav-aqr';

    if (!$items) {
      $ppp = 5;
    } else {
      $ppp = $items;
    }

    $cat     = (isset($_POST['cat'])) ? $_POST['cat'] : '';
    $offset  = (isset($_POST['offset'])) ? $_POST['offset'] : 0;
    if ($offset > 1) {
      $offset  = ($offset - 1) * $ppp;
    } else {
      $offset  = 0;
    }

    $args = array(
      'post_type'      => 'portfolio',
      'posts_per_page' => $ppp,
      'offset'         => $offset
    );
    if ($cat) {
      $args['tax_query'] = array(
        array(
          'taxonomy' => 'portfolio_category',
          'field'    => 'slug',
          'terms'    => $cat,
        ),
      );
    }

    $cat_query = new WP_Query($args); ?>
      <div class="rifl-port-data">
        <?php if ($cat_query->have_posts()) : while ($cat_query->have_posts()) : $cat_query->the_post();
          global $post;
        $terms = wp_get_post_terms($post->ID,'portfolio_category');
        foreach ($terms as $term) {
          $cat_class = $term->slug.'-item';
        }
        $count = count($terms);
        $i=0;
        $cat_class = '';
        if ($count > 0) {
          foreach ($terms as $term) {
            $i++;
            $cat_class .= $term->slug .'-item ';
            if ($count != $i) {
              $cat_class .= '';
            } else {
              $cat_class .= '';
            }
          }
        }

        if ($portfolio_style === 'horizontal') {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          $large_image = isset($large_image[0]) ? $large_image[0] : '';
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
            if ($portfolio_featurd_image){
              $masonry_img_size = $portfolio_featurd_image['masonry_img_size'];
              $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
              $title_color = $portfolio_featurd_image['title_color'];
              $category_color = $portfolio_featurd_image['category_color'];
              if($portfolio_featurd_image['featured_image_horizontal']) {
                $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_horizontal'], 'fullsize', true );
              } else {
                $portfolio_masonry_img = $large_image;
              }
            } else {
              $portfolio_masonry_img = $large_image;
              $masonry_img_size = '';
              $featured_image_bg = '';
              $title_color = '';
              $category_color = '';
            }
            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';

            if(class_exists('Aq_Resize')) {
              $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '895', true );
            } else {$portfolio_img = $portfolio_masonry_img;}
            $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x895.png';
           ?>
        <div class="item">
          <div class="portfolio-item">
            <div class="rifl-image"><img data-original="<?php echo $portfolio_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
            <div class="portfolio-info">
              <div class="rifl-table-container">
                <div class="rifl-align-container bottom">
                  <div class="portfolio-info-wrap">
                    <h3 class="portfolio-title"><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($open_link); ?> <?php echo esc_attr($title_color); ?> class="bpw-heading"><?php esc_html(the_title()); ?></a></h3>
                    <h5 class="portfolio-category"><span class="category-name">
                    <?php
                      $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                      $i=1;
                      foreach ($category_list as $term) {
                        $term_link = get_term_link( $term );
                        echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                      }
                    ?>
                    </span></h5>
                  </div>
                </div>
              </div>
              <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
            </div>
          </div>
        </div>

        <?php
        } elseif ($portfolio_style === 'vertical') {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          $large_image = isset($large_image[0]) ? $large_image[0] : '';
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
            if ($portfolio_featurd_image){
                $title_color = $portfolio_featurd_image['title_color'];
                $category_color = $portfolio_featurd_image['category_color'];
                $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
              if($portfolio_featurd_image['featured_image_vertical']) {
                $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_vertical'], 'fullsize', true );
              } else {
                $portfolio_masonry_img = $large_image;
              }
            } else {
              $portfolio_masonry_img = $large_image;
              $featured_image_bg = '';
              $title_color = '';
              $category_color = '';
            }

            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';
            $portfolio_img = $portfolio_masonry_img;
            $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/1903x543.png';
           ?>
           <div class="masonry-item <?php echo esc_attr($cat_class); ?>">
            <div class="portfolio-item">
              <div class="rifl-image"><img data-original="<?php echo $portfolio_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
              <div class="portfolio-info">
                <div class="rifl-table-container">
                  <div class="rifl-align-container">
                    <div class="container">
                      <div class="portfolio-info-wrap">
                        <h5 class="portfolio-category"><span class="category-name">
                          <?php
                            $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                            $i=1;
                            foreach ($category_list as $term) {
                              $term_link = get_term_link( $term );
                              echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                            }
                          ?>
                        </h5>
                        <h3 class="portfolio-title "><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($open_link); ?> <?php echo esc_attr($title_color); ?> class="bpw-heading"><?php esc_html(the_title()); ?></a></h3>
                      </div>
                    </div>
                  </div>
                </div>
                <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
              </div>
            </div>
          </div>

        <?php
        } elseif($portfolio_style === 'style-three') {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          $large_image = isset($large_image[0]) ? $large_image[0] : '';
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
            if ($portfolio_featurd_image){
              $masonry_img_size = $portfolio_featurd_image['masonry_img_size'];
              $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
              $title_color = $portfolio_featurd_image['title_color'];
              $category_color = $portfolio_featurd_image['category_color'];
              if($portfolio_featurd_image['featured_image_masonry']) {
                $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_masonry'], 'fullsize', true );
              } else {
                $portfolio_masonry_img = $large_image;
              }
            } else {
              $portfolio_masonry_img = $large_image;
              $masonry_img_size = '';
              $featured_image_bg = '';
              $title_color = '';
              $category_color = '';
            }

            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';

          if ($masonry_img_size) {
            if ($masonry_img_size === '2x-height') {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/408x806.png';
              $img_size_class = 'double-height ';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '408', '806', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            } elseif ($masonry_img_size === '2x-width') {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/855x390.png';
              $img_size_class = 'double-width ';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '855', '390', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            } elseif ($masonry_img_size === '2x-width-height') {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/855x810.png';
              $img_size_class = 'one-half-item ';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '855', '810', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            } else {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/360x341.png';
              $img_size_class = '';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '408', '386', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            }
          } else {
            $img_size_class = '';
            if(class_exists('Aq_Resize')) {
              $portfolio_img = aq_resize( $portfolio_masonry_img, '408', '386', true );
            } else {$portfolio_img = $portfolio_masonry_img;}
          }

          ?>
          <div class="masonry-item <?php echo esc_attr($img_size_class . $cat_class); ?> " data-category="<?php echo esc_attr($cat_class); ?>">
            <div class="portfolio-item">
              <div class="rifl-image"><img data-original="<?php echo $portfolio_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
              <div class="portfolio-info">
                <div class="rifl-table-container">
                  <div class="rifl-align-container">
                    <div class="portfolio-info-wrap">
                      <h3 class="portfolio-title"><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($open_link); ?> <?php echo esc_attr($title_color); ?> ><?php esc_html(the_title()); ?></a></h3>
                      <h5 class="portfolio-category">
                      <span class="category-name">
                        <?php
                          $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                          $i=1;
                          foreach ($category_list as $term) {
                            $term_link = get_term_link( $term );
                            echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                          }
                        ?>
                      </span></h5>
                    </div>
                  </div>
                </div>
                <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
              </div>
            </div>
          </div>
        <?php } else {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          if ($large_image) {
            $large_image = isset($large_image[0]) ? $large_image[0] : '';
          } else {
            $large_image = RIFFEL_IMAGES.'/backgrounds/1000x850.jpg';
          }
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
          if ($portfolio_featurd_image){
            $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
            $masonry_img_size = $portfolio_featurd_image['masonry_img_size'];
            $title_color = $portfolio_featurd_image['title_color'];
            $category_color = $portfolio_featurd_image['category_color'];
            if($portfolio_featurd_image['featured_image_masonry']) {
              $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_masonry'], 'fullsize', true );
            } else {
              $portfolio_masonry_img = $large_image;
            }
          } else {
            $portfolio_masonry_img = $large_image;
            $featured_image_bg = '';
            $masonry_img_size = '';
            $title_color = '';
            $category_color = '';
          }

          if($portfolio_view ==='masonry'){
            $maso_cls = 'item-masonry-two';
              if ($masonry_img_size) {
                if ($masonry_img_size === '2x-height') {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x764.png';
                  $img_size_class = ' double-height ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '764', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                } elseif ($masonry_img_size === '2x-width') {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/952x382.png';
                  $img_size_class = ' double-width ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '952', '382', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                } elseif ($masonry_img_size === '2x-width-height') {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/952x764.png';
                  $img_size_class = ' one-half-item ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '952', '764', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                } else {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x382.png';
                  $img_size_class = ' ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '382', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                }
              } else {
                $img_size_class = ' ';
                if(class_exists('Aq_Resize')) {
                  $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '382', true );
                } else {$portfolio_img = $portfolio_masonry_img;}
              }
              $featured_img = ( $portfolio_img ) ? $portfolio_img : RIFFEL_PLUGIN_ASTS . '/images/476x382.png';
            } else {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x476.png';
              $maso_cls = 'item-masonry-grid';
               $img_size_class = ' ';
               $large_featured_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
               if ($large_featured_image) {
                  $large_featured_image = isset($large_featured_image[0]) ? $large_featured_image[0] : '';
                } else {
                  $large_featured_image = RIFFEL_IMAGES.'/backgrounds/1000x850.jpg';
                }
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $large_featured_image, '480', '480', true );
              } else {$portfolio_img = $large_featured_image;}
            $featured_img = ( $portfolio_img ) ? $portfolio_img : RIFFEL_PLUGIN_ASTS . '/images/476x476.png';
            }

            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';

        ?>
        <div class="masonry-item <?php echo esc_attr($maso_cls . $img_size_class . $cat_class); ?>" data-category="<?php echo esc_attr($cat_class); ?>">
          <div class="portfolio-item">
            <div class="rifl-image"><img data-original="<?php echo $featured_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
            <div class="portfolio-info">
              <div class="rifl-table-container">
                <div class="rifl-align-container bottom">
                  <div class="portfolio-info-wrap">
                    <h3 class="portfolio-title"><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($open_link); ?>   <?php echo esc_attr($title_color); ?> ><?php esc_html(the_title()); ?></a></h3>
                    <h5 class="portfolio-category">
                      <span class="category-name">
                       <?php
                        $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                        $i=1;
                        foreach ($category_list as $term) {
                          $term_link = get_term_link( $term );
                          echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                        }
                        ?>
                      </span>
                    </h5>
                  </div>
                </div>
              </div>
              <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
            </div>
          </div>
        </div>

      <?php
      }
        endwhile;
        endif; ?>
     </div>
     <?php 
     if ( function_exists('wp_pagenavi')) {
        echo '<div class="rifl-pagination wp-pagenavi"><div class="rifl-pagenavi">';
          wp_pagenavi(array( 'query' => $cat_query ) );
        echo '</div></div>';
      } ?>
     <?php wp_die();
  }
}
add_action('wp_ajax_nopriv_riffel_more_portfolio_ajax_pagi', 'riffel_more_portfolio_ajax_pagi');
add_action('wp_ajax_riffel_more_portfolio_ajax_pagi', 'riffel_more_portfolio_ajax_pagi');
