<?php
/*
 * All customizer related options for Riffel theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

if( ! function_exists( 'riffel_vt_customizer' ) ) {
  function riffel_vt_customizer( $options ) {

	$options        = array(); // remove old options

	// Header Color
	$options[]      = array(
	  'name'        => 'header_color_section',
	  'title'       => esc_html__('01. Header Colors', 'riffel'),
	  'sections'    => array(

	  	array(
	      'name'          => 'header_heading_section',
	      'title'         => esc_html__('Header Section', 'riffel'),
	      'settings'      => array(

	      	// Fields Start
					array(
						'name'      => 'header_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Header Background Color', 'riffel'),
						),
					),
					array(
						'name'      => 'txt_logo_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Text Logo Color', 'riffel'),
						),
					),
					array(
						'name'      => 'txt_logo_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Text Logo Hover Color', 'riffel'),
						),
					),
			    // Fields End

      	)
      ),

	  	array(
	      'name'          => 'menu_style_one',
	      'title'         => esc_html__('Default Menu', 'riffel'),
	      'settings'      => array(

			    // Fields Start
	      	array(
						'name'          => 'main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Main Menu Colors', 'riffel'),
							),
						),
					),
			    array(
						'name'      => 'main_menu_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Main Menu Color', 'riffel'),
						),
					),
					array(
						'name'      => 'main_menu_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Main Menu Hover Color', 'riffel'),
						),
					),
					array(
						'name'          => 'sub_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Sub Menu Colors', 'riffel'),
							),
						),
					),
			    array(
						'name'      => 'sub_menu_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sub Menu Color', 'riffel'),
						),
					),
					array(
						'name'      => 'sub_menu_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sub Menu Hover Color', 'riffel'),
						),
					),
					array(
						'name'      => 'sub_menu_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sub Menu Background Color', 'riffel'),
						),
					),
			    // Fields End
			  )
			),

		    array(
		      'name'          => 'menu_style_two',
		      'title'         => esc_html__('Overlay Menu', 'riffel'),
		      'settings'      => array(

				    // Fields Start
		      	array(
							'name'          => 'menu_heading_two',
							'control'       => array(
								'type'        => 'cs_field',
								'options'     => array(
									'type'      => 'notice',
									'class'     => 'info',
									'content'   => esc_html__('Menu Colors', 'riffel'),
								),
							),
						),
				    array(
							'name'      => 'menu_color_two',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Menu Color', 'riffel'),
							),
						),
						array(
							'name'      => 'menu_hover_color_two',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Menu hover Color', 'riffel'),
							),
						),
				    array(
							'name'      => 'menu_label_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Menu Label Color', 'riffel'),
							),
						),
						array(
							'name'      => 'menu_bg_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Menu Background Color', 'riffel'),
							),
						),
						array(
							'name'      => 'menu_copyright_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Menu Section Copyright Text Color', 'riffel'),
							),
						),
						array(
							'name'      => 'menu_copyright_link_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Menu Section Copyright Link Color', 'riffel'),
							),
						),
						array(
							'name'      => 'menu_copyright_link_hover_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Menu Section Copyright Link Hover Color', 'riffel'),
							),
						),
				    // Fields End
				  )
				),

				// Filter Button Color
				array(
		      'name'          => 'header_filter_button',
		      'title'         => esc_html__('Filter Button', 'riffel'),
		      'settings'      => array(

				    // Fields Start
		      	array(
							'name'          => 'header_filter_button',
							'control'       => array(
								'type'        => 'cs_field',
								'options'     => array(
									'type'      => 'notice',
									'class'     => 'info',
									'content'   => esc_html__('Header Filter Button Colors', 'riffel'),
								),
							),
						),
				    array(
							'name'      => 'btn_txt_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Filter Button Text Color', 'riffel'),
							),
						),
						array(
							'name'      => 'btn_txt_hover_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Filter Button Text Hover Color', 'riffel'),
							),
						),
						array(
							'name'      => 'btn_bg_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Background Color', 'riffel'),
							),
						),
						array(
							'name'      => 'bg_hover_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Button Background Hover Color', 'riffel'),
							),
						),
				    array(
							'name'      => 'btn_border_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Button Border Color', 'riffel'),
							),
						),
						array(
							'name'      => 'btn_border_hover_color',
							'control'   => array(
								'type'  => 'color',
								'label' => esc_html__('Button Border Hover Color', 'riffel'),
							),
						),

				    // Fields End
				  )
				), // Filter Button Color

			)

	);
	// Header Color

	// Title Bar Color
	$options[]      = array(
	  'name'        => 'titlebar_section',
	  'title'       => esc_html__('02. Title Bar Colors', 'riffel'),
    'settings'      => array(

    	// Fields Start
    	array(
				'name'          => 'titlebar_colors_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => __('<h2 style="margin: 0;text-align: center;">Title Colors</h2> <br /> This is common settings, if this settings not affect in your page. Please check your page metabox. You may set default settings there.', 'riffel'),
					),
				),
			),
    	array(
				'name'      => 'titlebar_title_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Title Color', 'riffel'),
				),
			),
	    // Fields End
	  )
	);
	// Title Bar Color

	// Content Color
	$options[]      = array(
	  'name'        => 'content_section',
	  'title'       => esc_html__('03. Content Colors', 'riffel'),
	  'description' => esc_html__('This is all about content area text and heading colors.', 'riffel'),
	  'sections'    => array(

	  	array(
	      'name'          => 'content_text_section',
	      'title'         => esc_html__('Content Text', 'riffel'),
	      'settings'      => array(

			    // Fields Start
			    array(
						'name'      => 'body_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Body & Content Color', 'riffel'),
						),
					),
					array(
						'name'      => 'body_links_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Body Links Color', 'riffel'),
						),
					),
					array(
						'name'      => 'body_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Body Links Hover Color', 'riffel'),
						),
					),
					array(
						'name'      => 'sidebar_content_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sidebar Content Color', 'riffel'),
						),
					),
					array(
						'name'      => 'sidebar_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sidebar Link Color', 'riffel'),
						),
					),
					array(
						'name'      => 'sidebar_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sidebar Link Hover Color', 'riffel'),
						),
					),
			    // Fields End
			  )
			),

			// Text Colors Section
			array(
	      'name'          => 'content_heading_section',
	      'title'         => esc_html__('Headings', 'riffel'),
	      'settings'      => array(

	      	// Fields Start
					array(
						'name'      => 'content_heading_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Content Heading Color', 'riffel'),
						),
					),
	      	array(
						'name'      => 'sidebar_heading_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sidebar Heading Color', 'riffel'),
						),
					),
			    // Fields End

      	)
      ),

	  )
	);
	// Content Color

	// Footer Color
	$options[]      = array(
	  'name'        => 'footer_section',
	  'title'       => esc_html__('04. Footer Colors', 'riffel'),
	  'description' => esc_html__('This is all about footer settings. Make sure you\'ve enabled your needed section at : Riffel > Theme Options > Footer ', 'riffel'),
	  'sections'    => array(

			// Footer Widgets Block
	  	array(
	      'name'          => 'footer_widget_section',
	      'title'         => esc_html__('Widget Block', 'riffel'),
	      'settings'      => array(

			    // Fields Start
					array(
			      'name'          => 'footer_widget_color_notice',
			      'control'       => array(
			        'type'        => 'cs_field',
			        'options'     => array(
			          'type'      => 'notice',
			          'class'     => 'info',
			          'content'   => esc_html__('Widget Dark Version Colors', 'riffel'),
			        ),
			      ),
			    ),
					array(
						'name'      => 'footer_heading_color_dark',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Widget Heading Color', 'riffel'),
						),
					),
					array(
						'name'      => 'footer_text_color_dark',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Widget Text Color', 'riffel'),
						),
					),
					array(
						'name'      => 'footer_link_color_dark',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Widget Link Color', 'riffel'),
						),
					),
					array(
						'name'      => 'footer_link_hover_color_dark',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Widget Link Hover Color', 'riffel'),
						),
					),
					array(
						'name'      => 'footer_bg_color_dark',
						'default'   => '#222327',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'riffel'),
						),
					),

					array(
			      'name'          => 'light_footer_widget_color_notice',
			      'control'       => array(
			        'type'        => 'cs_field',
			        'options'     => array(
			          'type'      => 'notice',
			          'class'     => 'info',
			          'content'   => esc_html__('Widget Light Version Colors', 'riffel'),
			        ),
			      ),
			    ),
					array(
						'name'      => 'footer_heading_color_light',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Widget Heading Color', 'riffel'),
						),
					),
					array(
						'name'      => 'footer_text_color_light',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Widget Text Color', 'riffel'),
						),
					),
					array(
						'name'      => 'footer_link_color_light',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Widget Link Color', 'riffel'),
						),
					),
					array(
						'name'      => 'footer_link_hover_color_light',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Widget Link Hover Color', 'riffel'),
						),
					),
					array(
						'name'      => 'footer_bg_color_light',
						'default'   => '#f9f9f9',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'riffel'),
						),
					),
			    // Fields End
			  )
			),
			// Footer Widgets Block

			// Footer Copyright Block
	  	array(
	      'name'          => 'footer_copyright_section',
	      'title'         => esc_html__('Copyright Block', 'riffel'),
	      'settings'      => array(

			    // Fields Start
			    array(
			      'name'          => 'footer_copyright_active',
			      'control'       => array(
			        'type'        => 'cs_field',
			        'options'     => array(
			          'type'      => 'notice',
			          'class'     => 'info',
			          'content'   => __('Make sure you\'ve enabled copyright block in : <br /> <strong>Riffel > Theme Options > Footer > Copyright Bar : Enable Copyright Block</strong>', 'riffel'),
			        ),
			      ),
			    ),
					array(
						'name'      => 'copyright_text_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Text Color', 'riffel'),
						),
					),
					array(
						'name'      => 'copyright_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'riffel'),
						),
					),
					array(
						'name'      => 'copyright_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'riffel'),
						),
					),
					array(
						'name'      => 'copyright_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'riffel'),
						),
					),
					array(
						'name'      => 'copyright_border_color',
						'default'   => '#f9f9f9',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Border Color', 'riffel'),
						),
					),

			  )
			),
			// Footer Copyright Block

	  )
	);
	// Footer Color

	return $options;

  }
  add_filter( 'cs_customize_options', 'riffel_vt_customizer' );
}