<?php
/*
 * Codestar Framework - Custom Style
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

/* All Dynamic CSS Styles */
if ( ! function_exists( 'riffel_dynamic_styles' ) ) {
  function riffel_dynamic_styles() {

    // Typography
    $riffel_vt_get_typography  = riffel_vt_get_typography();

    $all_element_color  = cs_get_customize_option( 'all_element_colors' );

    // Logo
    $brand_logo_top     = cs_get_option( 'brand_logo_top' );
    $brand_logo_bottom  = cs_get_option( 'brand_logo_bottom' );

    // Layout
    $bg_type = cs_get_option('theme_layout_bg_type');
    $bg_pattern = cs_get_option('theme_layout_bg_pattern');
    $bg_image = cs_get_option('theme_layout_bg');
    $bg_overlay_color = cs_get_option('theme_bg_overlay_color');

  ob_start();

global $post;
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );

/* Layout - Theme Options - Background */
if ($bg_type === 'bg-image') {

  $layout_boxed = ( ! empty( $bg_image['image'] ) ) ? 'background-image: url('. $bg_image['image'] .');' : '';
  $layout_boxed .= ( ! empty( $bg_image['repeat'] ) ) ? 'background-repeat: '. $bg_image['repeat'] .';' : '';
  $layout_boxed .= ( ! empty( $bg_image['position'] ) ) ? 'background-position: '. $bg_image['position'] .';' : '';
  $layout_boxed .= ( ! empty( $bg_image['attachment'] ) ) ? 'background-attachment: '. $bg_image['attachment'] .';' : '';
  $layout_boxed .= ( ! empty( $bg_image['size'] ) ) ? 'background-size: '. $bg_image['size'] .';' : '';
  $layout_boxed .= ( ! empty( $bg_image['color'] ) ) ? 'background-color: '. $bg_image['color'] .';' : '';

echo <<<CSS
  .no-class {}
  .layout-boxed {
    {$layout_boxed}
  }
CSS;
}
if ($bg_type === 'bg-pattern') {
$custom_bg_pattern = cs_get_option('custom_bg_pattern');
$layout_boxed = ( $bg_pattern === 'custom-pattern' ) ? 'background-image: url('. $custom_bg_pattern .');' : 'background-image: url('. RIFFEL_IMAGES . '/patterns/'. $bg_pattern .'.png);';

echo <<<CSS
  .no-class {}
  .layout-boxed {
    {$layout_boxed}
  }
CSS;
}

/* Header - Customizer */
$header_bg_color  = cs_get_customize_option( 'header_bg_color' );
if ($header_bg_color) {
echo <<<CSS
  .no-class {}
  .rifl-header, .is-sticky .rifl-header {
    background-color: {$header_bg_color};
  }
CSS;
}
// Text Logo Color
$txt_logo_color  = cs_get_customize_option( 'txt_logo_color' );
if ($txt_logo_color) {
echo <<<CSS
  .no-class {}
  .rifl-brand .text-logo h2 {
    color: {$txt_logo_color};
  }
CSS;
}
$txt_logo_hover_color  = cs_get_customize_option( 'txt_logo_hover_color' );
if ($txt_logo_hover_color) {
echo <<<CSS
  .no-class {}
  .rifl-brand .text-logo h2:hover {
    color: {$txt_logo_hover_color};
  }
CSS;
}
// Menu Style One Colors
$main_menu_color  = cs_get_customize_option( 'main_menu_color' );
if ($main_menu_color) {
echo <<<CSS
  .no-class {}
  .nav-style-two .rifl-menu .menu-navigation-bar > ul > li > a {
    color: {$main_menu_color};
  }
CSS;
}
$main_menu_hover_color  = cs_get_customize_option( 'main_menu_hover_color' );
if ($main_menu_hover_color) {
echo <<<CSS
  .no-class {}
  .nav-style-two .rifl-menu .menu-navigation-bar > ul > li > a:hover {
    color: {$main_menu_hover_color};
  }
CSS;
}
// Menu Style One : Sub Menu
$sub_menu_color  = cs_get_customize_option( 'sub_menu_color' );
if ($sub_menu_color) {
echo <<<CSS
  .no-class {}
  .nav-style-two .rifl-menu .dropdown > li > a {
    color: {$sub_menu_color};
  }
CSS;
}
$sub_menu_hover_color  = cs_get_customize_option( 'sub_menu_hover_color' );
if ($sub_menu_hover_color) {
echo <<<CSS
  .no-class {}
  .nav-style-two .rifl-menu .dropdown > li > a:hover {
    color: {$sub_menu_hover_color};
  }
CSS;
}
$sub_menu_bg_color  = cs_get_customize_option( 'sub_menu_bg_color' );
if ($sub_menu_bg_color) {
echo <<<CSS
  .no-class {}
  .dropdown {
    background-color: {$sub_menu_bg_color};
  }
CSS;
}

// Menu Style Two
$menu_color_two  = cs_get_customize_option( 'menu_color_two' );
if ($menu_color_two) {
echo <<<CSS
  .no-class {}
  .menu__link, .menu__breadcrumbs a, .dl-menuwrapper li a {
    color: {$menu_color_two};
  }
  .rifl-menu .menu__link[aria-owns] .menu-label:after {
    border-left-color: {$menu_color_two};
  }
CSS;
}
$menu_hover_color_two  = cs_get_customize_option( 'menu_hover_color_two' );
if ($menu_hover_color_two) {
echo <<<CSS
  .no-class {}
  .menu__link:hover,
  .menu__link:focus,
  .menu__breadcrumbs a:hover,
  .menu__breadcrumbs a:focus,
  .dl-menuwrapper li a:hover,
  .dl-menuwrapper li a:focus {
    color: {$menu_hover_color_two};
  }
CSS;
}
$menu_label_color  = cs_get_customize_option( 'menu_label_color' );
if ($menu_label_color) {
echo <<<CSS
  .no-class {}
  .rifl-menu .menu-sub-label {
    color: {$menu_label_color};
  }
CSS;
}
$menu_bg_color  = cs_get_customize_option( 'menu_bg_color' );
if ($menu_bg_color) {
echo <<<CSS
  .no-class {}
  .menu-background {
    background-color: {$menu_bg_color};
  }
CSS;
}
// Menu Style Two Copyright Section
$menu_copyright_color  = cs_get_customize_option( 'menu_copyright_color' );
if ($menu_copyright_color) {
echo <<<CSS
  .no-class {}
  .rifl-menu .rifl-copyright {
    color: {$menu_copyright_color};
  }
CSS;
}
$menu_copyright_link_color  = cs_get_customize_option( 'menu_copyright_link_color' );
if ($menu_copyright_link_color) {
echo <<<CSS
  .no-class {}
  .rifl-menu .rifl-copyright a {
    color: {$menu_copyright_link_color};
  }
CSS;
}
$menu_copyright_link_hover_color  = cs_get_customize_option( 'menu_copyright_link_hover_color' );
if ($menu_copyright_link_hover_color) {
echo <<<CSS
  .no-class {}
  .rifl-menu .rifl-copyright a:hover {
    color: {$menu_copyright_link_hover_color};
  }
CSS;
}

// Filter Button Color
$btn_txt_color  = cs_get_customize_option( 'btn_txt_color' );
if ($btn_txt_color) {
echo <<<CSS
  .no-class {}
  .header-right .filter-toggle {
    color: {$btn_txt_color};
  }
CSS;
}
$btn_txt_hover_color  = cs_get_customize_option( 'btn_txt_hover_color' );
if ($btn_txt_hover_color) {
echo <<<CSS
  .no-class {}
  .header-right .filter-toggle:hover {
    color: {$btn_txt_hover_color};
  }
CSS;
}
$btn_bg_color  = cs_get_customize_option( 'btn_bg_color' );
if ($btn_bg_color) {
echo <<<CSS
  .no-class {}
  .header-right .filter-toggle {
    background-color: {$btn_bg_color};
  }
CSS;
}
$bg_hover_color  = cs_get_customize_option( 'bg_hover_color' );
if ($bg_hover_color) {
echo <<<CSS
  .no-class {}
  .header-right .filter-toggle:hover {
    background-color: {$bg_hover_color};
  }
CSS;
}
$btn_border_color  = cs_get_customize_option( 'btn_border_color' );
if ($btn_border_color) {
echo <<<CSS
  .no-class {}
  .header-right .filter-toggle {
    border-color: {$btn_border_color};
  }
CSS;
}
$btn_border_hover_color  = cs_get_customize_option( 'btn_border_hover_color' );
if ($btn_border_hover_color) {
echo <<<CSS
  .no-class {}
  .header-right .filter-toggle:hover {
    border-color: {$btn_border_hover_color};
  }
CSS;
}

$header_link_color  = cs_get_customize_option( 'header_link_color' );
$header_link_hover_color  = cs_get_customize_option( 'header_link_hover_color' );
if($header_link_color || $header_link_hover_color) {
echo <<<CSS
  .no-class {}
  .rifl-header-two .rifl-navigation .navbar-nav > li > a,
  .rifl-navigation .navbar-nav > li > a,
  .rifl-header-two #search-trigger-two i,
  .rifl-header-two #cart-trigger i,
  .mean-container .mean-nav ul li a,
  .mean-container #search-trigger i,
  .mean-container #search-trigger-two i,
  .rifl-header-two .mean-container #search-trigger-two i,
  .rifl-header-two .mean-container #cart-trigger i,
  .rifl-header-two .is-sticky .rifl-navigation .navbar-nav > li > a,
  .rifl-navigation .is-sticky .navbar-nav > li > a,
  .rifl-header-two .is-sticky #search-trigger-two i,
  .rifl-header-two .is-sticky #cart-trigger i {
    color: {$header_link_color};
  }
  .mean-container a.meanmenu-reveal span {
    background-color: {$header_link_color};
  }
  .rifl-header-two .rifl-navigation .navbar-nav > li > a:hover,
  .rifl-navigation .navbar-nav > li > a:hover,
  .rifl-navigation .navbar-nav > li.current_page_item > a,
  .rifl-navigation .navbar-nav > li.current-menu-parent > a,
  .mean-container .mean-nav ul li a:hover,
  .rifl-header-two .is-sticky .rifl-navigation .navbar-nav > li > a:hover,
  .is-sticky .rifl-navigation .navbar-nav > li > a:hover,
  .is-sticky .rifl-navigation .navbar-nav > li.current_page_item > a,
  .is-sticky .rifl-navigation .navbar-nav > li.current-menu-parent > a {
    color: {$header_link_hover_color};
  }
CSS;
}
// Metabox - Header Transparent
if ($riffel_meta) {
  $transparent_header = $riffel_meta['transparency_header'];
  $transparent_menu_color = $riffel_meta['transparent_menu_color'];
  $transparent_menu_hover = $riffel_meta['transparent_menu_hover_color'];
} else {
  $transparent_header = '';
  $transparent_menu_color = '';
  $transparent_menu_hover = '';
}
if ($transparent_header) {
echo <<<CSS
  .no-class {}
  .nav-style-two.transparent-header .rifl-menu .menu-navigation-bar > ul > li > a {
    color: {$transparent_menu_color};
  }

  .nav-style-two.transparent-header .rifl-menu .menu-navigation-bar > ul > li > a:hover {
    color: {$transparent_menu_hover};
  }
CSS;
}

$submenu_bg_color  = cs_get_customize_option( 'submenu_bg_color' );
$submenu_bg_hover_color  = cs_get_customize_option( 'submenu_bg_hover_color' );
$submenu_border_color  = cs_get_customize_option( 'submenu_border_color' );
$submenu_link_color  = cs_get_customize_option( 'submenu_link_color' );
$submenu_link_hover_color  = cs_get_customize_option( 'submenu_link_hover_color' );
if ($submenu_bg_color || $submenu_bg_hover_color || $submenu_border_color || $submenu_link_color || $submenu_link_hover_color) {
echo <<<CSS
  .no-class {}
  .dropdown-menu > li > a {
    border-color: {$submenu_border_color};
    color: {$submenu_link_color};
  }
  .dropdown-menu > li > a:focus,
  .dropdown-menu > li > a:hover,
  .dropdown-menu > .active > a,
  .dropdown-menu > .active > a:focus,
  .dropdown-menu > .active > a:hover,
  .mean-container .mean-nav ul.sub-menu > li:hover,
  .mean-container .mean-nav ul.sub-menu > li.current-menu-item,
  .mean-container .mean-nav ul.sub-menu > li a:hover {
    background-color: {$submenu_bg_hover_color};
    color: {$submenu_link_hover_color};
  }
  .dropdown-menu,
  .mean-container .mean-nav ul.sub-menu li a {
    background-color: {$submenu_bg_color};
  }
  .mean-container .mean-nav ul.sub-menu li a {
    color: {$submenu_link_color};
  }
  .mean-container .mean-nav ul li li a,
  .mean-container .mean-nav ul li li li a,
  .mean-container .mean-nav ul li li li li a,
  .mean-container .mean-nav ul li li li li li a {
    border-top-color: {$submenu_border_color};
  }
CSS;
}

/* Title Area - Theme Options - Background */
$titlebar_bg = cs_get_option('titlebar_bg');
$title_heading_color  = cs_get_customize_option( 'titlebar_title_color' );
if ($titlebar_bg) {

  $title_area = ( ! empty( $titlebar_bg['image'] ) ) ? 'background-image: url('. $titlebar_bg['image'] .');' : '';
  $title_area .= ( ! empty( $titlebar_bg['repeat'] ) ) ? 'background-repeat: '. $titlebar_bg['repeat'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['position'] ) ) ? 'background-position: '. $titlebar_bg['position'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['attachment'] ) ) ? 'background-attachment: '. $titlebar_bg['attachment'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['size'] ) ) ? 'background-size: '. $titlebar_bg['size'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['color'] ) ) ? 'background-color: '. $titlebar_bg['color'] .';' : '';

echo <<<CSS
  .no-class {}
  .rifl-title-area {
    {$title_area}
  }
CSS;
}
if ($title_heading_color) {
echo <<<CSS
  .no-class {}
  .rifl-banner .banner-title {
    color: {$title_heading_color};
  }
CSS;
}

// Footer Dark Version
$footer_bg_color_dark  = cs_get_customize_option( 'footer_bg_color_dark' );
$footer_heading_color_dark  = cs_get_customize_option( 'footer_heading_color_dark' );
$footer_text_color_dark  = cs_get_customize_option( 'footer_text_color_dark' );
$footer_link_color_dark  = cs_get_customize_option( 'footer_link_color_dark' );
$footer_link_hover_color_dark  = cs_get_customize_option( 'footer_link_hover_color_dark' );
/* Footer */
if ($footer_bg_color_dark) {
echo <<<CSS
  .no-class {}
  .rifl-footer.footer-dark-version {background: {$footer_bg_color_dark};}
CSS;
}
if ($footer_heading_color_dark) {
echo <<<CSS
  .no-class {}
  .footer-dark-version .rifl-widget .widget-title {color: {$footer_heading_color_dark};}
CSS;
}
if ($footer_text_color_dark) {
echo <<<CSS
  .no-class {}
  .footer-dark-version p,
  .footer-dark-version .footer-widget-area .widget_recent_comments ul li span,
  .footer-dark-version .footer-widget-area .widget_categories ul li a:before,
  .footer-dark-version .footer-widget-area .widget_recent_entries ul li a:before,
  .footer-dark-version .footer-widget-area .widget_recent_comments ul li span:before,
  .footer-dark-version .footer-widget-area .widget_meta ul li a:before,
  .footer-dark-version .footer-widget-area .widget_archive ul li a:before,
  .footer-dark-version .footer-widget-area .rifl-widget.widget_pages ul li a:before,
  .footer-dark-version .footer-widget-area .rifl-widget.widget_nav_menu ul li a:before,
  .footer-dark-version select, .footer-dark-version caption,
  footer.rifl-footer.footer-dark-version,
  .footer-dark-version input[type="text"],
  .rifl-footer.footer-dark-version .contact-wrap .contact-item span,
  .rifl-footer.footer-dark-version .contact-wrap .contact-item p, .footer-dark-version .rifl-widget .rssSummary,
  .footer-dark-version .widget_rss cite, .footer-dark-version .widget_rss span {color: {$footer_text_color_dark};}
CSS;
}
if ($footer_link_color_dark) {
echo <<<CSS
  .no-class {}
  .footer-dark-version a,
  .footer-dark-version .footer-widget-area .widget_categories ul li a,
  .footer-dark-version .footer-widget-area .widget_recent_entries ul li a,
  .footer-dark-version .footer-widget-area .widget_meta ul li a,
  .footer-dark-version .footer-widget-area .widget_archive ul li a,
  .footer-dark-version .footer-widget-area .rifl-widget.widget_nav_menu ul li a,
  .footer-dark-version .footer-widget-area .rifl-widget.widget_rss a,
  .footer-dark-version .footer-widget-area .rifl-widget.widget_pages ul li a,
  .rifl-footer.footer-dark-version .contact-wrap .contact-item p a,
  .footer-dark-version .rifl-widget.widget_tag_cloud a {color: {$footer_link_color_dark};}
CSS;
}
if ($footer_link_hover_color_dark) {
echo <<<CSS
  .no-class {}
  .footer-dark-version a:hover,
  .footer-dark-version .footer-widget-area .widget_categories ul li a:hover,
  .footer-dark-version .footer-widget-area .widget_recent_entries ul li a:hover,
  .footer-dark-version .footer-widget-area .widget_meta ul li a:hover,
  .footer-dark-version .footer-widget-area .widget_archive ul li a:hover,
  .footer-dark-version .footer-widget-area .rifl-widget.widget_nav_menu ul li a:hover,
  .footer-dark-version .footer-widget-area .rifl-widget.widget_rss a:hover,
  .footer-dark-version .footer-widget-area .rifl-widget.widget_pages ul li a:hover,
  .footer-dark-version .widget_recent_comments ul li a:hover,
  .rifl-footer.footer-dark-version .contact-wrap .contact-item p a:hover,
  .footer-dark-version .rifl-widget.widget_tag_cloud a:hover {color: {$footer_link_hover_color_dark};}

  .footer-dark-version .rifl-widget.widget_tag_cloud a:hover {border-color:{$footer_link_hover_color_dark};}
CSS;
}

// Footer Light Version
$footer_bg_color_light  = cs_get_customize_option( 'footer_bg_color_light' );
$footer_heading_color_light  = cs_get_customize_option( 'footer_heading_color_light' );
$footer_text_color_light  = cs_get_customize_option( 'footer_text_color_light' );
$footer_link_color_light  = cs_get_customize_option( 'footer_link_color_light' );
$footer_link_hover_color_light  = cs_get_customize_option( 'footer_link_hover_color_light' );
/* Footer */
if ($footer_bg_color_light) {
echo <<<CSS
  .no-class {}
  .rifl-footer.footer-light-version {background: {$footer_bg_color_light};}
CSS;
}
if ($footer_heading_color_light) {
echo <<<CSS
  .no-class {}
  .footer-light-version .rifl-widget .widget-title {color: {$footer_heading_color_light};}
CSS;
}
if ($footer_text_color_light) {
echo <<<CSS
  .no-class {}
  .rifl-footer.footer-light-version p,
  .footer-light-version .footer-widget-area .widget_recent_comments ul li span,
  .footer-light-version .footer-widget-area .widget_categories ul li a:before,
  .footer-light-version .footer-widget-area .widget_recent_entries ul li a:before,
  .footer-light-version .footer-widget-area .widget_recent_comments ul li span:before,
  .footer-light-version .footer-widget-area .widget_meta ul li a:before,
  .footer-light-version .footer-widget-area .widget_archive ul li a:before,
  .footer-light-version .footer-widget-area .rifl-widget.widget_pages ul li a:before,
  .footer-light-version .footer-widget-area .rifl-widget.widget_nav_menu ul li a:before,
  .footer-light-version select, .footer-light-version caption,
  footer.rifl-footer.footer-light-version,
  .footer-light-version input[type="text"],
  .rifl-footer.footer-light-version .contact-wrap .contact-item span,
  .rifl-footer.footer-light-version .contact-wrap .contact-item p, .footer-light-version .rifl-widget .rssSummary,
  .footer-light-version .widget_rss cite, .footer-light-version .widget_rss span {color: {$footer_text_color_light};}
CSS;
}
if ($footer_link_color_light) {
echo <<<CSS
  .no-class {}
  .rifl-footer.footer-light-version a,
  .footer-light-version .footer-widget-area .widget_categories ul li a,
  .footer-light-version .footer-widget-area .widget_recent_entries ul li a,
  .footer-light-version .footer-widget-area .widget_meta ul li a,
  .footer-light-version .footer-widget-area .widget_archive ul li a,
  .footer-light-version .footer-widget-area .rifl-widget.widget_nav_menu ul li a,
  .footer-light-version .footer-widget-area .rifl-widget.widget_rss a,
  .footer-light-version .footer-widget-area .rifl-widget.widget_pages ul li a,
  .rifl-footer.footer-light-version .contact-wrap .contact-item p a {color: {$footer_link_color_light};}
CSS;
}
if ($footer_link_hover_color_light) {
echo <<<CSS
  .no-class {}
  .rifl-footer.footer-light-version a:hover,
  .footer-light-version .footer-widget-area .widget_categories ul li a:hover,
  .footer-light-version .footer-widget-area .widget_recent_entries ul li a:hover,
  .footer-light-version .footer-widget-area .widget_meta ul li a:hover,
  .footer-light-version .footer-widget-area .widget_archive ul li a:hover,
  .footer-light-version .footer-widget-area .rifl-widget.widget_nav_menu ul li a:hover,
  .footer-light-version .footer-widget-area .rifl-widget.widget_rss a:hover,
  .footer-light-version .footer-widget-area .rifl-widget.widget_pages ul li a:hover,
  .footer-light-version .widget_recent_comments ul li a:hover,
  .rifl-footer.footer-light-version .contact-wrap .contact-item p a:hover {color: {$footer_link_hover_color_light};}

  .footer-light-version .rifl-widget.widget_tag_cloud a:hover {border-color:{$footer_link_hover_color_dark};}
CSS;
}

/* Copyright */
$copyright_text_color  = cs_get_customize_option( 'copyright_text_color' );
$copyright_link_color  = cs_get_customize_option( 'copyright_link_color' );
$copyright_link_hover_color  = cs_get_customize_option( 'copyright_link_hover_color' );
$copyright_bg_color  = cs_get_customize_option( 'copyright_bg_color' );
$copyright_border_color  = cs_get_customize_option( 'copyright_border_color' );
if ($copyright_bg_color || $copyright_border_color) {
echo <<<CSS
  .no-class {}
  .rifl-copyright, .rifl-copyright.copyright-style-two {background: {$copyright_bg_color};} 
  .rifl-copyright, .rifl-copyright.copyright-style-two {border-color: {$copyright_border_color};}
CSS;
}
if ($copyright_text_color) {
echo <<<CSS
  .no-class {}
  .rifl-copyright,
  .rifl-copyright p, .rifl-copyright.copyright-style-two,
  .rifl-copyright .contact-wrap .contact-item p, .rifl-copyright .contact-wrap .contact-item span {color: {$copyright_text_color};}
CSS;
}
if ($copyright_link_color) {
echo <<<CSS
  .no-class {}
  .rifl-copyright a, .rifl-copyright.copyright-style-two a,
  .rifl-copyright .contact-wrap .contact-item a {color: {$copyright_link_color};}
CSS;
}
if ($copyright_link_hover_color) {
echo <<<CSS
  .no-class {}
  .rifl-copyright a:hover, .rifl-copyright.copyright-style-two a:hover,
  .rifl-copyright.copyright-style-two a:focus,
  .rifl-copyright .contact-wrap .contact-item a:hover,
  .rifl-copyright .contact-wrap .contact-item a:focus,
  .rifl-copyright.copyright-style-two .contact-wrap .contact-item p a:hover,
  .rifl-copyright.copyright-style-two a:hover {color: {$copyright_link_hover_color};}
CSS;
}

// Content Colors
$body_color  = cs_get_customize_option( 'body_color' );
if ($body_color) {
echo <<<CSS
  .no-class {}
  p, body, .rifl-primary p, .blog-meta a, .blog-meta,
  .author-content .author-pro,
  .entry-content textarea, .entry-content .comment-form label,
  .portfolio-info-listings ul li .info-list-title,
  .rifl-portfolio-quote p, .info-listings .info-list-title, input[type="text"],
  .squre-bullets, .member-info, .member-designation, .rifl-content-side .contact-wrap .contact-item p,
  .rifl-content-side .contact-wrap .contact-item span, .rifl-content-side input[type="text"],
  .rifl-content-side input[type="email"], .rifl-content-side input[type="password"], .rifl-content-side input[type="tel"],
  .rifl-content-side input[type="search"], .rifl-content-side input[type="date"], .rifl-content-side input[type="time"],
  .rifl-content-side input[type="datetime-local"], .rifl-content-side input[type="month"], .rifl-content-side input[type="url"],
  .rifl-content-side input[type="number"], .rifl-content-side textarea, .rifl-content-side select,
  .rifl-content-side .form-control, .contact-form label, .client-section-title, .rifl-about-me .my-wrap,
  .rifl-about-me .my-wrap p, .rifl-comments-area .comments-sub-title,
  .rifl-comments-area .rifl-comments-meta .comments-date, .rifl-content-side table th,
  blockquote p cite, .rifl-content-side form label {color: {$body_color};}
CSS;
}
$body_links_color  = cs_get_customize_option( 'body_links_color' );
if ($body_links_color) {
echo <<<CSS
  .no-class {}
  .rifl-content-side a, .rifl-primary a, body .rifl-primary a, .squre-bullets li a, .rifl-more-posts .more-post-type,
  .rifl-more-posts .more-posts-link, .share-portfolio .share-link,
  .rifl-more-posts.posts-style-two .more-post-title,
  .rifl-more-posts.posts-style-two .more-post-type,
  .horizontal-portfolio .portfolio-info .portfolio-title a,
  .horizontal-portfolio .portfolio-info .portfolio-category a,
  .rifl-content-side .contact-wrap .contact-item p a,
  .masonry-filters ul li a, .vertical-portfolio .portfolio-title a,
  .vertical-portfolio .portfolio-category a, .rifl-content-side a,
  .rifl-pagination .page-numbers, .wp-link-pages a span, .rifl-blog-tags ul li a {color: {$body_links_color};}
CSS;
}
$body_link_hover_color  = cs_get_customize_option( 'body_link_hover_color' );
if ($body_link_hover_color) {
echo <<<CSS
  .no-class {}
  .rifl-content-side a:hover, .rifl-primary a:hover, body .rifl-primary a:hover, .squre-bullets li a:hover, .blog-meta a:hover,
  .rifl-more-posts .more-posts-link.rifl-hover .more-post-title,
  .rifl-more-posts .more-posts-link.rifl-hover .more-post-type,
  .share-portfolio .share-link:hover,
  .rifl-more-posts.posts-style-two .more-post-title:hover,
  .rifl-more-posts.posts-style-two .more-posts-link.rifl-hover .more-post-type,
  .horizontal-portfolio .portfolio-info .portfolio-title a:hover,
  .horizontal-portfolio .portfolio-info .portfolio-category a:hover,
  .rifl-content-side .contact-wrap .contact-item p a:hover,
  .masonry-filters ul li a:hover, .vertical-portfolio .portfolio-title a:hover,
  .vertical-portfolio .portfolio-category a:hover, .rifl-content-area a:hover,
  .rifl-content-area a:focus, .wp-link-pages a span:hover,
  .rifl-blog-tags ul li a:hover, .rifl-blog-tags ul li a:focus {color: {$body_link_hover_color};}

  .rifl-blog-tags ul li a:hover, .rifl-blog-tags ul li a:focus {border-color: {$body_link_hover_color};}
CSS;
}
$sidebar_content_color  = cs_get_customize_option( 'sidebar_content_color' );
if ($sidebar_content_color) {
echo <<<CSS
  .no-class {}
  .rifl-secondary .rifl-widget p,
  .rifl-secondary .widget_rss .rssSummary, .rifl-secondary .rifl-widget .post-info .post-time, .rifl-secondary .rifl-widget select,
  .rifl-secondary caption, .rifl-secondary input[type="text"],
  .rifl-secondary .widget_recent_comments ul li span, .rifl-secondary .rifl-widget,
  .widget_categories ul li a:before, .widget_recent_entries ul li a:before,
  .widget_recent_comments ul li span:before, .widget_meta ul li a:before,
  .widget_archive ul li a:before, .rifl-widget.widget_pages ul li a:before,
  .rifl-secondary .rifl-widget.widget_nav_menu ul li a:before, .rifl-secondary .widget_rss cite, .rifl-secondary .widget_rss span {color: {$sidebar_content_color};}
CSS;
}
$sidebar_link_color  = cs_get_customize_option( 'sidebar_link_color' );
if ($sidebar_link_color) {
echo <<<CSS
  .no-class {}
  .rifl-secondary a,
  .rifl-secondary .widget_categories ul li a, .rifl-secondary .widget_recent_entries ul li a,
  .rifl-secondary .widget_meta ul li a,
  .rifl-secondary .widget_archive ul li a, .rifl-secondary .rifl-widget.widget_nav_menu ul li a,
  .rifl-secondary .rifl-widget.widget_pages ul li a, .rifl-secondary .rifl-widget.widget_rss a {color: {$sidebar_link_color};}
CSS;
}
$sidebar_link_hover_color  = cs_get_customize_option( 'sidebar_link_hover_color' );
if ($sidebar_link_hover_color) {
echo <<<CSS
  .no-class {}
  .rifl-secondary a:hover,
  .rifl-secondary .widget_categories ul li a:hover, .rifl-secondary .widget_recent_entries ul li a:hover,
  .rifl-secondary .widget_meta ul li a:hover,
  .rifl-secondary .widget_archive ul li a:hover, .rifl-secondary .rifl-widget.widget_nav_menu ul li a:hover,
  .rifl-secondary .rifl-widget.widget_pages ul li a:hover,
  .rifl-secondary .rifl-widget.widget_rss a:hover {color: {$sidebar_link_hover_color};}
CSS;
}

// Content Heading
$content_heading_color  = cs_get_customize_option( 'content_heading_color' );
if ($content_heading_color) {
echo <<<CSS
  .no-class {}
  h1, h2, h3, h4, h5, h6, .portfolio-info-container .portfolio-sub-title,
  .rifl-about-me .my-title {color: {$content_heading_color};}
CSS;
}
// Sidebar Heading
$sidebar_heading_color  = cs_get_customize_option( 'sidebar_heading_color' );
if ($sidebar_heading_color) {
echo <<<CSS
  .no-class {}
  .rifl-secondary h1,
  .rifl-secondary h2,
  .rifl-secondary h3,
  .rifl-secondary h4,
  .rifl-secondary h5,
  .rifl-secondary h6 {color: {$sidebar_heading_color};}
CSS;
}

// Maintenance Mode
$maintenance_mode_bg  = cs_get_option( 'maintenance_mode_bg' );
if ($maintenance_mode_bg) {
  $maintenance_css = ( ! empty( $maintenance_mode_bg['image'] ) ) ? 'background-image: url('. $maintenance_mode_bg['image'] .');' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['repeat'] ) ) ? 'background-repeat: '. $maintenance_mode_bg['repeat'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['position'] ) ) ? 'background-position: '. $maintenance_mode_bg['position'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['attachment'] ) ) ? 'background-attachment: '. $maintenance_mode_bg['attachment'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['size'] ) ) ? 'background-size: '. $maintenance_mode_bg['size'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['color'] ) ) ? 'background-color: '. $maintenance_mode_bg['color'] .';' : '';
echo <<<CSS
  .no-class {}
  .vt-maintenance-mode {
    {$maintenance_css}
  }
CSS;
}

// Mobile Menu Breakpoint
$mobile_breakpoint = cs_get_option('mobile_breakpoint');
$breakpoint = $mobile_breakpoint ? $mobile_breakpoint : '767';

echo <<<CSS
  .no-class {}
@media (max-width: {$breakpoint}px) {  
  .nav-style-two header.rifl-header .header-container, .nav-style-two header.rifl-header.header-wide,
  .nav-style-two .is-sticky .rifl-header.header-container {
    position: relative;
  }
  .rifl-main-wrap.wrap-container, header.rifl-header .header-container,
  .nav-style-two .is-sticky .rifl-header .header-container {
    width: 80%;
  }
  .rifl-menu {
    overflow-x: hidden;
    overflow-y: auto;
  }
  .nav-style-two .rifl-brand {
    padding: 0;
  }
  .nav-style-two header.rifl-header .header-wide {
    padding: 0;
  }
  .nav-style-two .rifl-menu {
    position: fixed;
    top: 80px;
    left: 0;
    width: 750px;
    margin: 0 auto;
    height: 50vh;
    background: #ffffff;
    overflow: auto;
    visibility: hidden;
    -webkit-box-shadow: 0 5px 5px rgba(0, 0, 0, 0.2);
    -ms-box-shadow: 0 5px 5px rgba(0, 0, 0, 0.2);
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.2);
    z-index: -3;
  }
  .admin-bar .nav-style-two .rifl-menu {
    top: 133px;
  }
  .admin-bar nav.rifl-menu.menu-style-one.open {
    top: 110px;
  }
  .nav-style-two .rifl-menu.open {
    visibility: visible;
    z-index: 3;
  }
  .nav-style-two .header-wide .rifl-menu {
    width: 100%;
  }
  .nav-style-two .is-sticky .header-wide .rifl-menu {
    top: 88px;
  }
  .nav-style-two .rifl-menu .menu-navigation-bar > ul > li {
    display: block;
    margin: 0;
    border-bottom: 1px solid #ededed;
  }
  .nav-style-two .rifl-menu .menu-navigation-bar > ul > li > a {
    display: block;
    padding: 15px 25px;
    position: relative;
  }
  .nav-style-two .rifl-menu .menu-navigation-bar > ul > li.dropdown-item > a {
    padding-right: 50px;
  }
  .nav-style-two .rifl-menu .menu-navigation-bar ul li.dropdown-item > a:after {
    display: block;
  }
  .nav-style-two .rifl-menu .menu-navigation-bar ul li.dropdown-item.open > a:after {
    -webkit-transform: translateY(-50%) rotate(185deg);
    -ms-transform: translateY(-50%) rotate(185deg);
    transform: translateY(-50%) rotate(185deg);
  }
  .nav-style-two .rifl-menu .dropdown {
    position: static;
    min-width: 100%;
    padding: 0;
    background: #111111;
    -webkit-box-shadow: none;
    -ms-box-shadow: none;
    box-shadow: none;
  }
  .nav-style-two .rifl-menu .dropdown .dropdown {
    background: #151515;
  }
  .nav-style-two .rifl-menu .dropdown .dropdown .dropdown {
    background: #191919;
  }
  .nav-style-two .rifl-menu .dropdown > li > a {
    padding: 13px 25px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    position: relative;
  }
  .dropdown > li:hover > a, .dropdown > li.active > a {
    color: #ffffff;
  }



  .navigation-bar,
  .top-nav-icons,
  .rifl-nav-search,
  .hav-mobile-logo.rifl-logo img.default-logo,
  .hav-mobile-logo.rifl-logo img.retina-logo,
  .is-sticky .rifl-logo img.default-logo.sticky-logo,
  .is-sticky .rifl-logo img.retina-logo.sticky-logo,
  .header-transparent .rifl-logo.hav-mobile-logo img.transparent-default-logo.transparent-logo,
  .header-transparent .is-sticky .rifl-logo.hav-mobile-logo img.transparent-default-logo.sticky-logo,
  .rifl-logo.hav-mobile-logo img.transparent-default-logo.sticky-logo {display: none;}
  .mean-container .top-nav-icons,
  .mean-container .rifl-logo,
  .mean-container .rifl-nav-search,
  .hav-mobile-logo.rifl-logo img.mobile-logo {display: block;}
  .mean-container .container {width: 100%;}
  .rifl-header-two .mean-container .rifl-logo {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 99999;
    padding: 0 20px;
  }
  .rifl-header-two .mean-container .rifl-navigation {
    position: absolute;
    right: 73px;
    top: 0;
    z-index: 9999;
  }
  .nav-style-two.transparent-header .rifl-menu .menu-navigation-bar > ul > li > a {
    color: #777777 !important;
  }
  .nav-style-two .rifl-menu .menu-navigation-bar > ul > li {
    padding: 0;
  }
  .mean-container .rifl-nav-search {
    float: left;
    left: 0;right: auto;
    background-color: rgba(0,0,0,0.4);
  }
  .mean-container .rifl-search-three {
    position: absolute;
    width: 100%;
    left: 0;top: 0;
    z-index: 9999;
  }
  .mean-container .rifl-search-three input {
    position: absolute;
    left: 0;top: 0;
    background: rgba(0,0,0,0.4);
  }
  .rifl-header-two .mean-container .top-nav-icons {
    position: absolute;
    left: 0;
    z-index: 999999;
  }
  .rifl-brand img.mobile-logo {
    display: inline-block;
  }
  .rifl-brand.hav-mobile-logo .default-logo,
  .rifl-brand.hav-mobile-logo .transparent-default-logo,
  .rifl-brand.hav-mobile-logo .text-logo {
    display: none;
  }
  .rifl-header-two .rifl-brand {padding-top: 20px;padding-bottom: 0;}
}
CSS;

  echo $riffel_vt_get_typography;

  $output = ob_get_clean();
  return $output;

  }

}

/**
 * Custom Font Family
 */
if ( ! function_exists( 'riffel_custom_font_load' ) ) {
  function riffel_custom_font_load() {

    $font_family       = cs_get_option( 'font_family' );

    ob_start();

    if( ! empty( $font_family ) ) {

      foreach ( $font_family as $font ) {
        echo '@font-face{';

        echo 'font-family: "'. $font['name'] .'";';

        if( empty( $font['css'] ) ) {
          echo 'font-style: normal;';
          echo 'font-weight: normal;';
        } else {
          echo $font['css'];
        }

        echo ( ! empty( $font['ttf']  ) ) ? 'src: url('. $font['ttf'] .');' : '';
        echo ( ! empty( $font['eot']  ) ) ? 'src: url('. $font['eot'] .');' : '';
        echo ( ! empty( $font['svg']  ) ) ? 'src: url('. $font['svg'] .');' : '';
        echo ( ! empty( $font['woff'] ) ) ? 'src: url('. $font['woff'] .');' : '';
        echo ( ! empty( $font['otf']  ) ) ? 'src: url('. $font['otf'] .');' : '';

        echo '}';
      }

    }

    // Typography
    $output = ob_get_clean();
    return $output;
  }
}

/* Custom Styles */
if( ! function_exists( 'riffel_vt_custom_css' ) ) {
  function riffel_vt_custom_css() {
    wp_enqueue_style('riffel-default-style', get_template_directory_uri() . '/style.css');
    $output  = riffel_custom_font_load();
    $output .= riffel_dynamic_styles();
    $output .= cs_get_option( 'theme_custom_css' );
    $custom_css = riffel_compress_css_lines( $output );

    wp_add_inline_style( 'riffel-default-style', $custom_css );
  }
}

/* Custom JS */
if( ! function_exists( 'riffel_vt_custom_js' ) ) {
  function riffel_vt_custom_js() {
    if ( ! wp_script_is( 'jquery', 'done' ) ) {
      wp_enqueue_script( 'jquery' );
    }
    $output = cs_get_option( 'theme_custom_js' );
    wp_add_inline_script( 'jquery-migrate', $output );
  }
  add_action( 'wp_enqueue_scripts', 'riffel_vt_custom_js' );
}