<?php
/*
 * All Metabox related options for Riffel theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

function riffel_vt_metabox_options( $options ) {

  $options      = array();

  // -----------------------------------------
  // Portfolio Metabox Options                    -
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'portfolio_single_metabox',
    'title'     => esc_html__('Portfolio Meta', 'riffel'),
    'post_type' => array('portfolio'),
    'context'   => 'normal',
    'priority'  => 'default',
    'sections'  => array(

    // Portfolio Layout
    array(
      'name'  => 'portfolio_layout_section',
      'title' => esc_html__('Layout', 'riffel'),
      'icon'  => 'fa fa-minus',

      // Fields Start
      'fields' => array(

        // array(
        //   'id'           => 'portfolio_single_layout',
        //   'type'         => 'image_select',
        //   'options'      => array(
        //     'portfolio_masonry'    => RIFFEL_CS_IMAGES . '/portfolio-masonry.jpg',
        //     'portfolio_stack'    => RIFFEL_CS_IMAGES . '/portfolio-stack.jpg',
        //     'portfolio_slider'    => RIFFEL_CS_IMAGES . '/portfolio-slider.jpg',
        //     'portfolio_horizontal'    => RIFFEL_CS_IMAGES . '/portfolio-horizontal.jpg',
        //   ),
        //   'attributes' => array(
        //     'data-depend-id' => 'portfolio_single_layout',
        //   ),
        //   'radio'     => true,
        //   'default'   => 'portfolio_slider',
        // ),
        array(
          'id'        => 'portfolio_single_layout',
          'type'      => 'select',
          'title'     => esc_html__('Portfolio Layout', 'riffel'),
          'options'   => array(
            'center-masonry-gallery'    => esc_html__('Center Masonry Gallery', 'riffel'),
            'center-slider'    => esc_html__('Center Slider', 'riffel'),
            'center-stack'    => esc_html__('Center Stack', 'riffel'),
            'left-sidebar'    => esc_html__('Left Sidebar', 'riffel'),
            'right-sidebar'    => esc_html__('Right Sidebar', 'riffel'),
            'fullwidth-slider'    => esc_html__('Fullwidth Slider', 'riffel'),
            'left-sidebar-gallery'    => esc_html__('Left Sidebar Gallery', 'riffel'),
            'custom'    => esc_html__('Custom', 'riffel'),
          ),
        ),
        array(
          'id'             => 'banner_type',
          'type'           => 'select',
          'title'          => esc_html__('Banner Type', 'riffel'),
          'options'        => array(
            'select_banner' => esc_html__('Select Banner', 'riffel'),
            'text_banner' => esc_html__('Text Banner', 'riffel'),
            'img_banner' => esc_html__('Image Banner', 'riffel'),
            'hide_banner' => esc_html__('Hide Banner', 'riffel'),
          ),
          'info'          => esc_html__('Select banner type', 'riffel'),
          'dependency'   => array('portfolio_single_layout', '==', 'custom'),
        ),
        array(
          'id'          => 'banner_title',
          'type'        => 'text',
          'title'       => esc_html__('Banner Title', 'riffel'),
          'dependency'   => array('banner_type', '==', 'text_banner'),
        ),
        // start fields
        array(
          'id'              => 'banner_info',
          'title'           => esc_html__('Banner Informations', 'riffel'),
          'desc'            => esc_html__('Each group is each meta info', 'riffel'),
          'type'            => 'group',
          'dependency'   => array('banner_type', '==', 'text_banner'),
          'fields'          => array(
            array(
              'id'          => 'banner_info_title',
              'type'        => 'text',
              'title'       => esc_html__('Info List Title', 'riffel'),
            ),
            array(
              'id'          => 'banner_meta_txt',
              'type'        => 'textarea',
              'title'       => esc_html__('Info List Text', 'riffel'),
              'desc'       => esc_html__('Type multiple information by separting "Enter"', 'riffel'),
            ),
            array(
              'id'          => 'banner_meta_url',
              'type'        => 'textarea',
              'title'       => esc_html__('Info URL', 'riffel'),
              'attributes' => array(
                'placeholder' => esc_html__('http://', 'riffel'),
              ),
              'desc'       => esc_html__('Type multiple information by separting "Enter" (Make equality of info and url)', 'riffel'),
            )
          ),
          'accordion'       => true,
          'button_title'    => esc_html__('Add New Info', 'riffel'),
          'accordion_title' => esc_html__('New Info', 'riffel'),
        ), // information meta
        array(
          'id'          => 'banner_image',
          'type'        => 'image',
          'title'       => esc_html__('Banner Image', 'riffel'),
          'dependency'   => array('banner_type', '==', 'img_banner'),
        ),
        array(
          'id'          => 'full_height_banner',
          'type'        => 'switcher',
          'title'       => esc_html__('Full-Height Banner', 'riffel'),
          'dependency'   => array('banner_type', '==', 'img_banner'),
        ),

        array(
          'id'             => 'sidebar_type',
          'type'           => 'select',
          'title'          => esc_html__('Sidebar Type', 'riffel'),
          'options'        => array(
            'default' => esc_html__('Default', 'riffel'),
            'floating' => esc_html__('Floating Sidebar', 'riffel'),
            'sticky' => esc_html__('Sticky Sidebar', 'riffel'),
          ),
          'info'          => esc_html__('Select sidebar type', 'riffel'),
          'dependency'   => array('portfolio_single_layout', 'any', 'left-sidebar,right-sidebar,left-sidebar-gallery,fullwidth-slider'),
        ),
        array(
          'id'          => 'portfolio_sub_title',
          'type'        => 'text',
          'title'       => esc_html__('Portfolio Sub-Title', 'riffel'),
          'dependency'  => array('portfolio_single_layout', 'any', 'center-slider,center-stack'),
        ),
        array(
          'id'        => 'portfolio_single_width',
          'type'      => 'select',
          'title'     => esc_html__('Layout', 'riffel'),
          'options'   => array(
            'fullwidth'    => 'Fullwidth',
            'contained' => 'Container',
          ),
          'dependency'   => array('portfolio_single_layout', 'any', 'left-sidebar,right-sidebar,left-sidebar-gallery,fullwidth-slider'),
        ),
        // end fields
      ), // End : Fields
    ), // Portfolio Layout
    // Portfolio Images
    array(
      'name'  => 'portfolio_image_section',
      'title' => esc_html__('Images', 'riffel'),
      'icon'  => 'fa fa-image',

      // Gallery Images
      'fields' => array(

        // start fields
        array(
          'id'              => 'portfolio_single_images',
          'title'           => esc_html__('Portfolio Images', 'riffel'),
          'type'            => 'group',
          'fields'          => array(
            array(
              'id'          => 'title',
              'type'        => 'text',
              'title'       => esc_html__('Image Title', 'riffel'),
            ),
            array(
              'id'          => 'image',
              'type'        => 'image',
              'title'       => esc_html__('Image', 'riffel'),
            ),
            array(
              'id'          => 'project_url',
              'type'        => 'text',
              'title'       => esc_html__('Project URL', 'riffel'),
              'attributes' => array(
                'placeholder' => esc_html__('http://', 'riffel'),
              ),
            ),
            array(
              'id'    => 'item_width',
              'type'  => 'select',
              'title' => esc_html__('Image Width', 'riffel'),
              'options' => array(
                  'one-half-item' => esc_html__('One Half', 'riffel'),
                  'one-fifth-item' => esc_html__('One Fifth', 'riffel'),
                  'one-seventh-half-item' => esc_html__('One Seventh', 'riffel'),
                  'full-width' => esc_html__('Fullwidth', 'riffel'),
                  // 'col-md-1' => esc_html__('8%', 'riffel'),
                  // 'col-md-2' => esc_html__('16%', 'riffel'),
                  // 'col-md-3' => esc_html__('25%', 'riffel'),
                  // 'col-md-4' => esc_html__('25%', 'riffel'),
                  // 'col-md-5' => esc_html__('33%', 'riffel'),
                  // 'col-md-6' => esc_html__('41%', 'riffel'),
                  // 'col-md-7' => esc_html__('50%', 'riffel'),
                  // 'col-md-8' => esc_html__('66%', 'riffel'),
                  // 'col-md-9' => esc_html__('75%', 'riffel'),
                  // 'col-md-10' => esc_html__('83%', 'riffel'),
                  // 'col-md-11' => esc_html__('91%', 'riffel'),
                  // 'col-md-12' => esc_html__('100%', 'riffel'),
                ),
              'default'  => 'one-half-item',
              'desc'       => esc_html__('This will affect only in "Center Masonry Gallery" Layout', 'riffel'),
            ),
          ),
          'accordion'       => true,
          'button_title'    => esc_html__('Add New Image', 'riffel'),
          'accordion_title' => esc_html__('New Image', 'riffel'),
        ), // information meta
      ), // End : Fields
    ), //Gallery Images

    // Portfolio Info
    array(
      'name'  => 'portfolio_info_section',
      'title' => esc_html__('Portfolio Informations', 'riffel'),
      'icon'  => 'fa fa-info',
      'fields' => array(

        // start fields
        array(
          'id'              => 'portfolio_informations',
          'title'           => esc_html__('Informations', 'riffel'),
          'desc'            => esc_html__('Each group is each meta info', 'riffel'),
          'type'            => 'group',
          'fields'          => array(
            array(
              'id'          => 'title',
              'type'        => 'text',
              'title'       => esc_html__('Meta Title', 'riffel'),
            ),
            array(
              'id'          => 'meta_info',
              'type'        => 'textarea',
              'title'       => esc_html__('Info', 'riffel'),
              'desc'       => esc_html__('Type multiple information by separting "Enter"', 'riffel'),
            ),
            array(
              'id'          => 'info_url',
              'type'        => 'textarea',
              'title'       => esc_html__('Info URL', 'riffel'),
              'attributes' => array(
                'placeholder' => esc_html__('http://', 'riffel'),
              ),
              'desc'       => esc_html__('Type multiple information by separting "Enter" (Make equality of info and url)', 'riffel'),
            )
          ),
          'accordion'       => true,
          'button_title'    => esc_html__('Add New Info', 'riffel'),
          'accordion_title' => esc_html__('New Info', 'riffel'),
        ), // information meta
      ),
    ),
    // Portfolio Info
  ),
);

 // -----------------------------------------
  // Featured Image Options
  // -----------------------------------------

  $options[]    = array(
    'id'        => 'portfolio_featurd_image',
    'title'     => esc_html__('Featured Image', 'riffel'),
    'post_type' => 'portfolio',
    'context'   => 'side',
    'priority'  => 'default',
    'sections'  => array(
        array(
          'name'  => 'page_layout_section',
          'fields' => array(
            array(
              'id'        => 'featured_image_masonry',
              'type'      => 'image',
              'title'   => esc_html__('Masonry Featurd Image', 'riffel'),
              'info' => esc_html__( 'This featured image is used for portfolio style Masonry & Horizontal view', 'riffel' ),
            ),
            array(
              'type' => 'select',
              'title' => esc_html__( 'Portfolio Masonry Image Size', 'riffel' ),
              'options' => array(
                'default'     => 'Default',
                '2x-width'      => '2X Width',
                '2x-height'      => '2X Height',
                '2x-width-height' => '2X Width & Height',
              ),
              'id' => 'masonry_img_size',
              'info' => esc_html__( 'Select your masonry image size.(2X Width And 2X Width & Height will only apply for portfolio style three )', 'riffel' ),
            ),
            array(
              'id'        => 'featured_image_vertical',
              'type'      => 'image',
              'title'   => esc_html__('Wide Featurd Image', 'riffel'),
            ),
            array(
              'id'        => 'featured_image_horizontal',
              'type'      => 'image',
              'title'   => esc_html__('Horizontal Featurd Image', 'riffel'),
            ),
            array(
              'id'        => 'featured_image_bg',
              'type'      => 'color_picker',
              'title'   => esc_html__('Featurd Image Background Color', 'riffel'),
            ),
            array(
              'id'        => 'title_color',
              'type'      => 'color_picker',
              'title'   => esc_html__('Portfolio Title Color', 'riffel'),
            ),
            array(
              'id'        => 'category_color',
              'type'      => 'color_picker',
              'title'   => esc_html__('Portfolio Category Color', 'riffel'),
            ),
          ), // End Fields
        ), // Content Section
      ),
    ); // featured image

  // -----------------------------------------
  // Page Metabox Options                    -
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'page_type_metabox',
    'title'     => esc_html__('Page Custom Options', 'riffel'),
    'post_type' => array('post', 'page', 'portfolio', 'product', 'team'),
    'context'   => 'normal',
    'priority'  => 'default',
    'sections'  => array(

      // Header
      array(
        'name'  => 'header_section',
        'title' => esc_html__('Header', 'riffel'),
        'icon'  => 'fa fa-bars',
        'fields' => array(

          array(
            'id'    => 'stick_header',
            'type'  => 'switcher',
            'title' => esc_html__('Sticky Header', 'riffel'),
            'info' => esc_html__('Turn On if you want your naviagtion bar on sticky.', 'riffel'),
          ),
          array(
            'id'    => 'transparency_header',
            'type'  => 'switcher',
            'title' => esc_html__('Transparent Header', 'riffel'),
            'info' => esc_html__('Use Transparent Method', 'riffel'),
          ),
          array(
            'id'             => 'header_width',
            'type'           => 'select',
            'title'          => esc_html__('Choose Header Width', 'riffel'),
            'options'   => array(
              'wide'   => 'Wide',
              'container' => 'Container',
            ),
            'default_option' => esc_html__('Default', 'riffel'),
          ),
          array(
            'id'    => 'transparent_menu_color',
            'type'  => 'color_picker',
            'title' => esc_html__('Menu Color', 'riffel'),
            'info' => esc_html__('Pick your menu color. This color will only apply for transparent header mode.', 'riffel'),
            'dependency'   => array('transparency_header', '==', 'true'),
          ),
          array(
            'id'    => 'transparent_menu_hover_color',
            'type'  => 'color_picker',
            'title' => esc_html__('Menu Hover Color', 'riffel'),
            'info' => esc_html__('Pick your menu hover color. This color will only apply for transparent header mode.', 'riffel'),
            'dependency'   => array('transparency_header', '==', 'true'),
          ),
          array(
            'id'             => 'menu_style',
            'type'           => 'select',
            'title'          => esc_html__('Choose Menu Style', 'riffel'),
            'desc'          => esc_html__('Choose custom menus for this page.', 'riffel'),
            'options'   => array(
              'style-one' => 'Style One',
              'style-two'   => 'Style Two',
            ),
            'default_option' => esc_html__('Default Menu', 'riffel'),
          ),
          array(
            'id'             => 'choose_menu',
            'type'           => 'select',
            'title'          => esc_html__('Choose Menu', 'riffel'),
            'desc'          => esc_html__('Choose custom menus for this page.', 'riffel'),
            'options'        => 'menus',
            'default_option' => esc_html__('Select your menu', 'riffel'),
          ),

          array(
            'type'    => 'notice',
            'class'   => 'info',
            'content' => 'Portfolio Filter',
          ),
          array(
            'id'        => 'portfolio_page_selection',
            'type'      => 'switcher',
            'title'          => esc_html__('Enable Portfolio Filter', 'riffel'),
            'info' => esc_html__('Select ON to set this page as portfolio. It will enable the category filter menu instead of category link in the left header area.', 'riffel'),
            'default'    => false
          ),
          array(
            'id'    => 'portfolio_show_category',
            'type'  => 'text',
            'title' => esc_html__('Portfolio categories to Show', 'riffel'),
            'info' => esc_html__('Enter category SLUGS (comma separated) you want to display.', 'riffel'),
            'dependency'   => array('portfolio_page_selection', '==', true),
          ),

          // Enable & Disable
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Enable & Disable', 'riffel'),
            'dependency' => array('header_design', '!=', 'default'),
          ),
          array(
            'id'    => 'sticky_header',
            'type'  => 'switcher',
            'title' => esc_html__('Sticky Header', 'riffel'),
            'info' => esc_html__('Turn On if you want your naviagtion bar on sticky.', 'riffel'),
            'default' => true,
            'dependency' => array('header_design', '!=', 'default'),
          ),
          array(
            'id'    => 'search_icon',
            'type'  => 'switcher',
            'title' => esc_html__('Search Icon', 'riffel'),
            'info' => esc_html__('Turn On if you want to show search icon in navigation bar.', 'riffel'),
            'default' => true,
            'dependency' => array('header_design', '!=', 'default'),
          ),
          array(
            'id'    => 'cart_widget',
            'type'  => 'switcher',
            'title' => esc_html__('Cart Widget', 'riffel'),
            'info' => esc_html__('Turn On if you want to show cart widget in header. Make sure about installation/activation of WooCommerce plugin.', 'riffel'),
            'default' => false,
            'dependency' => array('header_design', '==', 'style_two'),
          ),

        ),
      ),
      // Header

      // Banner & Title Area
      array(
        'name'  => 'banner_title_section',
        'title' => esc_html__('Banner & Title Area', 'riffel'),
        'icon'  => 'fa fa-bullhorn',
        'fields' => array(

          array(
            'id'        => 'banner_type',
            'type'      => 'select',
            'title'     => esc_html__('Choose Banner Type', 'riffel'),
            'options'   => array(
              'default-title'    => 'Default Title',
              'revolution-slider' => 'Shortcode [Rev Slider]',
              'hide-title-area'   => 'Hide Title/Banner Area',
            ),
          ),
          array(
            'id'    => 'page_revslider',
            'type'  => 'textarea',
            'title' => esc_html__('Revolution Slider or Any Shortcodes', 'riffel'),
            'desc' => __('Enter any shortcodes that you want to show in this page title area. <br />Eg : Revolution Slider shortcode.', 'riffel'),
            'attributes' => array(
              'placeholder' => esc_html__('Enter your shortcode...', 'riffel'),
            ),
            'dependency'   => array('banner_type', '==', 'revolution-slider'),
          ),
          array(
            'id'    => 'page_custom_title',
            'type'  => 'text',
            'title' => esc_html__('Custom Title', 'riffel'),
            'attributes' => array(
              'placeholder' => esc_html__('Enter your custom title...', 'riffel'),
            ),
            'dependency'   => array('banner_type', '==', 'default-title'),
          ),
          array(
            'id'        => 'title_area_spacings',
            'type'      => 'select',
            'title'     => esc_html__('Title Area Spacings', 'riffel'),
            'options'   => array(
              'padding-none' => esc_html__('Default Spacing', 'riffel'),
              'padding-xs' => esc_html__('Extra Small Padding', 'riffel'),
              'padding-sm' => esc_html__('Small Padding', 'riffel'),
              'padding-md' => esc_html__('Medium Padding', 'riffel'),
              'padding-lg' => esc_html__('Large Padding', 'riffel'),
              'padding-xl' => esc_html__('Extra Large Padding', 'riffel'),
              'padding-no' => esc_html__('No Padding', 'riffel'),
              'padding-custom' => esc_html__('Custom Padding', 'riffel'),
            ),
            'dependency'   => array('banner_type', '==', 'default-title'),
          ),
          array(
            'id'    => 'title_top_spacings',
            'type'  => 'text',
            'title' => esc_html__('Top Spacing', 'riffel'),
            'attributes'  => array( 'placeholder' => '100px' ),
            'dependency'  => array('banner_type|title_area_spacings', '==|==', 'default-title|padding-custom'),
          ),
          array(
            'id'    => 'title_bottom_spacings',
            'type'  => 'text',
            'title' => esc_html__('Bottom Spacing', 'riffel'),
            'attributes'  => array( 'placeholder' => '100px' ),
            'dependency'  => array('banner_type|title_area_spacings', '==|==', 'default-title|padding-custom'),
          ),
          array(
            'id'    => 'title_area_bg',
            'type'  => 'background',
            'title' => esc_html__('Background', 'riffel'),
            'dependency'   => array('banner_type', '==', 'default-title'),
          ),
          array(
            'id'    => 'titlebar_bg_overlay_color',
            'type'  => 'color_picker',
            'title' => esc_html__('Overlay Color', 'riffel'),
            'dependency'   => array('banner_type', '==', 'default-title'),
          ),

        ),
      ),
      // Banner & Title Area

      // Content Section
      array(
        'name'  => 'page_content_options',
        'title' => esc_html__('Content Options', 'riffel'),
        'icon'  => 'fa fa-file',

        'fields' => array(

          array(
            'id'        => 'content_spacings',
            'type'      => 'select',
            'title'     => esc_html__('Content Spacings', 'riffel'),
            'options'   => array(
              'padding-none' => esc_html__('Default Spacing', 'riffel'),
              'padding-xs' => esc_html__('Extra Small Padding', 'riffel'),
              'padding-sm' => esc_html__('Small Padding', 'riffel'),
              'padding-md' => esc_html__('Medium Padding', 'riffel'),
              'padding-lg' => esc_html__('Large Padding', 'riffel'),
              'padding-xl' => esc_html__('Extra Large Padding', 'riffel'),
              'padding-cnt-no' => esc_html__('No Padding', 'riffel'),
              'padding-custom' => esc_html__('Custom Padding', 'riffel'),
            ),
            'desc' => esc_html__('Content area top and bottom spacings.', 'riffel'),
          ),
          array(
            'id'    => 'content_top_spacings',
            'type'  => 'text',
            'title' => esc_html__('Top Spacing', 'riffel'),
            'attributes'  => array( 'placeholder' => '100px' ),
            'dependency'  => array('content_spacings', '==', 'padding-custom'),
          ),
          array(
            'id'    => 'content_bottom_spacings',
            'type'  => 'text',
            'title' => esc_html__('Bottom Spacing', 'riffel'),
            'attributes'  => array( 'placeholder' => '100px' ),
            'dependency'  => array('content_spacings', '==', 'padding-custom'),
          ),

        ), // End Fields
      ), // Content Section

      // Footer Section
      array(
        'name'  => 'footer_options',
        'title' => esc_html__('Footer', 'riffel'),
        'icon'  => 'fa fa-ellipsis-h',

        'fields' => array(

          array(
            'id'        => 'footer_style',
            'type'      => 'select',
            'title'     => esc_html__('Footer Style', 'riffel'),
            'options'   => array(
              'default' => esc_html__('Default', 'riffel'),
              'black-version' => esc_html__('Black Version', 'riffel'),
              'white-version' => esc_html__('White Version', 'riffel'),
            ),
          ),

        ), // End Fields
      ), // Footer Section

      // Enable & Disable
      array(
        'name'  => 'hide_show_section',
        'title' => esc_html__('Enable & Disable', 'riffel'),
        'icon'  => 'fa fa-toggle-on',
        'fields' => array(

          array(
            'id'    => 'hide_header',
            'type'  => 'switcher',
            'title' => esc_html__('Hide Header', 'riffel'),
            'label' => esc_html__('Yes, Please do it.', 'riffel'),
          ),
          array(
            'id'    => 'hide_footer',
            'type'  => 'switcher',
            'title' => esc_html__('Hide Footer', 'riffel'),
            'label' => esc_html__('Yes, Please do it.', 'riffel'),
          ),
          array(
            'id'             => 'need_copyright',
            'type'           => 'select',
            'title'          => esc_html__('Copyright Bar', 'riffel'),
            'options'        => array(
              'enable'  => esc_html__('Enable', 'riffel'),
              'disable' => esc_html__('Disable', 'riffel'),
            ),
            'default_option' => esc_html__('Theme Options', 'riffel'),
            'info'          => esc_html__('Select copyright bar type', 'riffel'),
          ),

        ),
      ),
      // Enable & Disable

    ),
  );

  // -----------------------------------------
  // Page Layout
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'page_layout_options',
    'title'     => esc_html__('Page Layout', 'riffel'),
    'post_type' => array('page','post'),
    'context'   => 'side',
    'priority'  => 'default',
    'sections'  => array(

      array(
        'name'   => 'page_layout_section',
        'fields' => array(

          array(
            'id'        => 'page_layout',
            'type'      => 'image_select',
            'options'   => array(
              'default'    => RIFFEL_CS_IMAGES . '/page-0.png',
              'full-width'    => RIFFEL_CS_IMAGES . '/page-1.png',
              'extra-width'   => RIFFEL_CS_IMAGES . '/page-2.png',
              'left-sidebar'  => RIFFEL_CS_IMAGES . '/page-3.png',
              'right-sidebar' => RIFFEL_CS_IMAGES . '/page-4.png',
            ),
            'attributes' => array(
              'data-depend-id' => 'page_layout',
            ),
            'default'    => 'full-width',
            'radio'      => true,
            'wrap_class' => 'text-center',
          ),
          array(
            'id'            => 'page_sidebar_widget',
            'type'           => 'select',
            'title'          => esc_html__('Sidebar Widget', 'riffel'),
            'options'        => riffel_vt_registered_sidebars(),
            'default_option' => esc_html__('Select Widget', 'riffel'),
            'dependency'   => array('page_layout', 'any', 'right-sidebar,left-sidebar'),
          ),
          array(
            'id'             => 'post_page_sidebar_type',
            'type'           => 'select',
            'title'          => esc_html__('Sidebar Type', 'riffel'),
            'options'        => array(
              'floating' => esc_html__('Floating Sidebar', 'riffel'),
              'sticky' => esc_html__('Sticky Sidebar', 'riffel'),
            ),
            'default_option' => 'Select sidebar type',
            'info'          => esc_html__('Select sidebar type', 'riffel'),
            'dependency'   => array('page_layout', 'any', 'right-sidebar,left-sidebar'),
          ),

        ),
      ),

    ),
  );

  // -----------------------------------------
  // Testimonial
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'testimonial_options',
    'title'     => esc_html__('Testimonial Client', 'riffel'),
    'post_type' => 'testimonial',
    'context'   => 'side',
    'priority'  => 'default',
    'sections'  => array(

      array(
        'name'   => 'testimonial_option_section',
        'fields' => array(

          array(
            'id'      => 'testi_name',
            'type'    => 'text',
            'title'   => esc_html__('Name', 'riffel'),
            'info'    => esc_html__('Enter client name', 'riffel'),
          ),
          array(
            'id'      => 'testi_name_link',
            'type'    => 'text',
            'title'   => esc_html__('Name Link', 'riffel'),
            'info'    => esc_html__('Enter client name link, if you want', 'riffel'),
          ),
          array(
            'id'      => 'testi_pro',
            'type'    => 'text',
            'title'   => esc_html__('Profession', 'riffel'),
            'info'    => esc_html__('Enter client profession', 'riffel'),
          ),
          array(
            'id'      => 'testi_pro_link',
            'type'    => 'text',
            'title'   => esc_html__('Profession Link', 'riffel'),
            'info'    => esc_html__('Enter client profession link', 'riffel'),
          ),

        ),
      ),

    ),
  );

  // -----------------------------------------
  // Team
  // -----------------------------------------
  $options[]    = array(
    'id'        => 'team_options',
    'title'     => esc_html__('Job Position', 'riffel'),
    'post_type' => 'team',
    'context'   => 'side',
    'priority'  => 'default',
    'sections'  => array(

      array(
        'name'   => 'team_option_section',
        'fields' => array(

          array(
            'id'      => 'team_job_position',
            'type'    => 'text',
            'attributes' => array(
              'placeholder' => esc_html__('Eg : Financial Manager', 'riffel'),
            ),
            'info'    => esc_html__('Enter this employee job position, in your company.', 'riffel'),
          ),
          array(
            'id'      => 'team_custom_link',
            'type'    => 'text',
            'title'    => esc_html__('Custom Link', 'riffel'),
            'attributes' => array(
              'placeholder' => esc_html__('http://', 'riffel'),
            ),
            'info'    => esc_html__('Enter your custom link, if you don\'t want to show this page.', 'riffel'),
          ),

        ),
      ),

    ),
  );

  return $options;

}
add_filter( 'cs_metabox_options', 'riffel_vt_metabox_options' );