<?php
/*
 * All Theme Options for Riffel theme.
 * Author & Copyright: VictorThemes
 * URL: http://themeforest.net/user/VictorThemes
 */

function riffel_vt_settings( $settings ) {

  $settings           = array(
    'menu_title'      => RIFFEL_NAME . esc_html__(' Options', 'riffel'),
    'menu_slug'       => sanitize_title(RIFFEL_NAME) . '_options',
    'menu_type'       => 'menu',
    'menu_icon'       => 'dashicons-awards',
    'menu_position'   => '4',
    'ajax_save'       => false,
    'show_reset_all'  => true,
    'framework_title' => RIFFEL_NAME .' <small>V-'. RIFFEL_VERSION .' by <a href="'. RIFFEL_BRAND_URL .'" target="_blank">'. RIFFEL_BRAND_NAME .'</a></small>',
  );

  return $settings;

}
add_filter( 'cs_framework_settings', 'riffel_vt_settings' );

// Theme Framework Options
function riffel_vt_options( $options ) {

  $options      = array(); // remove old options

  // ------------------------------
  // Theme Brand
  // ------------------------------
  $options[]   = array(
    'name'     => 'theme_brand',
    'title'    => esc_html__('Brand', 'riffel'),
    'icon'     => 'fa fa-bookmark',
    'sections' => array(

      // brand logo tab
      array(
        'name'     => 'brand_logo_title',
        'title'    => esc_html__('Logo', 'riffel'),
        'icon'     => 'fa fa-star',
        'fields'   => array(

          // Site Logo
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Site Logo', 'riffel')
          ),
          array(
            'id'    => 'brand_logo_default',
            'type'  => 'image',
            'title' => esc_html__('Default Logo', 'riffel'),
            'info'  => esc_html__('Upload your default logo here. If you not upload, then site title will load in this logo location.', 'riffel'),
            'add_title' => esc_html__('Add Logo', 'riffel'),
          ),
          array(
            'id'    => 'brand_logo_retina',
            'type'  => 'image',
            'title' => esc_html__('Retina Logo', 'riffel'),
            'info'  => esc_html__('Upload your retina logo here. Recommended size is 2x from default logo.', 'riffel'),
            'add_title' => esc_html__('Add Retina Logo', 'riffel'),
          ),
          array(
            'id'          => 'retina_width',
            'type'        => 'text',
            'title'       => esc_html__('Retina & Normal Logo Width', 'riffel'),
            'unit'        => 'px',
          ),
          array(
            'id'          => 'retina_height',
            'type'        => 'text',
            'title'       => esc_html__('Retina & Normal Logo Height', 'riffel'),
            'unit'        => 'px',
          ),
          array(
            'id'          => 'brand_logo_top',
            'type'        => 'number',
            'title'       => esc_html__('Logo Top Space', 'riffel'),
            'attributes'  => array( 'placeholder' => 5 ),
            'unit'        => 'px',
          ),
          array(
            'id'          => 'brand_logo_bottom',
            'type'        => 'number',
            'title'       => esc_html__('Logo Bottom Space', 'riffel'),
            'attributes'  => array( 'placeholder' => 5 ),
            'unit'        => 'px',
          ),

          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Transparent Header', 'riffel')
          ),
          array(
            'id'    => 'transparent_logo_default',
            'type'  => 'image',
            'title' => esc_html__('Transparent Logo', 'riffel'),
            'info'  => esc_html__('Upload your transparent header logo here. This logo is used in transparent header by enabled in each pages.', 'riffel'),
            'add_title' => esc_html__('Add Transparent Logo', 'riffel'),
          ),
          array(
            'id'    => 'transparent_logo_retina',
            'type'  => 'image',
            'title' => esc_html__('Transparent Retina Logo', 'riffel'),
            'info'  => esc_html__('Upload your transparent header retina logo here. This logo is used in transparent header by enabled in each pages.', 'riffel'),
            'add_title' => esc_html__('Add Transparent Retina Logo', 'riffel'),
          ),

          // WordPress Admin Logo
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('WordPress Admin Logo', 'riffel')
          ),
          array(
            'id'    => 'brand_logo_wp',
            'type'  => 'image',
            'title' => esc_html__('Login logo', 'riffel'),
            'info'  => esc_html__('Upload your WordPress login page logo here.', 'riffel'),
            'add_title' => esc_html__('Add Login Logo', 'riffel'),
          ),
        ) // end: fields
      ), // end: section

      // brand logo tab
      array(
        'name'     => 'mobile_logo_title',
        'title'    => esc_html__('Mobile Logo', 'riffel'),
        'icon'     => 'fa fa-mobile',
        'fields'   => array(

          // Mobile Logo
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Mobile Logo - If you not upload mobile logo as separatly here, then normal logo will place in that position.', 'riffel')
          ),
          array(
            'id'    => 'mobile_logo_retina',
            'type'  => 'image',
            'title' => esc_html__('Mobile Logo', 'riffel'),
            'info'  => esc_html__('Upload your mobile logo as retina size.', 'riffel'),
            'add_title' => esc_html__('Add Mobile Logo', 'riffel'),
          ),
          array(
            'id'          => 'mobile_logo_width',
            'type'        => 'text',
            'title'       => esc_html__('Mobile Logo Width', 'riffel'),
            'unit'        => 'px',
          ),
          array(
            'id'          => 'mobile_logo_height',
            'type'        => 'text',
            'title'       => esc_html__('Mobile Logo Height', 'riffel'),
            'unit'        => 'px',
          ),
          array(
            'id'          => 'mobile_logo_top',
            'type'        => 'number',
            'title'       => esc_html__('Logo Top Space', 'riffel'),
            'attributes'  => array( 'placeholder' => 5 ),
            'unit'        => 'px',
          ),
          array(
            'id'          => 'mobile_logo_bottom',
            'type'        => 'number',
            'title'       => esc_html__('Logo Bottom Space', 'riffel'),
            'attributes'  => array( 'placeholder' => 5 ),
            'unit'        => 'px',
          ),

        ) // end: fields
      ), // end: section

      // Fav
      array(
        'name'     => 'brand_fav',
        'title'    => esc_html__('Fav Icon', 'riffel'),
        'icon'     => 'fa fa-anchor',
        'fields'   => array(

            // -----------------------------
            // Begin: Fav
            // -----------------------------
            array(
              'id'    => 'brand_fav_icon',
              'type'  => 'image',
              'title' => esc_html__('Fav Icon', 'riffel'),
              'info'  => esc_html__('Upload your site fav icon, size should be 16x16.', 'riffel'),
              'add_title' => esc_html__('Add Fav Icon', 'riffel'),
            ),
            array(
              'id'    => 'iphone_icon',
              'type'  => 'image',
              'title' => esc_html__('Apple iPhone icon', 'riffel'),
              'info'  => esc_html__('Icon for Apple iPhone (57px x 57px). This icon is used for Bookmark on Home screen.', 'riffel'),
              'add_title' => esc_html__('Add iPhone Icon', 'riffel'),
            ),
            array(
              'id'    => 'iphone_retina_icon',
              'type'  => 'image',
              'title' => esc_html__('Apple iPhone retina icon', 'riffel'),
              'info'  => esc_html__('Icon for Apple iPhone retina (114px x114px). This icon is used for Bookmark on Home screen.', 'riffel'),
              'add_title' => esc_html__('Add iPhone Retina Icon', 'riffel'),
            ),
            array(
              'id'    => 'ipad_icon',
              'type'  => 'image',
              'title' => esc_html__('Apple iPad icon', 'riffel'),
              'info'  => esc_html__('Icon for Apple iPad (72px x 72px). This icon is used for Bookmark on Home screen.', 'riffel'),
              'add_title' => esc_html__('Add iPad Icon', 'riffel'),
            ),
            array(
              'id'    => 'ipad_retina_icon',
              'type'  => 'image',
              'title' => esc_html__('Apple iPad retina icon', 'riffel'),
              'info'  => esc_html__('Icon for Apple iPad retina (144px x 144px). This icon is used for Bookmark on Home screen.', 'riffel'),
              'add_title' => esc_html__('Add iPad Retina Icon', 'riffel'),
            ),

        ) // end: fields
      ), // end: section

    ),
  );

  // ------------------------------
  // Layout
  // ------------------------------
  $options[] = array(
    'name'   => 'theme_layout',
    'title'  => esc_html__('Layout', 'riffel'),
    'icon'   => 'fa fa-file-text'
  );

  $options[]      = array(
    'name'        => 'theme_general',
    'title'       => esc_html__('General', 'riffel'),
    'icon'        => 'fa fa-wrench',

    // begin: fields
    'fields'      => array(

      // -----------------------------
      // Begin: Responsive
      // -----------------------------
      array(
        'id'    => 'theme_responsive',
        'type'  => 'switcher',
        'title' => esc_html__('Responsive', 'riffel'),
        'info' => esc_html__('Turn off if you don\'t want your site to be responsive.', 'riffel'),
        'default' => true,
      ),
      array(
        'id'    => 'theme_layout_width',
        'type'  => 'image_select',
        'title' => esc_html__('Full Width & Extra Width', 'riffel'),
        'info' => esc_html__('Boxed or Fullwidth? Choose your site layout width. Default : Full Width', 'riffel'),
        'options'      => array(
          'container'    => RIFFEL_CS_IMAGES .'/boxed-width.jpg',
          'container-fluid'    => RIFFEL_CS_IMAGES .'/full-width.jpg',
        ),
        'default'      => 'container-fluid',
        'radio'      => true,
      ),

      array(
        'type'    => 'notice',
        'class'   => 'info cs-vt-heading',
        'content' => esc_html__('Background Options', 'riffel'),
        'dependency' => array( 'theme_layout_width_container', '==', 'true' ),
      ),
      array(
        'id'             => 'theme_layout_bg_type',
        'type'           => 'select',
        'title'          => esc_html__('Background Type', 'riffel'),
        'options'        => array(
          'bg-image' => esc_html__('Image', 'riffel'),
          'bg-pattern' => esc_html__('Pattern', 'riffel'),
        ),
        'dependency' => array( 'theme_layout_width_container', '==', 'true' ),
      ),
      array(
        'id'    => 'theme_layout_bg_pattern',
        'type'  => 'image_select',
        'title' => esc_html__('Background Pattern', 'riffel'),
        'info' => esc_html__('Select background pattern', 'riffel'),
        'options'      => array(
          'pattern-1'    => RIFFEL_CS_IMAGES . '/pattern-1.png',
          'pattern-2'    => RIFFEL_CS_IMAGES . '/pattern-2.png',
          'pattern-3'    => RIFFEL_CS_IMAGES . '/pattern-3.png',
          'pattern-4'    => RIFFEL_CS_IMAGES . '/pattern-4.png',
          'custom-pattern'  => RIFFEL_CS_IMAGES . '/pattern-5.png',
        ),
        'default'      => 'pattern-1',
        'radio'      => true,
        'dependency' => array( 'theme_layout_width_container|theme_layout_bg_type', '==|==', 'true|bg-pattern' ),
      ),
      array(
        'id'      => 'custom_bg_pattern',
        'type'    => 'upload',
        'title'   => esc_html__('Custom Pattern', 'riffel'),
        'dependency' => array( 'theme_layout_width_container|theme_layout_bg_type|theme_layout_bg_pattern_custom-pattern', '==|==|==', 'true|bg-pattern|true' ),
        'info' => __('Select your custom background pattern. <br />Note, background pattern image will be repeat in all x and y axis. So, please consider all repeatable area will perfectly fit your custom patterns.', 'riffel'),
      ),
      array(
        'id'      => 'theme_layout_bg',
        'type'    => 'background',
        'title'   => esc_html__('Background', 'riffel'),
        'dependency' => array( 'theme_layout_width_container|theme_layout_bg_type', '==|==', 'true|bg-image' ),
      ),
      array(
        'id'      => 'theme_bg_parallax',
        'type'    => 'switcher',
        'title'   => esc_html__('Parallax', 'riffel'),
        'dependency' => array( 'theme_layout_width_container', '==', 'true' ),
      ),
      array(
        'id'      => 'theme_bg_parallax_speed',
        'type'    => 'text',
        'title'   => esc_html__('Parallax Speed', 'riffel'),
        'attributes' => array(
          'placeholder'     => '0.4',
        ),
        'dependency' => array( 'theme_layout_width_container|theme_bg_parallax', '==|!=', 'true' ),
      ),
      array(
        'id'      => 'theme_bg_overlay_color',
        'type'    => 'color_picker',
        'title'   => esc_html__('Overlay Color', 'riffel'),
        'dependency' => array( 'theme_layout_width_container', '==', 'true' ),
      ),

      array(
        'id'    => 'pre_loader',
        'type'  => 'switcher',
        'title' => esc_html__('Pre Loader', 'riffel'),
        'info' => esc_html__('Turn On if you want pre loader in your pages.', 'riffel'),
        'default' => false,
      ),

      array(
        'id'        => 'pre_loader_option',
        'type'      => 'select',
        'options'   => array(
          'ball-scale-multiple'         => esc_html__('Ball Scale Multiple', 'riffel'),
          'ball-pulse'                  => esc_html__('Ball Pulse', 'riffel'),
          'ball-grid-pulse'             => esc_html__('Ball Grid Pulse', 'riffel'),
          'ball-clip-rotate'            => esc_html__('Ball Clip Rotate', 'riffel'),
          'ball-clip-rotate-pulse'      => esc_html__('Ball Clip Rotate Pulse', 'riffel'),
          'square-spin'                 => esc_html__('Square Spin', 'riffel'),
          'ball-clip-rotate-multiple'   => esc_html__('Ball Clip Rotate Multiple', 'riffel'),
          'ball-pulse-rise'             => esc_html__('Ball Pulse Rise', 'riffel'),
          'ball-rotate'                 => esc_html__('Ball Rotate', 'riffel'),
          'cube-transition'             => esc_html__('Cube Transition', 'riffel'),
          'ball-zig-zag'                => esc_html__('Ball Zig Zag', 'riffel'),
          'ball-zig-zag-deflect'        => esc_html__('Ball Zig Zag Deflect', 'riffel'),
          'ball-triangle-path'          => esc_html__('Ball Triangle Path', 'riffel'),
          'ball-scale'                  => esc_html__('Ball Scale', 'riffel'),
          'line-scale'                  => esc_html__('Line Scale', 'riffel'),
          'line-scale-party'            => esc_html__('Line Scale Party', 'riffel'),
          'ball-pulse-sync'             => esc_html__('Ball Pulse Sync', 'riffel'),
          'ball-beat'                   => esc_html__('Ball Beat', 'riffel'),
          'line-scale-pulse-out'        => esc_html__('Line Scale Pulse Out', 'riffel'),
          'line-scale-pulse-out-rapid'  => esc_html__('Line Scale Pulse Out Rapid', 'riffel'),
          'ball-scale-ripple'           => esc_html__('Ball Scale Ripple', 'riffel'),
          'ball-scale-ripple-multiple'  => esc_html__('Ball Scale Ripple Multiple', 'riffel'),
          'ball-spin-fade-loader'       => esc_html__('Ball Spin Fade Loader', 'riffel'),
          'line-spin-fade-loader'       => esc_html__('Line Spin Fade Loader', 'riffel'),
          'triangle-skew-spin'          => esc_html__('Triangle Skew Spin', 'riffel'),
          'pacman'                      => esc_html__('Pacman', 'riffel'),
          'ball-grid-beat'              => esc_html__('Ball Grid Beat', 'riffel'),
          'semi-circle-spin'            => esc_html__('Semi Circle Spin', 'riffel'),
        ),
        'title'     => esc_html__('Loader Style', 'riffel'),
        'dependency'  => array('pre_loader', '==', 'true'),
      ),
      array(
        'id'    => 'back_to_top',
        'type'  => 'switcher',
        'title' => esc_html__('Back To Top', 'riffel'),
        'info' => esc_html__('Turn Off if you want to hide back to top in your pages.', 'riffel'),
        'default' => true,
      ),
      array(
        'id'      => 'remove_resizer',
        'type'    => 'switcher',
        'title'   => esc_html__('Disable Image Resizer?', 'riffel'),
      ),

    ), // end: fields

  );

  // ------------------------------
  // Header Sections
  // ------------------------------
  $options[]   = array(
    'name'     => 'theme_header_tab',
    'title'    => esc_html__('Header', 'riffel'),
    'icon'     => 'fa fa-bars',
    'sections' => array(

          // header design tab
          array(
            'name'     => 'header_design_tab',
            'title'    => esc_html__('Design', 'riffel'),
            'icon'     => 'fa fa-magic',
            'fields'   => array(

              // Extra's
              array(
                'id'          => 'mobile_breakpoint',
                'type'        => 'text',
                'title'       => esc_html__('Mobile Menu Starts from?', 'riffel'),
                'attributes'  => array( 'placeholder' => '767' ),
                'info' => esc_html__('Just put numeric value only. Like : 767. Don\'t use px or any other units.', 'riffel'),
              ),
              array(
                'id'    => 'transparent_header',
                'type'  => 'switcher',
                'title' => esc_html__('Transparent Header', 'riffel'),
                'info' => esc_html__('Turn On if you want your header as transparent.', 'riffel'),
                'default' => false,
              ),
              array(
                'id'    => 'header_width',
                'type'  => 'switcher',
                'title' => esc_html__('Header Container', 'riffel'),
                'info' => esc_html__('Turn On if you want your header as container width.', 'riffel'),
                'default' => false,
              ),
              array(
                'id'    => 'sticky_header',
                'type'  => 'switcher',
                'title' => esc_html__('Sticky Header', 'riffel'),
                'info' => esc_html__('Turn On if you want your naviagtion bar on sticky.', 'riffel'),
                'default' => true,
              ),
              array(
                'id'        => 'menu_style',
                'type'      => 'select',
                'title'     => esc_html__('Menu Style', 'riffel'),
                'options'   => array(
                  'style-one' => esc_html__('Style One', 'riffel'),
                  'style-two' => esc_html__('Style Two', 'riffel'),
                ),
              ),
            )
          ),

      // header banner
      array(
        'name'     => 'header_banner_tab',
        'title'    => esc_html__('Title Bar (or) Banner', 'riffel'),
        'icon'     => 'fa fa-bullhorn',
        'fields'   => array(

          // Title Area
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Title Area', 'riffel')
          ),
          array(
            'id'      => 'need_title_bar',
            'type'    => 'switcher',
            'title'   => esc_html__('Title Bar', 'riffel'),
            'label'   => esc_html__('If you want title bar in your sub-pages, please turn this ON.', 'riffel'),
            'default'    => true,
          ),
          array(
            'id'             => 'title_bar_padding',
            'type'           => 'select',
            'title'          => esc_html__('Padding Spaces Top & Bottom', 'riffel'),
            'options'        => array(
              'padding-none' => esc_html__('Default Spacing', 'riffel'),
              'padding-xs' => esc_html__('Extra Small Padding', 'riffel'),
              'padding-sm' => esc_html__('Small Padding', 'riffel'),
              'padding-md' => esc_html__('Medium Padding', 'riffel'),
              'padding-lg' => esc_html__('Large Padding', 'riffel'),
              'padding-xl' => esc_html__('Extra Large Padding', 'riffel'),
              'padding-no' => esc_html__('No Padding', 'riffel'),
              'padding-custom' => esc_html__('Custom Padding', 'riffel'),
            ),
            'dependency'   => array( 'need_title_bar', '==', 'true' ),
          ),
          array(
            'id'             => 'titlebar_top_padding',
            'type'           => 'text',
            'title'          => esc_html__('Padding Top', 'riffel'),
            'attributes' => array(
              'placeholder'     => '100px',
            ),
            'dependency'   => array( 'title_bar_padding', '==', 'padding-custom' ),
          ),
          array(
            'id'             => 'titlebar_bottom_padding',
            'type'           => 'text',
            'title'          => esc_html__('Padding Bottom', 'riffel'),
            'attributes' => array(
              'placeholder'     => '100px',
            ),
            'dependency'   => array( 'title_bar_padding', '==', 'padding-custom' ),
          ),

          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Background Options', 'riffel'),
            'dependency' => array( 'need_title_bar', '==', 'true' ),
          ),
          array(
            'id'      => 'titlebar_bg',
            'type'    => 'background',
            'title'   => esc_html__('Background', 'riffel'),
            'dependency' => array( 'need_title_bar', '==', 'true' ),
          ),
          array(
            'id'      => 'titlebar_bg_overlay_color',
            'type'    => 'color_picker',
            'title'   => esc_html__('Overlay Color', 'riffel'),
            'dependency' => array( 'need_title_bar', '==', 'true' ),
          ),

        )
      ),

    ),
  );

  // ------------------------------
  // Footer Section
  // ------------------------------
  $options[]   = array(
    'name'     => 'footer_section',
    'title'    => esc_html__('Footer', 'riffel'),
    'icon'     => 'fa fa-ellipsis-h',
    'sections' => array(

      // Footer design tab
          array(
            'name'     => 'footer_design_tab',
            'title'    => esc_html__('Design', 'riffel'),
            'icon'     => 'fa fa-magic',
            'fields'   => array(

              // Extra's
              array(
                'id'        => 'footer_style',
                'type'      => 'select',
                'title'     => esc_html__('Footer Style', 'riffel'),
                'options'   => array(
                  'black-version' => esc_html__('Black Version', 'riffel'),
                  'white-version' => esc_html__('White Version', 'riffel'),
                ),
              ),
            )
          ),

      // footer widgets
      array(
        'name'     => 'footer_widgets_tab',
        'title'    => esc_html__('Widget Area', 'riffel'),
        'icon'     => 'fa fa-th',
        'fields'   => array(

          // Footer Widget Block
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Footer Widget Block', 'riffel')
          ),
          array(
            'id'    => 'footer_widget_block',
            'type'  => 'switcher',
            'title' => esc_html__('Enable Widget Block', 'riffel'),
            'info' => __('If you turn this ON, then Goto : Appearance > Widgets. There you can see <strong>Footer Widget 1,2,3 or 4</strong> Widget Area, add your widgets there.', 'riffel'),
            'default' => true,
          ),
          array(
            'id'    => 'footer_widget_layout',
            'type'  => 'image_select',
            'title' => esc_html__('Widget Layouts', 'riffel'),
            'info' => esc_html__('Choose your footer widget layouts.', 'riffel'),
            'default' => 4,
            'options' => array(
              1   => RIFFEL_CS_IMAGES . '/footer/footer-1.png',
              2   => RIFFEL_CS_IMAGES . '/footer/footer-2.png',
              3   => RIFFEL_CS_IMAGES . '/footer/footer-3.png',
              4   => RIFFEL_CS_IMAGES . '/footer/footer-4.png',
              5   => RIFFEL_CS_IMAGES . '/footer/footer-5.png',
              6   => RIFFEL_CS_IMAGES . '/footer/footer-6.png',
              7   => RIFFEL_CS_IMAGES . '/footer/footer-7.png',
              8   => RIFFEL_CS_IMAGES . '/footer/footer-8.png',
              9   => RIFFEL_CS_IMAGES . '/footer/footer-9.png',
            ),
            'radio'       => true,
            'dependency'  => array('footer_widget_block', '==', true),
          ),

        )
      ),

      // footer copyright
      array(
        'name'     => 'footer_copyright_tab',
        'title'    => esc_html__('Copyright Bar', 'riffel'),
        'icon'     => 'fa fa-copyright',
        'fields'   => array(

          // Copyright
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Copyright Layout', 'riffel'),
          ),
          array(
            'id'    => 'need_copyright',
            'type'  => 'switcher',
            'title' => esc_html__('Enable Copyright Section', 'riffel'),
            'default' => true,
          ),
          array(
            'id'    => 'footer_copyright_layout',
            'type'  => 'image_select',
            'title' => esc_html__('Select Copyright Layout', 'riffel'),
            'info' => esc_html__('In above image, blue box is copyright text and yellow box is secondary text.', 'riffel'),
            'default'      => 'copyright-3',
            'options'      => array(
              'copyright-1'    => RIFFEL_CS_IMAGES .'/footer/copyright-1.png',
              'copyright-2'    => RIFFEL_CS_IMAGES .'/footer/copyright-2.png',
              'copyright-3'    => RIFFEL_CS_IMAGES .'/footer/copyright-3.png',
              ),
            'radio'        => true,
          ),
          array(
            'id'    => 'copyright_text',
            'type'  => 'textarea',
            'title' => esc_html__('Copyright Text', 'riffel'),
            'shortcode' => true,
            'after'       => 'Helpful shortcodes: [vt_current_year] [vt_home_url] or any shortcode.',
          ),

          // Copyright Another Text
          array(
            'type'    => 'notice',
            'class'   => 'warning cs-vt-heading',
            'content' => esc_html__('Copyright Secondary Text', 'riffel'),
          ),
          array(
            'id'    => 'secondary_text',
            'type'  => 'textarea',
            'title' => esc_html__('Secondary Text', 'riffel'),
            'shortcode' => true,
          ),

        )
      ),

    ),
  );

  // ------------------------------
  // Design
  // ------------------------------
  $options[] = array(
    'name'   => 'theme_design',
    'title'  => esc_html__('Design', 'riffel'),
    'icon'   => 'fa fa-magic'
  );

  // ------------------------------
  // color section
  // ------------------------------
  $options[]   = array(
    'name'     => 'theme_color_section',
    'title'    => esc_html__('Colors', 'riffel'),
    'icon'     => 'fa fa-eyedropper',
    'fields' => array(

      array(
        'type'    => 'heading',
        'content' => esc_html__('Color Options', 'riffel'),
      ),
      array(
        'type'    => 'subheading',
        'wrap_class' => 'color-tab-content',
        'content' => __('All color options are available in our theme customizer. The reason of we used customizer options for color section is because, you can choose each part of color from there and see the changes instantly using customizer.
          <br /><br />Highly customizable colors are in <strong>Appearance > Customize</strong>', 'riffel'),
      ),

    ),
  );

  // ------------------------------
  // Typography section
  // ------------------------------
  $options[]   = array(
    'name'     => 'theme_typo_section',
    'title'    => esc_html__('Typography', 'riffel'),
    'icon'     => 'fa fa-header',
    'fields' => array(

      // Start fields
      array(
        'id'                  => 'typography',
        'type'                => 'group',
        'fields'              => array(
          array(
            'id'              => 'title',
            'type'            => 'text',
            'title'           => esc_html__('Title', 'riffel'),
          ),
          array(
            'id'              => 'selector',
            'type'            => 'textarea',
            'title'           => esc_html__('Selector', 'riffel'),
            'info'           => __('Enter css selectors like : <strong>body, .custom-class</strong>', 'riffel'),
          ),
          array(
            'id'              => 'font',
            'type'            => 'typography',
            'title'           => esc_html__('Font Family', 'riffel'),
          ),
          array(
            'id'              => 'css',
            'type'            => 'textarea',
            'title'           => esc_html__('Custom CSS', 'riffel'),
          ),
        ),
        'button_title'        => esc_html__('Add New Typography', 'riffel'),
        'accordion_title'     => esc_html__('New Typography', 'riffel'),
        'default'             => array(
          array(
            'title'           => esc_html__('Body Typography', 'riffel'),
            'selector'        => 'body, .dropcap, input[type="text"], input[type="email"], input[type="password"], input[type="tel"], input[type="search"], input[type="date"], input[type="time"], input[type="datetime-local"], input[type="month"], input[type="url"], input[type="number"], textarea, select, .form-control, input[type="submit"], form label, .portfolio-caption p, .about-info-wrap p, .blog-info .read-more, .contact-wrap .contact-item p, .rifl-footer p',
            'font'            => array(
              'family'        => 'Cabin',
              'variant'       => 'regular',
            ),
          ),
          array(
            'title'           => esc_html__('Paragraph Typography', 'riffel'),
            'selector'        => 'p, .rifl-widget.widget_pages ul',
            'font'            => array(
              'family'        => 'Open Sans',
              'variant'       => 'regular',
            ),
          ),
          array(
            'title'           => esc_html__('Menu Typography', 'riffel'),
            'selector'        => '.rifl-menu .menu__level > li > a, .nav-style-two .rifl-menu .menu-navigation-bar > ul > li > a, .menu__breadcrumbs a, .rifl-menu .menu-sub-label',
            'font'            => array(
              'family'        => 'Cabin',
              'variant'       => 'regular',
            ),
          ),
          array(
            'title'           => esc_html__('Sub Menu Typography', 'riffel'),
            'selector'        => '.rifl-menu .menu__level > li > ul > li > a, .dropdown > li > a',
            'font'            => array(
              'family'        => 'Cabin',
              'variant'       => 'regular',
            ),
          ),
          array(
            'title'           => esc_html__('Headings Typography', 'riffel'),
            'selector'        => 'h1, h2, h3, h4, h5, h6',
            'font'            => array(
              'family'        => 'Cabin',
              'variant'       => 'regular',
            ),
          ),
          array(
            'title'           => esc_html__('Shortcode Typography', 'riffel'),
            'selector'        => 'blockquote p, .squre-bullets, .rifl-typewriter, .read-more, .caption-meta, .quote-caption-author, .vertical-portfolio .portfolio-category, .section-title-wrap p, .approach-info p, .blog-info p, .rifl-blog-detail p, .post-info .post-title, .portfolio-info-container p, .rifl-portfolio-info p, .rifl-portfolio-quote p, .rifl-launch-info p, .contact-wrap .contact-detail p, .rifl-404-error p',
            'font'            => array(
              'family'        => 'Lora',
              'variant'       => 'regular',
            ),
          ),
          array(
            'title'           => esc_html__('Example Usage', 'riffel'),
            'selector'        => '.your-custom-class',
            'font'            => array(
              'family'        => 'Roboto Slab',
              'variant'       => 'regular',
            ),
          ),
        ),
      ),

      // Subset
      array(
        'id'                  => 'subsets',
        'type'                => 'select',
        'title'               => esc_html__('Subsets', 'riffel'),
        'class'               => 'chosen',
        'options'             => array(
          'latin'             => 'latin',
          'latin-ext'         => 'latin-ext',
          'cyrillic'          => 'cyrillic',
          'cyrillic-ext'      => 'cyrillic-ext',
          'greek'             => 'greek',
          'greek-ext'         => 'greek-ext',
          'vietnamese'        => 'vietnamese',
          'devanagari'        => 'devanagari',
          'khmer'             => 'khmer',
        ),
        'attributes'         => array(
          'data-placeholder' => 'Subsets',
          'multiple'         => 'multiple',
          'style'            => 'width: 200px;'
        ),
        'default'             => array( 'latin' ),
      ),

      array(
        'id'                  => 'font_weight',
        'type'                => 'select',
        'title'               => esc_html__('Font Weights', 'riffel'),
        'class'               => 'chosen',
        'options'             => array(
          '100'   => 'Thin 100',
          '100i'  => 'Thin 100 Italic',
          '200'   => 'Extra Light 200',
          '200i'  => 'Extra Light 200 Italic',
          '300'   => 'Light 300',
          '300i'  => 'Light 300 Italic',
          '400'   => 'Regular 400',
          '400i'  => 'Regular 400 Italic',
          '500'   => 'Medium 500',
          '500i'  => 'Medium 500 Italic',
          '600'   => 'Semi Bold 600',
          '600i'  => 'Semi Bold 600 Italic',
          '700'   => 'Bold 700',
          '700i'  => 'Bold 700 Italic',
          '800'   => 'Extra Bold 800',
          '800i'  => 'Extra Bold 800 Italic',
          '900'   => 'Black 900',
          '900i'  => 'Black 900 Italic',
        ),
        'attributes'         => array(
          'data-placeholder' => 'Font Weight',
          'multiple'         => 'multiple',
          'style'            => 'width: 200px;'
        ),
        'default'             => array( '400','500','600','700' ),
      ),

      // Custom Fonts Upload
      array(
        'id'                 => 'font_family',
        'type'               => 'group',
        'title'              => 'Upload Custom Fonts',
        'button_title'       => 'Add New Custom Font',
        'accordion_title'    => 'Adding New Font',
        'accordion'          => true,
        'desc'               => 'It is simple. Only add your custom fonts and click to save. After you can check "Font Family" selector. Do not forget to Save!',
        'fields'             => array(

          array(
            'id'             => 'name',
            'type'           => 'text',
            'title'          => 'Font-Family Name',
            'attributes'     => array(
              'placeholder'  => 'for eg. Arial'
            ),
          ),

          array(
            'id'             => 'ttf',
            'type'           => 'upload',
            'title'          => 'Upload .ttf <small><i>(optional)</i></small>',
            'settings'       => array(
              'upload_type'  => 'font',
              'insert_title' => 'Use this Font-Format',
              'button_title' => 'Upload <i>.ttf</i>',
            ),
          ),

          array(
            'id'             => 'eot',
            'type'           => 'upload',
            'title'          => 'Upload .eot <small><i>(optional)</i></small>',
            'settings'       => array(
              'upload_type'  => 'font',
              'insert_title' => 'Use this Font-Format',
              'button_title' => 'Upload <i>.eot</i>',
            ),
          ),

          array(
            'id'             => 'svg',
            'type'           => 'upload',
            'title'          => 'Upload .svg <small><i>(optional)</i></small>',
            'settings'       => array(
              'upload_type'  => 'font',
              'insert_title' => 'Use this Font-Format',
              'button_title' => 'Upload <i>.svg</i>',
            ),
          ),

          array(
            'id'             => 'otf',
            'type'           => 'upload',
            'title'          => 'Upload .otf <small><i>(optional)</i></small>',
            'settings'       => array(
              'upload_type'  => 'font',
              'insert_title' => 'Use this Font-Format',
              'button_title' => 'Upload <i>.otf</i>',
            ),
          ),

          array(
            'id'             => 'woff',
            'type'           => 'upload',
            'title'          => 'Upload .woff <small><i>(optional)</i></small>',
            'settings'       => array(
              'upload_type'  => 'font',
              'insert_title' => 'Use this Font-Format',
              'button_title' => 'Upload <i>.woff</i>',
            ),
          ),

          array(
            'id'             => 'css',
            'type'           => 'textarea',
            'title'          => 'Extra CSS Style <small><i>(optional)</i></small>',
            'attributes'     => array(
              'placeholder'  => 'for eg. font-weight: normal;'
            ),
          ),

        ),
      ),
      // End All field

    ),
  );

  // ------------------------------
  // Pages
  // ------------------------------
  $options[] = array(
    'name'   => 'theme_pages',
    'title'  => esc_html__('Pages', 'riffel'),
    'icon'   => 'fa fa-files-o'
  );

  // ------------------------------
  // Portfolio Section
  // ------------------------------
  $options[]   = array(
    'name'     => 'portfolio_section',
    'title'    => esc_html__('Portfolio', 'riffel'),
    'icon'     => 'fa fa-briefcase',
    'fields' => array(

      // portfolio name change
      array(
        'type'    => 'notice',
        'class'   => 'info cs-vt-heading',
        'content' => esc_html__('Name Change', 'riffel')
      ),
      array(
        'id'      => 'theme_portfolio_name',
        'type'    => 'text',
        'title'   => esc_html__('Portfolio Name', 'riffel'),
        'attributes'     => array(
          'placeholder'  => 'Portfolio'
        ),
      ),
      array(
        'id'      => 'theme_portfolio_slug',
        'type'    => 'text',
        'title'   => esc_html__('Portfolio Slug', 'riffel'),
        'attributes'     => array(
          'placeholder'  => 'portfolio-item'
        ),
      ),
      array(
        'id'      => 'theme_portfolio_cat_slug',
        'type'    => 'text',
        'title'   => esc_html__('Portfolio Category Slug', 'riffel'),
        'attributes'     => array(
          'placeholder'  => 'portfolio-category'
        ),
      ),
      array(
        'type'    => 'notice',
        'class'   => 'danger',
        'content' => __('<strong>Important</strong>: Please do not set portfolio slug and page slug as same. It\'ll not work.', 'riffel')
      ),
      array(
        'type'    => 'notice',
        'class'   => 'info cs-vt-heading',
        'content' => esc_html__('Single Portfolio', 'riffel')
      ),
      array(
        'id'      => 'portfolio_single_pagination',
        'type'    => 'switcher',
        'title'   => esc_html__('Next & Prev Navigation', 'riffel'),
        'label'   => esc_html__('If you don\'t want next and previous navigation in portfolio single pages, please turn this OFF.', 'riffel'),
        'default'   => true,
      ),
      array(
        'id'      => 'portfolio_home_url',
        'type'    => 'text',
        'title'   => esc_html__('Portfolio URL', 'riffel'),
         'attributes' => array(
            'placeholder'     => esc_html__('http://yourdomain.com/portfolio', 'riffel'),
        ),
      ),
     array(
        'type'    => 'notice',
        'class'   => 'info cs-vt-heading',
        'content' => esc_html__('Portfolio Archive', 'riffel')
      ),
      array(
        'id'      => 'portfolio_style',
        'type'    => 'select',
        'title'   => esc_html__('Portfolio Taxonomy Style', 'riffel'),
        'options'        => array(
          'style-one' => esc_html__('Style One (Maosnry/Grid)', 'riffel'),
          'horizontal' => esc_html__('Style Two (Horizontal)', 'riffel'),
          'style-three' => esc_html__('Style Three (masonry-two)', 'riffel'),
          'vertical' => esc_html__('Style Four (Vertical)', 'riffel'),
        ),
      ),
      array(
        'type' => 'select',
        'title' => esc_html__( 'Grid or Masonry', 'riffel' ),
        'options'        => array(
          'grid' => esc_html__('Grid', 'riffel'),
          'masonry' => esc_html__('Masonry', 'riffel'),
        ),
        'dependency'   => array( 'portfolio_style', '==', 'style-one' ),
        'id' => 'portfolio_view',
        'info' => esc_html__( 'Select your portfolio view.', 'riffel' ),
      ),
      array(
        "type"        =>'text',
        "title"     => esc_html__('Limit', 'riffel'),
        "id"  => "portfolio_limit",
        "info" => esc_html__( "Enter the number of items to show.", 'riffel'),
      ),
      array(
        'id'          => 'portfolio_order',
        'title'       => esc_html__('Portfolio Order', 'riffel'),
        'desc'        => esc_html__('Select portfolio order', 'riffel'),
        'type'        => 'select',
        'options'        => array(
          'ascending' => esc_html__('Ascending', 'riffel'),
          'decending' => esc_html__('Decending', 'riffel'),
        ),
      ),
      array(
        'id'          => 'portfolio_orderby',
        'title'       => esc_html__('Portfolio Orderby', 'riffel'),
        'desc'        => esc_html__('Select portfolio orderby', 'riffel'),
        'type'        => 'select',
        'options'        => array(
          'None' => esc_html__('None', 'riffel'),
          'id' => esc_html__('ID', 'riffel'),
          'author' => esc_html__('Author', 'riffel'),
          'title' => esc_html__('Title', 'riffel'),
          'name' => esc_html__('Name', 'riffel'),
          'type' => esc_html__('Type', 'riffel'),
          'date' => esc_html__('Date', 'riffel'),
          'modified' => esc_html__('Modified', 'riffel'),
          'random' => esc_html__('Random', 'riffel'),
        ),
      ),
      array(
        'id'      => 'portfolio_pagination',
        'type'    => 'select',
        'title'   => esc_html__('Portfolio Taxonomy Pagination', 'riffel'),
        'options'        => array(
          'load-more' => esc_html__('Ajax Button', 'riffel'),
          'infinite-scroll' => esc_html__('Ajax Infinite Scroll', 'riffel'),
          'navigation' => esc_html__('Navigation', 'riffel'),
        ),
      ),
      array(
        'id'      => 'portfolio_load_btn_type',
        'type'    => 'select',
        'title'   => esc_html__('Load More Button Type', 'riffel'),
        'options'        => array(
          'button' => esc_html__('Button', 'riffel'),
          'icon' => esc_html__('Icon', 'riffel'),
        ),
        'dependency'     => array('portfolio_pagination', '==', 'load-more'),
        'info'          => esc_html__('Default : Button', 'riffel'),
      ),
      array(
        'id'      => 'load_more_btn_txt',
        'type'    => 'text',
        'title'   => esc_html__('Load More Button Text', 'riffel'),
        'dependency'     => array('portfolio_pagination|portfolio_load_btn_type', '==|==', 'load-more|button'),
      ),
      array(
        'id'        => 'loader_icon_option',
        'type'      => 'select',
        'options'   => array(
          'ball-scale-multiple'         => esc_html__('Ball Scale Multiple', 'riffel'),
          'ball-pulse'                  => esc_html__('Ball Pulse', 'riffel'),
          'ball-grid-pulse'             => esc_html__('Ball Grid Pulse', 'riffel'),
          'ball-clip-rotate'            => esc_html__('Ball Clip Rotate', 'riffel'),
          'ball-clip-rotate-pulse'      => esc_html__('Ball Clip Rotate Pulse', 'riffel'),
          'square-spin'                 => esc_html__('Square Spin', 'riffel'),
          'ball-clip-rotate-multiple'   => esc_html__('Ball Clip Rotate Multiple', 'riffel'),
          'ball-pulse-rise'             => esc_html__('Ball Pulse Rise', 'riffel'),
          'ball-rotate'                 => esc_html__('Ball Rotate', 'riffel'),
          'cube-transition'             => esc_html__('Cube Transition', 'riffel'),
          'ball-zig-zag'                => esc_html__('Ball Zig Zag', 'riffel'),
          'ball-zig-zag-deflect'        => esc_html__('Ball Zig Zag Deflect', 'riffel'),
          'ball-triangle-path'          => esc_html__('Ball Triangle Path', 'riffel'),
          'ball-scale'                  => esc_html__('Ball Scale', 'riffel'),
          'line-scale'                  => esc_html__('Line Scale', 'riffel'),
          'line-scale-party'            => esc_html__('Line Scale Party', 'riffel'),
          'ball-pulse-sync'             => esc_html__('Ball Pulse Sync', 'riffel'),
          'ball-beat'                   => esc_html__('Ball Beat', 'riffel'),
          'line-scale-pulse-out'        => esc_html__('Line Scale Pulse Out', 'riffel'),
          'line-scale-pulse-out-rapid'  => esc_html__('Line Scale Pulse Out Rapid', 'riffel'),
          'ball-scale-ripple'           => esc_html__('Ball Scale Ripple', 'riffel'),
          'ball-scale-ripple-multiple'  => esc_html__('Ball Scale Ripple Multiple', 'riffel'),
          'ball-spin-fade-loader'       => esc_html__('Ball Spin Fade Loader', 'riffel'),
          'line-spin-fade-loader'       => esc_html__('Line Spin Fade Loader', 'riffel'),
          'triangle-skew-spin'          => esc_html__('Triangle Skew Spin', 'riffel'),
          'pacman'                      => esc_html__('Pacman', 'riffel'),
          'ball-grid-beat'              => esc_html__('Ball Grid Beat', 'riffel'),
          'semi-circle-spin'            => esc_html__('Semi Circle Spin', 'riffel'),
        ),
        'dependency'     => array('portfolio_pagination', '==', 'infinite-scroll'),
        'title'     => esc_html__('Loader Icon Style', 'riffel'),
      ),
      // Portfolio Listing
    ),
  );

  // ------------------------------
  // Blog Section
  // ------------------------------
  $options[]   = array(
    'name'     => 'blog_section',
    'title'    => esc_html__('Blog', 'riffel'),
    'icon'     => 'fa fa-edit',
    'sections' => array(

      // blog general section
      array(
        'name'     => 'blog_general_tab',
        'title'    => esc_html__('General', 'riffel'),
        'icon'     => 'fa fa-cog',
        'fields'   => array(

          // Layout
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Layout', 'riffel')
          ),
          array(
            'id'             => 'blog_listing_style',
            'type'           => 'select',
            'title'          => esc_html__('Blog Listing Style', 'riffel'),
            'options'        => array(
              'style-one' => esc_html__('Grid (masonry)', 'riffel'),
              'style-two' => esc_html__('List', 'riffel'),
            ),
            'default_option' => 'Select blog style',
            'help'          => esc_html__('This style will apply, default blog pages - Like : Archive, Category, Tags, Search & Author. If this settings will not apply your blog page, please set that page as a post page in Settings > Readings.', 'riffel'),
          ),
          array(
            'id'             => 'blog_listing_width',
            'type'           => 'select',
            'title'          => esc_html__('Blog Listing Width', 'riffel'),
            'options'        => array(
              'spacer-wrap ' => esc_html__('Fullwidth', 'riffel'),
              'container ' => esc_html__('Container', 'riffel'),
            ),
            'default_option' => 'Select blog width',
          ),
          array(
            'id'             => 'blog_sidebar_position',
            'type'           => 'select',
            'title'          => esc_html__('Sidebar Position', 'riffel'),
            'options'        => array(
              'sidebar-right' => esc_html__('Right', 'riffel'),
              'sidebar-left' => esc_html__('Left', 'riffel'),
              'sidebar-hide' => esc_html__('Hide', 'riffel'),
            ),
            // 'dependency'     => array('blog_listing_width', '==', 'container'),
            'default_option' => 'Select sidebar position',
            'help'          => esc_html__('This style will apply, default blog pages - Like : Archive, Category, Tags, Search & Author.', 'riffel'),
            'info'          => esc_html__('Default option : Right', 'riffel'),
          ),
          array(
            'id'             => 'blog_widget',
            'type'           => 'select',
            'title'          => esc_html__('Sidebar Widget', 'riffel'),
            'options'        => riffel_vt_registered_sidebars(),
            'default_option' => esc_html__('Select Widget', 'riffel'),
            'dependency'     => array('blog_sidebar_position', '!=', 'sidebar-hide'),
            'info'          => esc_html__('Default option : Main Widget Area', 'riffel'),
          ),
          array(
            'id'             => 'blog_sidebar_type',
            'type'           => 'select',
            'title'          => esc_html__('Sidebar Type', 'riffel'),
            'options'        => array(
              'floating' => esc_html__('Floating Sidebar', 'riffel'),
              'sticky' => esc_html__('Sticky Sidebar', 'riffel'),
            ),
            'default_option' => 'Select sidebar type',
            'info'          => esc_html__('Select sidebar type', 'riffel'),
            'dependency'     => array('blog_sidebar_position', '!=', 'sidebar-hide'),
          ),
          // Layout
          // Global Options
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Global Options', 'riffel')
          ),
          array(
            'id'         => 'theme_exclude_categories',
            'type'       => 'checkbox',
            'title'      => esc_html__('Exclude Categories', 'riffel'),
            'info'      => esc_html__('Select categories you want to exclude from blog page.', 'riffel'),
            'options'    => 'categories',
          ),
          array(
            'id'      => 'theme_blog_excerpt',
            'type'    => 'text',
            'title'   => esc_html__('Excerpt Length', 'riffel'),
            'info'   => esc_html__('Blog short content length, in blog listing pages.', 'riffel'),
            'default' => '40',
          ),
          array(
            'id'      => 'blog_pagination_style',
            'type'    => 'select',
            'title'   => esc_html__('Blog Pagination', 'riffel'),
            'options'        => array(
              'navigation' => esc_html__('Navigation', 'riffel'),
              'load-more' => esc_html__('Ajax Button', 'riffel'),
              'infinite-scroll' => esc_html__('Ajax Infinite Scroll', 'riffel'),
            ),
            'info'          => esc_html__('Default : Navigation', 'riffel'),
          ),
          array(
            'id'      => 'blog_load_btn_type',
            'type'    => 'select',
            'title'   => esc_html__('Load More Button Type', 'riffel'),
            'options'        => array(
              'button' => esc_html__('Button', 'riffel'),
              'icon' => esc_html__('Icon', 'riffel'),
            ),
            'dependency'     => array('blog_pagination_style', '==', 'load-more'),
            'info'          => esc_html__('Default : Button', 'riffel'),
          ),
          array(
            'id'        => 'blog_loader_icon_option',
            'type'      => 'select',
            'options'   => array(
              'ball-scale-multiple'         => esc_html__('Ball Scale Multiple', 'riffel'),
              'ball-pulse'                  => esc_html__('Ball Pulse', 'riffel'),
              'ball-grid-pulse'             => esc_html__('Ball Grid Pulse', 'riffel'),
              'ball-clip-rotate'            => esc_html__('Ball Clip Rotate', 'riffel'),
              'ball-clip-rotate-pulse'      => esc_html__('Ball Clip Rotate Pulse', 'riffel'),
              'square-spin'                 => esc_html__('Square Spin', 'riffel'),
              'ball-clip-rotate-multiple'   => esc_html__('Ball Clip Rotate Multiple', 'riffel'),
              'ball-pulse-rise'             => esc_html__('Ball Pulse Rise', 'riffel'),
              'ball-rotate'                 => esc_html__('Ball Rotate', 'riffel'),
              'cube-transition'             => esc_html__('Cube Transition', 'riffel'),
              'ball-zig-zag'                => esc_html__('Ball Zig Zag', 'riffel'),
              'ball-zig-zag-deflect'        => esc_html__('Ball Zig Zag Deflect', 'riffel'),
              'ball-triangle-path'          => esc_html__('Ball Triangle Path', 'riffel'),
              'ball-scale'                  => esc_html__('Ball Scale', 'riffel'),
              'line-scale'                  => esc_html__('Line Scale', 'riffel'),
              'line-scale-party'            => esc_html__('Line Scale Party', 'riffel'),
              'ball-pulse-sync'             => esc_html__('Ball Pulse Sync', 'riffel'),
              'ball-beat'                   => esc_html__('Ball Beat', 'riffel'),
              'line-scale-pulse-out'        => esc_html__('Line Scale Pulse Out', 'riffel'),
              'line-scale-pulse-out-rapid'  => esc_html__('Line Scale Pulse Out Rapid', 'riffel'),
              'ball-scale-ripple'           => esc_html__('Ball Scale Ripple', 'riffel'),
              'ball-scale-ripple-multiple'  => esc_html__('Ball Scale Ripple Multiple', 'riffel'),
              'ball-spin-fade-loader'       => esc_html__('Ball Spin Fade Loader', 'riffel'),
              'line-spin-fade-loader'       => esc_html__('Line Spin Fade Loader', 'riffel'),
              'triangle-skew-spin'          => esc_html__('Triangle Skew Spin', 'riffel'),
              'pacman'                      => esc_html__('Pacman', 'riffel'),
              'ball-grid-beat'              => esc_html__('Ball Grid Beat', 'riffel'),
              'semi-circle-spin'            => esc_html__('Semi Circle Spin', 'riffel'),
            ),
            'dependency'     => array('blog_pagination_style', '==', 'infinite-scroll'),
            'title'     => esc_html__('Loader Icon Style', 'riffel'),
          ),
          array(
            'id'      => 'blog_load_more_btn_txt',
            'type'    => 'text',
            'title'   => esc_html__('Load More Button Text', 'riffel'),
            'dependency'     => array('blog_pagination_style|blog_load_btn_type', '==|==', 'load-more|button'),
          ),
          array(
            'id'      => 'theme_metas_hide',
            'type'    => 'checkbox',
            'title'   => esc_html__('Meta\'s to hide', 'riffel'),
            'info'    => esc_html__('Check items you want to hide from blog/post meta field.', 'riffel'),
            'class'      => 'horizontal',
            'options'    => array(
              'category'   => esc_html__('Category', 'riffel'),
              'date'    => esc_html__('Date', 'riffel'),
              'author'     => esc_html__('Author', 'riffel'),
              'comments'      => esc_html__('Comments', 'riffel'),
            ),
            // 'default' => '30',
          ),
          // End fields

        )
      ),

      // blog single section
      array(
        'name'     => 'blog_single_tab',
        'title'    => esc_html__('Single', 'riffel'),
        'icon'     => 'fa fa-sticky-note',
        'fields'   => array(

          // Start fields
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Enable / Disable', 'riffel')
          ),
          array(
            'id'    => 'single_featured_image',
            'type'  => 'switcher',
            'title' => esc_html__('Featured Image', 'riffel'),
            'info' => esc_html__('If need to hide featured image from single blog post page, please turn this OFF.', 'riffel'),
            'default' => true,
          ),
          array(
            'id'    => 'single_author_info',
            'type'  => 'switcher',
            'title' => esc_html__('Author Info', 'riffel'),
            'info' => esc_html__('If need to hide author info on single blog page, please turn this OFF.', 'riffel'),
            'default' => true,
          ),
          array(
            'id'    => 'single_share_option',
            'type'  => 'switcher',
            'title' => esc_html__('Share Option', 'riffel'),
            'info' => esc_html__('If need to hide share option on single blog page, please turn this OFF.', 'riffel'),
            'default' => true,
          ),

          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Sidebar', 'riffel')
          ),
          array(
            'id'             => 'single_sidebar_position',
            'type'           => 'select',
            'title'          => esc_html__('Sidebar Position', 'riffel'),
            'options'        => array(
              'sidebar-right' => esc_html__('Right', 'riffel'),
              'sidebar-left' => esc_html__('Left', 'riffel'),
              'sidebar-hide' => esc_html__('Hide', 'riffel'),
            ),
            'default_option' => 'Select sidebar position',
            'info'          => esc_html__('Default option : Right', 'riffel'),
          ),
          array(
            'id'             => 'single_blog_widget',
            'type'           => 'select',
            'title'          => esc_html__('Sidebar Widget', 'riffel'),
            'options'        => riffel_vt_registered_sidebars(),
            'default_option' => esc_html__('Select Widget', 'riffel'),
            'dependency'     => array('single_sidebar_position', '!=', 'sidebar-hide'),
            'info'          => esc_html__('Default option : Main Widget Area', 'riffel'),
          ),
          array(
            'id'             => 'single_sidebar_type',
            'type'           => 'select',
            'title'          => esc_html__('Sidebar Type', 'riffel'),
            'options'        => array(
              'floating' => esc_html__('Floating Sidebar', 'riffel'),
              'sticky' => esc_html__('Sticky Sidebar', 'riffel'),
            ),
            'default_option' => 'Select sidebar type',
            'info'          => esc_html__('Select single sidebar type', 'riffel'),
            'dependency'     => array('single_sidebar_position', '!=', 'sidebar-hide'),
          ),
          // End fields

        )
      ),

    ),
  );

if (class_exists( 'WooCommerce' )){
  // ------------------------------
  // WooCommerce Section
  // ------------------------------
  $options[]   = array(
    'name'     => 'woocommerce_section',
    'title'    => esc_html__('WooCommerce', 'riffel'),
    'icon'     => 'fa fa-shopping-cart',
    'fields' => array(

      // Start fields
      array(
        'type'    => 'notice',
        'class'   => 'info cs-vt-heading',
        'content' => esc_html__('Layout', 'riffel')
      ),
      array(
        'id'             => 'woo_product_columns',
        'type'           => 'select',
        'title'          => esc_html__('Product Column', 'riffel'),
        'options'        => array(
          3 => esc_html__('Three Column', 'riffel'),
          4 => esc_html__('Four Column', 'riffel'),
        ),
        'default_option' => esc_html__('Select Product Columns', 'riffel'),
        'help'          => esc_html__('This style will apply, default woocommerce listings pages. Like, shop and archive pages.', 'riffel'),
      ),
      array(
        'id'             => 'woo_sidebar_position',
        'type'           => 'select',
        'title'          => esc_html__('Sidebar Position', 'riffel'),
        'options'        => array(
          'right-sidebar' => esc_html__('Right', 'riffel'),
          'left-sidebar' => esc_html__('Left', 'riffel'),
          'sidebar-hide' => esc_html__('Hide', 'riffel'),
        ),
        'default_option' => esc_html__('Select sidebar position', 'riffel'),
        'info'          => esc_html__('Default option : Right', 'riffel'),
      ),
      array(
        'id'             => 'woo_widget',
        'type'           => 'select',
        'title'          => esc_html__('Sidebar Widget', 'riffel'),
        'options'        => riffel_vt_registered_sidebars(),
        'default_option' => esc_html__('Select Widget', 'riffel'),
        'dependency'     => array('woo_sidebar_position', '!=', 'sidebar-hide'),
        'info'          => esc_html__('Default option : Shop Page', 'riffel'),
      ),

      array(
        'type'    => 'notice',
        'class'   => 'info cs-vt-heading',
        'content' => esc_html__('Listing', 'riffel')
      ),
      array(
        'id'      => 'theme_woo_limit',
        'type'    => 'text',
        'title'   => esc_html__('Product Limit', 'riffel'),
        'info'   => esc_html__('Enter the number value for per page products limit.', 'riffel'),
      ),
      array(
        'id'      => 'theme_align_height',
        'type'    => 'text',
        'title'   => esc_html__('Have Alignment Space?', 'riffel'),
        'info'   => esc_html__('Set minimun height of each products here. Current minimum height is 100px', 'riffel'),
      ),
      // End fields

      // Start fields
      array(
        'type'    => 'notice',
        'class'   => 'info cs-vt-heading',
        'content' => esc_html__('Single Product', 'riffel')
      ),
      array(
        'id'             => 'woo_related_limit',
        'type'           => 'text',
        'title'          => esc_html__('Related Products Limit', 'riffel'),
      ),
      array(
        'id'    => 'woo_single_upsell',
        'type'  => 'switcher',
        'title' => esc_html__('You May Also Like', 'riffel'),
        'info' => esc_html__('If you don\'t want \'You May Also Like\' products in single product page, please turn this ON.', 'riffel'),
        'default' => false,
      ),
      array(
        'id'    => 'woo_single_related',
        'type'  => 'switcher',
        'title' => esc_html__('Related Products', 'riffel'),
        'info' => esc_html__('If you don\'t want \'Related Products\' in single product page, please turn this ON.', 'riffel'),
        'default' => false,
      ),
      // End fields

    ),
  );
}

  // ------------------------------
  // Extra Pages
  // ------------------------------
  $options[]   = array(
    'name'     => 'theme_extra_pages',
    'title'    => esc_html__('Extra Pages', 'riffel'),
    'icon'     => 'fa fa-clone',
    'sections' => array(

      // error 404 page
      array(
        'name'     => 'error_page_section',
        'title'    => esc_html__('404 Page', 'riffel'),
        'icon'     => 'fa fa-exclamation-triangle',
        'fields'   => array(

          // Start 404 Page
          array(
            'id'    => 'error_heading',
            'type'  => 'text',
            'title' => esc_html__('404 Page Heading', 'riffel'),
            'info'  => esc_html__('Enter 404 page heading.', 'riffel'),
          ),
          array(
            'id'    => 'error_page_content',
            'type'  => 'textarea',
            'title' => esc_html__('404 Page Content', 'riffel'),
            'info'  => esc_html__('Enter 404 page content.', 'riffel'),
            'shortcode' => true,
          ),
          array(
            'id'    => 'error_page_bg',
            'type'  => 'image',
            'title' => esc_html__('404 Page Background', 'riffel'),
            'info'  => esc_html__('Choose 404 page background styles.', 'riffel'),
            'add_title' => esc_html__('Add 404 Image', 'riffel'),
          ),
          array(
            'id'    => 'error_btn_text',
            'type'  => 'text',
            'title' => esc_html__('Button Text', 'riffel'),
            'info'  => esc_html__('Enter BACK TO HOME button text. If you want to change it.', 'riffel'),
          ),
          // End 404 Page

        ) // end: fields
      ), // end: fields section

      // maintenance mode page
      array(
        'name'     => 'maintenance_mode_section',
        'title'    => esc_html__('Maintenance Mode', 'riffel'),
        'icon'     => 'fa fa-hourglass-half',
        'fields'   => array(

          // Start Maintenance Mode
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => __('If you turn this ON : Only Logged in users will see your pages. All other visiters will see, selected page of : <strong>Maintenance Mode Page</strong>', 'riffel')
          ),
          array(
            'id'             => 'enable_maintenance_mode',
            'type'           => 'switcher',
            'title'          => esc_html__('Maintenance Mode', 'riffel'),
            'default'        => false,
          ),
          array(
            'id'             => 'maintenance_mode_page',
            'type'           => 'select',
            'title'          => esc_html__('Maintenance Mode Page', 'riffel'),
            'options'        => 'pages',
            'default_option' => esc_html__('Select a page', 'riffel'),
            'dependency'   => array( 'enable_maintenance_mode', '==', 'true' ),
          ),
          array(
            'id'             => 'maintenance_mode_bg',
            'type'           => 'background',
            'title'          => esc_html__('Page Background', 'riffel'),
            'dependency'   => array( 'enable_maintenance_mode', '==', 'true' ),
          ),
          // End Maintenance Mode

        ) // end: fields
      ), // end: fields section

    )
  );

  // ------------------------------
  // Advanced
  // ------------------------------
  $options[] = array(
    'name'   => 'theme_advanced',
    'title'  => esc_html__('Advanced', 'riffel'),
    'icon'   => 'fa fa-cog'
  );

  // ------------------------------
  // Misc Section
  // ------------------------------
  $options[]   = array(
    'name'     => 'misc_section',
    'title'    => esc_html__('Misc', 'riffel'),
    'icon'     => 'fa fa-recycle',
    'sections' => array(

      // custom sidebar section
      array(
        'name'     => 'custom_sidebar_section',
        'title'    => esc_html__('Custom Sidebar', 'riffel'),
        'icon'     => 'fa fa-reorder',
        'fields'   => array(

          // start fields
          array(
            'id'              => 'custom_sidebar',
            'title'           => esc_html__('Sidebars', 'riffel'),
            'desc'            => esc_html__('Go to Appearance -> Widgets after create sidebars', 'riffel'),
            'type'            => 'group',
            'fields'          => array(
              array(
                'id'          => 'sidebar_name',
                'type'        => 'text',
                'title'       => esc_html__('Sidebar Name', 'riffel'),
              ),
              array(
                'id'          => 'sidebar_desc',
                'type'        => 'text',
                'title'       => esc_html__('Custom Description', 'riffel'),
              )
            ),
            'accordion'       => true,
            'button_title'    => esc_html__('Add New Sidebar', 'riffel'),
            'accordion_title' => esc_html__('New Sidebar', 'riffel'),
          ),
          // end fields

        )
      ),
      // custom sidebar section

      // Custom CSS/JS
      array(
        'name'        => 'custom_css_js_section',
        'title'       => esc_html__('Custom Codes', 'riffel'),
        'icon'        => 'fa fa-code',

        // begin: fields
        'fields'      => array(

          // Start Custom CSS/JS
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Custom CSS', 'riffel')
          ),
          array(
            'id'             => 'theme_custom_css',
            'type'           => 'textarea',
            'attributes' => array(
              'rows'     => 10,
              'placeholder'     => esc_html__('Enter your CSS code here...', 'riffel'),
            ),
          ),

          // Start Custom CSS/JS
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Custom JS', 'riffel')
          ),
          array(
            'id'             => 'theme_custom_js',
            'type'           => 'textarea',
            'attributes' => array(
              'rows'     => 10,
              'placeholder'     => esc_html__('Enter your JS code here...', 'riffel'),
            ),
          ),
          // End Custom CSS/JS

        ) // end: fields
      ),

      // Translation
      array(
        'name'        => 'theme_translation_section',
        'title'       => esc_html__('Translation', 'riffel'),
        'icon'        => 'fa fa-language',

        // begin: fields
        'fields'      => array(

          // Start Translation
          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Common Texts', 'riffel')
          ),
          array(
            'id'          => 'read_more_text',
            'type'        => 'text',
            'title'       => esc_html__('Read More Text', 'riffel'),
          ),
          array(
            'id'          => 'share_text',
            'type'        => 'text',
            'title'       => esc_html__('Share Text', 'riffel'),
          ),
          array(
            'id'          => 'share_on_text',
            'type'        => 'text',
            'title'       => esc_html__('Share On Tooltip Text', 'riffel'),
          ),
          array(
            'id'          => 'author_text',
            'type'        => 'text',
            'title'       => esc_html__('Author Text', 'riffel'),
          ),
          array(
            'id'          => 'post_comment_text',
            'type'        => 'text',
            'title'       => esc_html__('Post Comment Text [Submit Button]', 'riffel'),
          ),

          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Pagination', 'riffel')
          ),
          array(
            'id'          => 'older_post',
            'type'        => 'text',
            'title'       => esc_html__('Older Posts Text', 'riffel'),
          ),
          array(
            'id'          => 'newer_post',
            'type'        => 'text',
            'title'       => esc_html__('Newer Posts Text', 'riffel'),
          ),

          array(
            'type'    => 'notice',
            'class'   => 'info cs-vt-heading',
            'content' => esc_html__('Single Portfolio Pagination', 'riffel')
          ),
          array(
            'id'          => 'prev_port',
            'type'        => 'text',
            'title'       => esc_html__('Prev Project Text', 'riffel'),
          ),
          array(
            'id'          => 'next_port',
            'type'        => 'text',
            'title'       => esc_html__('Next Project Text', 'riffel'),
          ),

          array(
          'type'    => 'notice',
          'class'   => 'info cs-vt-heading',
          'content' => esc_html__('Header Filters', 'riffel')
          ),
          array(
            'id'          => 'filter_text',
            'type'        => 'text',
            'title'       => esc_html__('Filter', 'riffel'),
          ),
          array(
            'id'          => 'all_text',
            'type'        => 'text',
            'title'       => esc_html__('All', 'riffel'),
          ),

          // End Translation

        ) // end: fields
      ),

    ),
  );

  // ------------------------------
  // backup                       -
  // ------------------------------
  $options[]   = array(
    'name'     => 'backup_section',
    'title'    => 'Backup',
    'icon'     => 'fa fa-shield',
    'fields'   => array(

      array(
        'type'    => 'notice',
        'class'   => 'warning',
        'content' => 'You can save your current options. Download a Backup and Import.',
      ),

      array(
        'type'    => 'backup',
      ),

    )
  );

  return $options;

}
add_filter( 'cs_framework_options', 'riffel_vt_options' );