<?php
/*
 * The main template file.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
get_header();
// Metabox
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );

if ($riffel_meta) {
	$riffel_content_padding = $riffel_meta['content_spacings'];
} else { $riffel_content_padding = ''; }
// Padding - Metabox
if ($riffel_content_padding && $riffel_content_padding !== 'padding-none') {
	$riffel_content_top_spacings = $riffel_meta['content_top_spacings'];
	$riffel_content_bottom_spacings = $riffel_meta['content_bottom_spacings'];
	if ($riffel_content_padding === 'padding-custom') {
		$riffel_content_top_spacings = $riffel_content_top_spacings ? 'padding-top:'. riffel_check_px($riffel_content_top_spacings) .';' : '';
		$riffel_content_bottom_spacings = $riffel_content_bottom_spacings ? 'padding-bottom:'. riffel_check_px($riffel_content_bottom_spacings) .';' : '';
		$riffel_custom_padding = $riffel_content_top_spacings . $riffel_content_bottom_spacings;
	} else {
		$riffel_custom_padding = '';
	}
} else {
	$riffel_custom_padding = '';
}

// Theme Options
$riffel_blog_style = cs_get_option('blog_listing_style');
$riffel_blog_width = cs_get_option('blog_listing_width');
$riffel_sidebar_position = cs_get_option('blog_sidebar_position'); 
$riffel_pagi_style = cs_get_option('blog_pagination_style');
$blog_load_btn_type = cs_get_option('blog_load_btn_type');
$riffel_load_more = cs_get_option('blog_load_more_btn_txt');
$rifl_loader_icon = cs_get_option('blog_loader_icon_option');

$riffel_load_more = ( $riffel_load_more ) ? $riffel_load_more : esc_html__( 'Load More', 'riffel' );

// Columns
$blog_width = $riffel_blog_width ? $riffel_blog_width : ' spacer-wrap ';

	// Sidebar Positio
	if ($riffel_sidebar_position === 'sidebar-hide') {
		$layout_class = 'col-md-12';
		$riffel_sidebar_class = 'rifl-hide-sidebar';
	} elseif ($riffel_sidebar_position === 'sidebar-left') {
		$layout_class = 'col-md-9';
		$riffel_sidebar_class = 'rifl-left-sidebar';
	} else {
		$layout_class = 'col-md-9';
		$riffel_sidebar_class = 'rifl-right-sidebar';
	}

if ($riffel_blog_style === 'style-two') { ?>
<div class="rifl-mid-wrap spacer-two blog-masonry <?php echo esc_attr($riffel_content_padding) .' '. esc_attr($riffel_sidebar_class); ?>" style="<?php echo esc_attr($riffel_custom_padding); ?>">
  <div class="rifl-list-msnr <?php echo esc_attr($blog_width); ?>">
			<?php
				if ($riffel_sidebar_position === 'sidebar-left' && $riffel_sidebar_position !== 'sidebar-hide') {
					get_sidebar();
				}
			?>
  		<div class="rifl-primary <?php echo esc_attr($layout_class); ?>">
				<div class="blog-items blog-list-items rifl-post-load-more load-posts" data-select=".blog-items" data-item=".blog-item" data-paging="<?php echo esc_attr($riffel_pagi_style); ?>" data-button="<?php echo esc_attr($blog_load_btn_type); ?>" data-loading="<?php echo esc_attr($riffel_load_more); ?>" data-icon="<?php echo esc_attr($rifl_loader_icon); ?>">
						<div class="blog-maso">
							<?php
								if ( have_posts() ) :
								/* Start the Loop */
								while ( have_posts() ) : the_post();
									get_template_part( 'layouts/post/content' );
								endwhile;
								else :
									get_template_part( 'layouts/post/content', 'none' );
								endif;
							?>
	          </div>
						<div class="rifl-pagination">
							<?php riffel_paging_nav(); ?>
						</div>
				</div><!-- Blog Div -->
				<?php
				wp_reset_postdata(); ?>
	    </div>
		<!-- Content Area -->
		<?php
			if ($riffel_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			}
		?>
	</div>
</div>

<?php } else { ?>
<div class="rifl-mid-wrap spacer-two blog-masonry">
	<div class="<?php echo esc_attr($blog_width) .' '. esc_attr($riffel_content_padding) .' '. esc_attr($riffel_sidebar_class); ?>" style="<?php echo esc_attr($riffel_custom_padding); ?>">
	<div class="row">
			<?php
				if ($riffel_sidebar_position === 'sidebar-left' && $riffel_sidebar_position !== 'sidebar-hide') {
					get_sidebar();
				}
			?>
		<div class="blog-items grid-view rifl-primary <?php echo esc_attr($layout_class); ?>">
			<div class="rifl-masonry rifl-post-load-more load-posts" data-select=".rifl-masonry" data-item=".masonry-item" data-space="20" data-paging="<?php echo esc_attr($riffel_pagi_style); ?>" data-button="<?php echo esc_attr($blog_load_btn_type); ?>" data-loading="<?php echo esc_attr($riffel_load_more); ?>" data-icon="<?php echo esc_attr($rifl_loader_icon); ?>">
					<div class="blog-maso">
						<?php
							if ( have_posts() ) :
							/* Start the Loop */
							while ( have_posts() ) : the_post();
							get_template_part( 'layouts/post/content' );
							endwhile;
							else :
								get_template_part( 'layouts/post/content', 'none' );
							endif;
						?>
					</div>
					<div class="rifl-pagination">
						<?php riffel_paging_nav(); ?>
					</div>
			</div><!-- Blog Div -->
			<?php wp_reset_postdata(); ?>

		</div><!-- Content Area -->
		<?php
			if ($riffel_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
		  }
		?>
	</div>
</div>
</div>

<?php }
get_footer();
