<?php
// Logo Image
$rifl_brand_logo_default = cs_get_option('brand_logo_default');
$rifl_brand_logo_retina = cs_get_option('brand_logo_retina');

// Mobile Logo
$rifl_mobile_logo = cs_get_option('mobile_logo_retina');
$rifl_mobile_width = cs_get_option('mobile_logo_width');
$rifl_mobile_height = cs_get_option('mobile_logo_height');
$rifl_mobile_logo_top = cs_get_option('mobile_logo_top');
$rifl_mobile_logo_bottom = cs_get_option('mobile_logo_bottom');
$rifl_mobile_class = $rifl_mobile_logo ? ' hav-mobile-logo' : ' dhve-mobile-logo';

// Transparent Header Logos
$rifl_transparent_logo = cs_get_option('transparent_logo_default');
$rifl_transparent_retina = cs_get_option('transparent_logo_retina');

// Metabox - Header Transparent
global $post;
$rifl_id    = ( isset( $post ) ) ? $post->ID : false;
$rifl_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $rifl_id;
$rifl_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $rifl_id;
$rifl_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $rifl_id : false;
$rifl_meta  = get_post_meta( $rifl_id, 'page_type_metabox', true );
if ($rifl_meta) {
  $rifl_transparent_header  = $rifl_meta['transparency_header'];
} else {
  $rifl_transparent_header  = cs_get_option('transparent_header');
}

if($rifl_transparent_header){
$transparent_default_class = $rifl_transparent_logo ? ' hav-transparent-logo' : ' dhav-transparent-logo';
} else {
	$transparent_default_class = '';
}

// Retina Size
$rifl_retina_width = cs_get_option('retina_width');
$rifl_retina_height = cs_get_option('retina_height');

// Logo Spacings
$rifl_brand_logo_top = cs_get_option('brand_logo_top');
$rifl_brand_logo_bottom = cs_get_option('brand_logo_bottom');
if ($rifl_mobile_logo_top) {
	$rifl_brand_logo_top = 'padding-top:'. riffel_check_px($rifl_mobile_logo_top) .';';
} elseif ($rifl_brand_logo_top) {
	$rifl_brand_logo_top = 'padding-top:'. riffel_check_px($rifl_brand_logo_top) .';';
} else { $rifl_brand_logo_top = ''; }
if ($rifl_mobile_logo_bottom) {
	$rifl_brand_logo_bottom = 'padding-bottom:'. riffel_check_px($rifl_mobile_logo_bottom) .';';
} elseif ($rifl_brand_logo_bottom) {
	$rifl_brand_logo_bottom = 'padding-bottom:'. riffel_check_px($rifl_brand_logo_bottom) .';';
} else { $rifl_brand_logo_bottom = ''; }

$retina_width_actual = $rifl_retina_width ? 'width='.$rifl_retina_width.'' : '';
$retina_height_actual = $rifl_retina_height ? 'height='.$rifl_retina_height.'' : '';

$rifl_mobile_width_actual = $rifl_mobile_width ? 'width='.$rifl_mobile_width.'' : '';
$rifl_mobile_height_actual = $rifl_mobile_height ? 'height='.$rifl_mobile_height.'' : '';
?>

<div class="rifl-brand <?php echo esc_attr($rifl_mobile_class . $transparent_default_class); ?>" style="<?php echo esc_attr($rifl_brand_logo_top); echo esc_attr($rifl_brand_logo_bottom); ?>">
	<a href="<?php echo esc_url(home_url( '/' )); ?>">
	<?php
	if (isset($rifl_transparent_header) && isset($rifl_transparent_logo)) {
		if (isset($rifl_transparent_logo)){
			if (isset($rifl_transparent_retina)){
				echo '<img src="'. esc_url(wp_get_attachment_url($rifl_transparent_retina)) .'" '. esc_attr($retina_width_actual) .' '. esc_attr($retina_height_actual) .' alt="" class="transparent-retina-logo transparent-logo">';
			}
			echo '<img src="'. esc_url(wp_get_attachment_url($rifl_transparent_logo)) .'" alt="" class="transparent-default-logo transparent-logo" '. esc_attr($retina_width_actual) .' '. esc_attr($retina_height_actual) .'>';
		} elseif (isset($rifl_brand_logo_default)){
			if ($rifl_brand_logo_retina){
				echo '<img src="'. esc_url(wp_get_attachment_url($rifl_brand_logo_retina)) .'" '. esc_attr($retina_width_actual) .''. esc_attr($retina_height_actual) .' alt="" class="retina-logo">
					';
			}
			echo '<img src="'. esc_url(wp_get_attachment_url($rifl_brand_logo_default)) .'" alt="" class="default-logo" '. esc_attr($retina_width_actual) .' '. esc_attr($retina_height_actual) .'>';
		} else {
			echo '<div class="text-logo"><h2>'. esc_attr(get_bloginfo( 'name' )) . '</h2></div>';
		}
		if (isset($rifl_brand_logo_default)){
			if ($rifl_brand_logo_retina){
				echo '<img src="'. esc_url(wp_get_attachment_url($rifl_brand_logo_retina)) .'" '. esc_attr($retina_width_actual) .' '. esc_attr($retina_height_actual) .' alt="" class="retina-logo sticky-logo">
					';
			}
			echo '<img src="'. esc_url(wp_get_attachment_url($rifl_brand_logo_default)) .'" alt="" class="default-logo sticky-logo" '. esc_attr($retina_width_actual) .' '. esc_attr($retina_height_actual) .'>';
		}
	} elseif (isset($rifl_brand_logo_default)){
		if ($rifl_brand_logo_retina){
			echo '<img src="'. esc_url(wp_get_attachment_url($rifl_brand_logo_retina)) .'" '. esc_attr($retina_width_actual) .' '. esc_attr($retina_height_actual) .' alt="" class="retina-logo">
				';
		}
		echo '<img src="'. esc_url(wp_get_attachment_url($rifl_brand_logo_default)) .'" alt="" class="default-logo" '. esc_attr($retina_width_actual) .' '. esc_attr($retina_height_actual) .'>';
	} else {
		echo '<div class="text-logo"><h2>'. esc_attr(get_bloginfo( 'name' )) . '</h2></div>';
	}
	if ($rifl_mobile_logo){
		echo '<img src="'. esc_url(wp_get_attachment_url($rifl_mobile_logo)) .'" '. esc_attr($rifl_mobile_width_actual) .' '. esc_attr($rifl_mobile_height_actual) .' alt="" class="mobile-logo">
			';
	}
	echo '</a>';
	?>
</div>
