<?php
/*
 * The template for displaying all single portfolios.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

global $post;
// Metabox
$riffel_id    = get_the_ID();
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );
$portfolio_meta  = get_post_meta( $riffel_id, 'portfolio_single_metabox', true );
if ($portfolio_meta) {
  $portfolio_image = $portfolio_meta['portfolio_single_images'];
  $portfolio_single_width = $portfolio_meta['portfolio_single_width'];
} else {
  $portfolio_image = array();
  $portfolio_single_width = '';
}

while( have_posts() ) : the_post();
?>
<div class="rifl-mid-wrap-portfolio">
  <div class="container">
    <div class="portfolio-info-container center">
      <?php if( get_the_title() ){ ?>
        <h1 class="portfolio-title"><?php esc_attr(the_title()); ?></h1>
      <?php } 
      esc_attr(the_content()); ?>
      <div class="portfolio-info-listings">
        <?php riffel_portfolio_information_meta('portfolio_single_metabox', 'portfolio_informations'); 
        riffel_portfolio_share_option(); ?>
      </div>
    </div>
    <div class="rifl-masonry" data-item="3">
      <?php
        if ( !empty( $portfolio_image ) ) {
          foreach ($portfolio_image as $key => $img) {
          $image = wp_get_attachment_image_url( $img['image'], 'full', false );
          if ($image) {
            $image = $image;
          } else {
            $image = RIFFEL_IMAGES.'/grid-placeholder.jpg';
          }
          $riffel_alt = get_post_meta($img['image'], '_wp_attachment_image_alt', true);
          $image_media_link = get_post_meta($img['image'], '_image_media_link', true);
          if ( $image_media_link ) {
            $largimage = $image_media_link;
          } else {
            $largimage = $image;
          }
        ?>
        <div class="masonry-item <?php echo esc_attr( $img['item_width'] ); ?>">
          <div class="rifl-image popup-picture"><a href="<?php echo esc_url( $largimage ); ?>"><img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr($img['title']); ?>"></a></div>
        </div>
      <?php } } ?>
    </div>
  </div>
</div>

<?php
endwhile;
