<?php
/*
 * The template for displaying all single portfolios.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

global $post;

// Metabox
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );
$portfolio_meta  = get_post_meta( $riffel_id, 'portfolio_single_metabox', true );
if ($portfolio_meta) {
  $portfolio_sub_title = $portfolio_meta['portfolio_sub_title'];
  $portfolio_image = $portfolio_meta['portfolio_single_images'];
  $portfolio_single_width = $portfolio_meta['portfolio_single_width'];
} else {
  $portfolio_sub_title = '';
  $portfolio_image = array();
  $portfolio_single_width = '';
}

while( have_posts() ) : the_post();
?>
<!-- Rifl Mid Wrap, Spacer Three -->
<div class="rifl-mid-wrap-portfolio spacer-three">
  <div class="container">
    <div class="portfolio-spacer-wrap">
      <div class="rifl-slider" data-items="1" data-autoplay="true" data-margin="0" data-loop="true" data-nav="true" data-dots="false">
        <?php
        if ( !empty( $portfolio_image ) ) {
          foreach ($portfolio_image as $key => $img) {
          $image = wp_get_attachment_image_url( $img['image'], 'full', false );
          if (!empty( $image )) {
            $image = $image;
          } else {
            $image = RIFFEL_IMAGES.'/grid-placeholder.jpg';
          }
          $riffel_alt = get_post_meta($img['image'], '_wp_attachment_image_alt', true);
          $image_media_link = get_post_meta($img['image'], '_image_media_link', true);
          if ( $image_media_link ) {
            $largimage = $image_media_link;
          } else {
            $largimage = $image;
          }
        ?>
          <div class="item">
            <div class="rifl-image popup-picture"><a href="<?php echo esc_url( $image ); ?>"><img src="<?php echo esc_url( $image ); ?>" alt="<?php esc_attr(the_title()); ?>"></a></div>
          </div>
        <?php } } ?>
      </div>
    </div>
    <div class="row">
      <div class="col-md-8 rifl-primary">
        <div class="portfolio-info-container info-style-two">
          <?php if( get_the_title() ){ ?>
            <h1 class="portfolio-title"><?php esc_attr(the_title()); ?></h1>
          <?php } ?>
          <?php 
            if ($portfolio_sub_title) {
              echo '<h4 class="portfolio-sub-title">'.esc_attr($portfolio_sub_title).'</h4>';
            }
            esc_attr(the_content()); 
          ?>
        </div>
      </div>
      <div class="col-md-4 rifl-secondary rifl-sticky-sidebar">
        <div class="portfolio-info-listings">
          <?php riffel_portfolio_information_meta('portfolio_single_metabox', 'portfolio_informations'); 
          riffel_portfolio_share_option(); ?>
        </div>
      </div>
    </div>
  </div>
</div>
<?php
endwhile;
