<?php
/*
 * The template for displaying all single portfolios.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

global $post;
// Metabox
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );
$portfolio_meta  = get_post_meta( $riffel_id, 'portfolio_single_metabox', true );
if ($portfolio_meta) {
  $banner_type = $portfolio_meta['banner_type'];
  $banner_image = $portfolio_meta['banner_image'];
  $full_height_banner = $portfolio_meta['full_height_banner'];
  $banner_title = $portfolio_meta['banner_title'];
  $portfolio_image = $portfolio_meta['portfolio_single_images'];
  $portfolio_single_width = $portfolio_meta['portfolio_single_width'];
} else {
  $banner_type = '';
  $banner_image = '';
  $full_height_banner = '';
  $banner_title = '';
  $portfolio_image = array();
  $portfolio_single_width = '';
}

while( have_posts() ) : the_post();
if($banner_type === 'text_banner') {
?>
 <div class="rifl-portfolio-banner">
    <div class="portfolio-banner-caption">
      <div class="rifl-table-container">
        <div class="rifl-align-container">
          <div class="container scrollme animateme" data-when="exit" data-from="0" data-to="0.75" data-opacity="1" data-translatey="-250">
            <?php 
              if ($banner_title) {
                echo '<h2 class="portfolio-banner-title">'.esc_attr($banner_title).'</h2>';
              } else {
                echo '<h2 class="portfolio-banner-title">'.esc_attr(get_the_title()).'</h2>';
              }
            ?>
            <div class="portfolio-info-listings">
              <?php riffel_portfolio_banner_information_meta('portfolio_single_metabox', 'banner_info'); ?>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php } elseif($banner_type === 'img_banner') { 
    $image = wp_get_attachment_image_url( $banner_image, 'full', false );
    // $image = $image[0];
      if (!empty( $image )) {
        $image = isset($image[0]) ? $image[0] : '';
      } else {
        $image = RIFFEL_IMAGES.'/grid-placeholder.jpg';
      }

      if ($full_height_banner) {
        $banner_height_cls = 'portfolio-banner-style-two';
      } else {
        $banner_height_cls = '';
      }
  ?>
    <div class="rifl-portfolio-banner rifl-parallax <?php echo esc_attr($banner_height_cls); ?>" data-parallax-background-ratio=".5" style="background-image: url(<?php echo esc_url($image);?>);"></div>
  <?php } ?>

  <!-- Rifl Mid Wrap, Spacer Three -->
  <div class="rifl-mid-wrap-portfolio">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <?php esc_attr(the_content()); ?>
        </div>
      </div>
    </div>
  </div>
<?php
endwhile;
