<?php
/*
 * The template for displaying all single portfolios.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

global $post;
// Metabox
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );
$portfolio_meta  = get_post_meta( $riffel_id, 'portfolio_single_metabox', true );

if ($portfolio_meta) {
  $portfolio_image = (array) $portfolio_meta['portfolio_single_images'];
  $sidebar_type = $portfolio_meta['sidebar_type'];
  $portfolio_single_width = $portfolio_meta['portfolio_single_width'];
} else {
  $portfolio_image = array();
  $gallery_col = ' col-item-4 ';
  $sidebar_type = '';
  $portfolio_single_width = '';
}

if ($portfolio_single_width == 'fullwidth') {
  $full_class = 'full-detail';
}else{
  $full_class = '';
}

if($sidebar_type === 'floating') {
  $sidebar_type_cls = ' rifl-floting-sidebar';
} elseif ($sidebar_type === 'sticky') {
  $sidebar_type_cls = ' rifl-sticky-sidebar-two';
} else {
  $sidebar_type_cls = '';
}

while( have_posts() ) : the_post();
?>
 <!-- Rifl Portfolio Full Wrap -->
  <div class="rifl-portfolio-full-wrap">
    <?php
      if ($portfolio_single_width != 'fullwidth') {
        echo '<div class="container">';
      }
    ?>
    <div class="row">
      <div class="col-md-8 rifl-primary">
        <div class="flexslider main-slider">
          <ul class="slides">
            <?php
            if ( !empty( $portfolio_image ) ) {
              foreach ($portfolio_image as $key => $img) {
              $image = wp_get_attachment_image_url( $img['image'], 'full', false );
              if (!empty( $image )) {
                $image = $image;
              } else {
                $image = RIFFEL_IMAGES.'/grid-placeholder.jpg';
              }
              $riffel_alt = get_post_meta($img['image'], '_wp_attachment_image_alt', true);
              $image_media_link = get_post_meta($img['image'], '_image_media_link', true);
              if ( $image_media_link ) {
                $largimage = $image_media_link;
              } else {
                $largimage = $image;
              }
            ?>
            <li>
              <div class="rifl-image popup-picture">
                <a href="<?php echo esc_url( $largimage ); ?>"><img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr($img['title']); ?>"></a>
              </div>
            </li>
          <?php } } ?>
          </ul>
        </div>
        <div class="flexslider thumb-slider">
          <ul class="slides">
            <?php
              if ( !empty( $portfolio_image ) ) {
                foreach ($portfolio_image as $key => $img) {
                $image = wp_get_attachment_image_url( $img['image'], 'full', false );
                if (!empty( $image )) {
                  $image = $image;
                } else {
                  $image = RIFFEL_IMAGES.'/grid-placeholder.jpg';
                }
                $riffel_alt = get_post_meta($img['image'], '_wp_attachment_image_alt', true);
                $image_media_link = get_post_meta($img['image'], '_image_media_link', true);
                if ( $image_media_link ) {
                  $largimage = $image_media_link;
                } else {
                  $largimage = $image;
                }
              ?>
              <li>
                <div class="rifl-image"><img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr($img['title']); ?>"></div>
              </li>
            <?php } } ?>
          </ul>
        </div>
      </div>
      <div class="col-md-4 rifl-secondary <?php echo esc_attr($sidebar_type_cls); ?>">
        <div class="portfolio-info-container">
          <?php if( get_the_title() ){ ?>
            <h1 class="portfolio-title"><?php esc_attr(the_title()); ?></h1>
          <?php } 
          esc_attr(the_content()); ?>
          <div class="portfolio-info-listings">
            <?php riffel_portfolio_information_meta('portfolio_single_metabox', 'portfolio_informations'); 
            riffel_portfolio_share_option(); ?>
          </div>
        </div>
      </div>
    </div>
    <?php 
      if ($portfolio_single_width != 'fullwidth') {
        echo '</div>';
      }
    ?>
  </div>
<?php  
endwhile;
