<?php
/**
 * Single Post.
 */
$riffel_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$riffel_large_image = isset($riffel_large_image[0]) ? $riffel_large_image[0] : '';

$riffel_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$riffel_blog_style = cs_get_option('blog_listing_style');

// Single Theme Option
$riffel_single_featured_image = cs_get_option('single_featured_image');
$riffel_single_author_info = cs_get_option('single_author_info');
$riffel_single_share_option = cs_get_option('single_share_option');
$tags_text = cs_get_option('tags_text');
if($tags_text){
	$tag_txt = $tags_text;
} else {
	$tag_txt = esc_html__('Tags', 'riffel');
}
?>

<div id="post-<?php the_ID(); ?>" <?php post_class('rifl-blog-post'); ?>>
	<?php
	if ($riffel_single_featured_image) {
		if(has_post_thumbnail()) { ?>
		<div class="blog-picture popup-picture">
			<a href="<?php echo esc_url($riffel_large_image); ?>"><img src="<?php echo esc_url($riffel_large_image); ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></a>
		</div>
	<?php }
	} ?>

	<!-- Content -->
		<?php echo riffel_post_metas(); ?>
		<h3 class="blog-title"><?php echo esc_attr(get_the_title()); ?></h3>
		<?php
			esc_attr(the_content());
			echo riffel_wp_link_pages();
		?>
		<?php $tag_list = get_the_tags();
		if($tag_list) { ?>
	    <div class="rifl-blog-meta rifl-meta-tags">
					<div class="rifl-blog-tags">
						<?php echo the_tags( '<ul><li><strong>'.esc_attr($tag_txt).' :</strong></li> <li><span>', '</span></li> <li><span>', '</span></li> </ul>' ); ?>
					</div>
	    </div>
		<?php } ?>
	<!-- Content -->

	<!-- Share -->
	<div class="rifl-blog-meta">
		<?php
		if($riffel_single_share_option) {
			echo riffel_wp_share_option();
		}
		?>
	</div>
	<div class="rifl-more-posts">
		<div class="row">
			<div class="col-md-6 col-sm-6">
			<?php
				$older_post = cs_get_option('older_post');
	      $newer_post = cs_get_option('newer_post');
	      $older_post = $older_post ? $older_post : esc_html__( 'Previous', 'riffel' );
	      $newer_post = $newer_post ? $newer_post : esc_html__( 'Next', 'riffel' );
		 		$prev_post = get_adjacent_post(false, '', true);
				if(!empty($prev_post)) {
				echo '<a href="' . esc_url(get_permalink($prev_post->ID)) . '" class="more-posts-link" title="' . esc_attr($prev_post->post_title) . '"><span class="more-post-type">'.esc_attr($older_post).'</span><span class="more-post-title">' . esc_attr($prev_post->post_title) . '</span></a>'; } ?>
			</div>
			<div class="col-md-6 col-sm-6 text-right">
				<?php $next_post = get_adjacent_post(false, '', false);
				if(!empty($next_post)) {
				echo '<a href="' . esc_url(get_permalink($next_post->ID)) . '" class="more-posts-link" title="' . esc_attr($next_post->post_title) . '"><span class="more-post-type">'.esc_attr($newer_post).'</span><span class="more-post-title">' . esc_attr($next_post->post_title) . '</span></a>'; } ?>
			</div>
		</div>
	</div>

	<!-- Author Info -->
	<?php
		if($riffel_single_author_info) {
			echo riffel_author_info();
		}
	?>
	<!-- Author Info -->

</div>