<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );

if ($riffel_meta) {
	$riffel_content_padding = $riffel_meta['content_spacings'];
} else { $riffel_content_padding = ''; }
// Padding - Metabox
if ($riffel_content_padding && $riffel_content_padding !== 'padding-none') {
	$riffel_content_top_spacings = $riffel_meta['content_top_spacings'];
	$riffel_content_bottom_spacings = $riffel_meta['content_bottom_spacings'];
	if ($riffel_content_padding === 'padding-custom') {
		$riffel_content_top_spacings = $riffel_content_top_spacings ? 'padding-top:'. riffel_check_px($riffel_content_top_spacings) .';' : '';
		$riffel_content_bottom_spacings = $riffel_content_bottom_spacings ? 'padding-bottom:'. riffel_check_px($riffel_content_bottom_spacings) .';' : '';
		$riffel_custom_padding = $riffel_content_top_spacings . $riffel_content_bottom_spacings;
	} else {
		$riffel_custom_padding = '';
	}
} else {
	$riffel_custom_padding = '';
}

// Page Layout Options
$riffel_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );
if ($riffel_page_layout) {

	$riffel_page_layout = $riffel_page_layout['page_layout'];

	if ($riffel_page_layout === 'extra-width') {
		$riffel_column_class = 'extra-width';
		$riffel_layout_class = 'container-fluid';
	} elseif($riffel_page_layout === 'left-sidebar' || $riffel_page_layout === 'right-sidebar') {
		$riffel_column_class = 'col-md-9';
		$riffel_layout_class = 'container';
	} else {
		$riffel_column_class = 'col-md-12';
		$riffel_layout_class = 'container';
	}

	// Page Layout Class
	if ($riffel_page_layout === 'left-sidebar') {
		$riffel_sidebar_class = 'left-sidebar';
	} elseif ($riffel_page_layout === 'right-sidebar') {
		$riffel_sidebar_class = 'right-sidebar';
	} elseif ($riffel_page_layout === 'extra-width') {
		$riffel_sidebar_class = 'rifl-extra-width';
	} else {
		$riffel_sidebar_class = 'rifl-full-width';
	}
} else {
	$riffel_column_class = 'col-md-12';
	$riffel_layout_class = 'container';
	$riffel_sidebar_class = 'rifl-full-width';
}

get_header();
$need_title_bar = cs_get_option('need_title_bar');
if($need_title_bar) {
	get_template_part( 'layouts/header/title', 'bar' ); 
}?>

<div class="rifl-mid-wrap <?php echo esc_attr($riffel_content_padding .' '. $riffel_sidebar_class); ?> rifl-content-area" style="<?php echo esc_attr($riffel_custom_padding); ?>">
	<div class="<?php echo esc_attr($riffel_layout_class); ?>">
		<div class="row">
			<?php
				// Left Sidebar
				if($riffel_page_layout === 'left-sidebar') {
		   		get_sidebar();
				}
			?>
			<div class="rifl-content-side rifl-primary <?php echo esc_attr($riffel_column_class); ?>">
				<?php
					while ( have_posts() ) : the_post();
						esc_attr(the_content());
						// If comments are open or we have at least one comment, load up the comment template.
						if ( (comments_open() || get_comments_number()) ) :
							comments_template();
						endif;
					endwhile;
				?>
			</div>
			<?php
				// Right Sidebar
				if($riffel_page_layout === 'right-sidebar') {
					get_sidebar();
				}
			?>
		</div>
	</div>
</div>

<?php
get_footer();
