<?php
/*
 * The template for displaying search results pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
get_header();
if( 'portfolio' == get_post_type() ) {
$portfolio_style = cs_get_option('portfolio_style');
$portfolio_limit = cs_get_option('portfolio_limit');
$portfolio_order = cs_get_option('portfolio_order');
$portfolio_orderby = cs_get_option('portfolio_orderby');
$portfolio_view = cs_get_option('portfolio_view');
$portfolio_pagination = cs_get_option('portfolio_pagination');

  if($portfolio_style === 'horizontal') {
    $portfolio_style_cls = 'horizontal-portfolio';
  } elseif($portfolio_style === 'style-three') {
    $portfolio_style_cls = 'portfolio-hover-two';
  } elseif($portfolio_style === 'vertical') {
    $portfolio_style_cls = 'vertical-portfolio';
  } else {
    $portfolio_style_cls = '';
  }

    // Pagination
    global $paged;
    if( get_query_var( 'paged' ) )
      $my_page = get_query_var( 'paged' );
    else {
      if( get_query_var( 'page' ) )
        $my_page = get_query_var( 'page' );
      else
        $my_page = 1;
      set_query_var( 'paged', $my_page );
      $paged = $my_page;
    }
    $portfolio_limit = $portfolio_limit ? $portfolio_limit : '-1';
    $args = array(
      // other query params here,
      'paged' => $my_page,
      'post_type' => 'portfolio',
      'posts_per_page' => (int)$portfolio_limit,
      'orderby' => $portfolio_orderby,
      'order' => $portfolio_order
    );

      $rifl_port = new WP_Query( $args );
      $riffel_pagi_style = cs_get_option('portfolio_pagination');
      $rifl_loader_icon = cs_get_option('loader_icon_option');
    ?>

    <!-- Portfolio Start -->
    <div class="rifl-portfolio <?php echo esc_attr($portfolio_style_cls); ?>">
    <?php
    if($portfolio_style === 'style-three') { ?>
      <div class="masonry-filters">
        <ul>
          <li><a href="javascript:void(0);" class="btn-active" data-filter="*"><?php echo esc_attr('All', 'riffel'); ?></a></li>
          <?php
            $terms = get_terms('portfolio_category');
            $count = count($terms);
            $i=0;
            $term_list = '';
            if ($count > 0) {
              foreach ($terms as $term) {
                $i++;
                $term_list .= '<li><a href="javascript:void(0);" class="filter cat-'. $term->slug .'" data-filter=".'. $term->slug .'-item" title="' . esc_attr($term->name) . '">' . $term->name . '</a></li>';
                if ($count != $i) {
                  $term_list .= '';
                } else {
                  $term_list .= '';
                }
              }
              echo $term_list;
            }
          ?>
        </ul>
      </div>
    <?php }
    if($portfolio_style === 'horizontal') { ?>
      <div class="slick-slider">
    <?php } elseif($portfolio_style === 'style-three') { ?>
      <div class="width-one">
      <div class="rifl-masonry rifl-post-load-more masonry-style-two load-portfolio" data-select=".rifl-masonry" data-item=".masonry-item" data-space="15" data-paging="<?php echo esc_attr($riffel_pagi_style); ?>" data-icon-port="<?php echo esc_attr($rifl_loader_icon); ?>">
    <?php } elseif($portfolio_style === 'vertical') { ?>
      <div class="rifl-masonry rifl-post-load-more load-portfolio" data-select=".rifl-masonry" data-item=".masonry-item" data-space="0" data-item="1" data-paging="<?php echo esc_attr($riffel_pagi_style); ?>" data-icon-port="<?php echo esc_attr($rifl_loader_icon); ?>">
    <?php } else { ?>
     <div class="rifl-masonry rifl-post-load-more load-portfolio" data-select=".rifl-masonry" data-item=".masonry-item" data-space="0" data-paging="<?php echo esc_attr($riffel_pagi_style); ?>" data-icon-port="<?php echo esc_attr($rifl_loader_icon); ?>">
    <?php } if($portfolio_style !== 'horizontal'){ ?>
      <div class="blog-maso">
    <?php }
    if ($rifl_port->have_posts()) : while ($rifl_port->have_posts()) : $rifl_port->the_post();

      // Category
      global $post;
      $terms = wp_get_post_terms($post->ID,'portfolio_category');
      foreach ($terms as $term) {
        $cat_class = $term->slug.'-item';
      }
      $count = count($terms);
      $i=0;
      $cat_class = '';
      if ($count > 0) {
        foreach ($terms as $term) {
          $i++;
          $cat_class .= $term->slug .'-item ';
          if ($count != $i) {
            $cat_class .= '';
          } else {
            $cat_class .= '';
          }
        }
      }

      if ($portfolio_style === 'horizontal') {
        $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
        $large_image = isset($large_image[0]) ? $large_image[0] : '';
        $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
          if ($portfolio_featurd_image){
            $masonry_img_size = $portfolio_featurd_image['masonry_img_size'];
            $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
            $title_color = $portfolio_featurd_image['title_color'];
            $category_color = $portfolio_featurd_image['category_color'];
            if($portfolio_featurd_image['featured_image_masonry']) {
              $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_masonry'], 'fullsize', true );
            } else {
              $portfolio_masonry_img = $large_image;
            }
          } else {
            $portfolio_masonry_img = $large_image;
            $masonry_img_size = '';
            $featured_image_bg = '';
            $title_color = '';
            $category_color = '';
          }
          $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
          $title_color = $title_color ? 'data-color='.$title_color.'' : '';
          $category_color = $category_color ? 'data-color='.$category_color.'' : '';

          if(class_exists('Aq_Resize')) {
            $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '878', true );
          } else {$portfolio_img = $portfolio_masonry_img;}
          $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x895.png';
         ?>
        <div class="item">
          <div class="portfolio-item">
            <div class="rifl-image"><img data-original="<?php echo $portfolio_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
            <div class="portfolio-info">
              <div class="rifl-table-container">
                <div class="rifl-align-container bottom">
                  <div class="portfolio-info-wrap">
                    <h3 class="portfolio-title"><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($title_color); ?> class="bpw-heading"><?php esc_html(the_title()); ?></a></h3>
                    <h5 class="portfolio-category"><span class="category-name">
                    <?php
                      $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                      $i=1;
                      foreach ($category_list as $term) {
                        $term_link = get_term_link( $term );
                        echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                      }
                    ?>
                    </span></h5>
                  </div>
                </div>
              </div>
              <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
            </div>
          </div>
        </div>

        <?php
        } elseif ($portfolio_style === 'vertical') {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          $large_image = isset($large_image[0]) ? $large_image[0] : '';
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
            if ($portfolio_featurd_image){
                $title_color = $portfolio_featurd_image['title_color'];
                $category_color = $portfolio_featurd_image['category_color'];
                $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
              if($portfolio_featurd_image['featured_image_vertical']) {
                $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_vertical'], 'fullsize', true );
              } else {
                $portfolio_masonry_img = $large_image;
              }
            } else {
              $portfolio_masonry_img = $large_image;
              $featured_image_bg = '';
              $title_color = '';
              $category_color = '';
            }

            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';

            if(class_exists('Aq_Resize')) {
              $portfolio_img = aq_resize( $portfolio_masonry_img, '1903', '543', true );
            } else {$portfolio_img = $portfolio_masonry_img;}
            $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/1903x543.png';
           ?>
           <div class="masonry-item <?php echo esc_attr($cat_class); ?>">
            <div class="portfolio-item">
              <div class="rifl-image"><img data-original="<?php echo $portfolio_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
              <div class="portfolio-info">
                <div class="rifl-table-container">
                  <div class="rifl-align-container">
                    <div class="container">
                      <div class="portfolio-info-wrap">
                        <h5 class="portfolio-category"><span class="category-name">
                          <?php
                            $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                            $i=1;
                            foreach ($category_list as $term) {
                              $term_link = get_term_link( $term );
                              echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                            }
                          ?>
                        </h5>
                        <h3 class="portfolio-title"><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($title_color); ?> class="bpw-heading"><?php esc_html(the_title()); ?></a></h3>
                      </div>
                    </div>
                  </div>
                </div>
                <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
              </div>
            </div>
          </div>

        <?php
        } elseif($portfolio_style === 'style-three') {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          $large_image = isset($large_image[0]) ? $large_image[0] : '';
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
            if ($portfolio_featurd_image){
              $masonry_img_size = $portfolio_featurd_image['masonry_img_size'];
              $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
              $title_color = $portfolio_featurd_image['title_color'];
              $category_color = $portfolio_featurd_image['category_color'];
              if($portfolio_featurd_image['featured_image_masonry']) {
                $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_masonry'], 'fullsize', true );
              } else {
                $portfolio_masonry_img = $large_image;
              }
            } else {
              $portfolio_masonry_img = $large_image;
              $masonry_img_size = '';
              $featured_image_bg = '';
              $title_color = '';
              $category_color = '';
            }

            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';

          if ($masonry_img_size) {
            if ($masonry_img_size === '2x-height') {
              $img_size_class = 'double-height ';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '408', '806', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            } elseif ($masonry_img_size === '2x-width') {
              $img_size_class = 'double-width ';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '855', '390', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            } elseif ($masonry_img_size === '2x-width-height') {
              $img_size_class = 'one-half-item ';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '855', '810', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            } else {
              $img_size_class = '';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '408', '386', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            }
          } else {
            $img_size_class = '';
            if(class_exists('Aq_Resize')) {
              $portfolio_img = aq_resize( $portfolio_masonry_img, '408', '386', true );
            } else {$portfolio_img = $portfolio_masonry_img;}
          }
          $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/360x341.png';
          ?>
          <div class="masonry-item <?php echo esc_attr($img_size_class .$cat_class); ?> " data-category="<?php echo esc_attr($cat_class); ?>">
            <div class="portfolio-item">
              <div class="rifl-image"><img data-original="<?php echo $portfolio_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
              <div class="portfolio-info">
                <div class="rifl-table-container">
                  <div class="rifl-align-container">
                    <div class="portfolio-info-wrap">
                      <h3 class="portfolio-title"><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($title_color); ?> ><?php esc_html(the_title()); ?></a></h3>
                      <h5 class="portfolio-category">
                      <?php
                        $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                        $i=1;
                        foreach ($category_list as $term) {
                          $term_link = get_term_link( $term );
                          echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="category-name">'. $term->name .'</a> ';
                        }
                      ?>
                  </span></h5>
                    </div>
                  </div>
                </div>
                <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
              </div>
            </div>
          </div>
        <?php } else {
          $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
          if ($large_image) {
            $large_image = isset($large_image[0]) ? $large_image[0] : RIFFEL_IMAGES.'/backgrounds/1000x850.jpg';
          } else {
            $large_image = RIFFEL_IMAGES.'/backgrounds/1000x850.jpg';
          }
          $portfolio_featurd_image = get_post_meta( get_the_ID(), 'portfolio_featurd_image', true );
          if ($portfolio_featurd_image){
            $featured_image_bg = $portfolio_featurd_image['featured_image_bg'];
            $masonry_img_size = $portfolio_featurd_image['masonry_img_size'];
            $title_color = $portfolio_featurd_image['title_color'];
            $category_color = $portfolio_featurd_image['category_color'];
            if($portfolio_featurd_image['featured_image_masonry']) {
              $portfolio_masonry_img = wp_get_attachment_image_url( $portfolio_featurd_image['featured_image_masonry'], 'fullsize', true );
            } else {
              $portfolio_masonry_img = $large_image;
            }
          } else {
            $portfolio_masonry_img = $large_image;
            $featured_image_bg = '';
            $masonry_img_size = '';
            $title_color = '';
            $category_color = '';
          }

          if($portfolio_view ==='masonry'){
            $maso_cls = 'item-masonry-two ';
              if ($masonry_img_size) {
                if ($masonry_img_size === '2x-height') {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x764.png';
                  $img_size_class = 'double-height ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '764', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                } elseif ($masonry_img_size === '2x-width') {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/952x382.png';
                  $img_size_class = 'double-width ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '952', '382', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                } elseif ($masonry_img_size === '2x-width-height') {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/952x764.png';
                  $img_size_class = 'one-half-item ';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '952', '764', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                } else {
                  $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x382.png';
                  $img_size_class = '';
                  if(class_exists('Aq_Resize')) {
                    $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '382', true );
                  } else {$portfolio_img = $portfolio_masonry_img;}
                }
              } else {
                $img_size_class = '';
                if(class_exists('Aq_Resize')) {
                  $portfolio_img = aq_resize( $portfolio_masonry_img, '476', '382', true );
                } else {$portfolio_img = $portfolio_masonry_img;}
              }
              $featured_img = ( $portfolio_img ) ? $portfolio_img : RIFFEL_PLUGIN_ASTS . '/images/476x382.png';
            } else {
              $lazy_img = RIFFEL_PLUGIN_ASTS . '/images/476x476.png';
              $maso_cls = 'item-masonry-grid ';
               $img_size_class = '';
              if(class_exists('Aq_Resize')) {
                $portfolio_img = aq_resize( $portfolio_masonry_img, '480', '480', true );
              } else {$portfolio_img = $portfolio_masonry_img;}
            $featured_img = ( $portfolio_img ) ? $portfolio_img : RIFFEL_PLUGIN_ASTS . '/images/476x476.png';
            }

            $img_bg_color = $featured_image_bg ? 'data-background='.$featured_image_bg.'' : '';
            $title_color = $title_color ? 'data-color='.$title_color.'' : '';
            $category_color = $category_color ? 'data-color='.$category_color.'' : '';
        ?>
        <div class="masonry-item <?php echo esc_attr($maso_cls . $img_size_class . $cat_class); ?>" data-category="<?php echo esc_attr($cat_class); ?>">
          <div class="portfolio-item">
            <div class="rifl-image"><img data-original="<?php echo $featured_img; ?>" src="<?php echo $lazy_img; ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></div>
            <div class="portfolio-info">
              <div class="rifl-table-container">
                <div class="rifl-align-container bottom">
                  <div class="portfolio-info-wrap">
                    <h3 class="portfolio-title"><a href="<?php esc_url(the_permalink()); ?>" <?php echo esc_attr($title_color); ?> ><?php esc_html(the_title()); ?></a></h3>
                    <h5 class="portfolio-category">
                      <span class="category-name">
                       <?php
                        $category_list = wp_get_post_terms($post->ID, 'portfolio_category');
                        $i=1;
                        foreach ($category_list as $term) {
                          $term_link = get_term_link( $term );
                          echo '<a href="'. esc_url($term_link) .'" '.esc_attr($category_color).' class="bpw-category">'. $term->name .'</a> ';
                        }
                        ?>
                      </span>
                    </h5>
                  </div>
                </div>
              </div>
              <div <?php echo esc_attr($img_bg_color); ?> class="portfolio-background"></div>
            </div>
          </div>
        </div>

      <?php
        }
      endwhile;
      endif;

if($portfolio_style === 'style-three') { ?>
    </div>
    <?php
      if ($portfolio_pagination) { ?>
        <div class="rifl-pagination">
          <?php riffel_paging_nav(); ?>
        </div>
      <?php } ?>
    </div>
    </div>
    </div>
<?php } elseif($portfolio_style === 'horizontal'){ ?>
    </div>
    </div>
<?php } else { ?>
    </div>
    <?php
      if ($portfolio_pagination) { ?>
        <div class="rifl-pagination">
          <?php riffel_paging_nav(); ?>
        </div>
      <?php }
    ?>
    </div>
    </div>
<?php }    // Portfolio End

    wp_reset_postdata();  // avoid errors further down the page

} else {

// Metabox
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );

if ($riffel_meta) {
  $riffel_content_padding = $riffel_meta['content_spacings'];
} else { $riffel_content_padding = ''; }
// Padding - Metabox
if ($riffel_content_padding && $riffel_content_padding !== 'padding-none') {
  $riffel_content_top_spacings = $riffel_meta['content_top_spacings'];
  $riffel_content_bottom_spacings = $riffel_meta['content_bottom_spacings'];
  if ($riffel_content_padding === 'padding-custom') {
    $riffel_content_top_spacings = $riffel_content_top_spacings ? 'padding-top:'. riffel_check_px($riffel_content_top_spacings) .';' : '';
    $riffel_content_bottom_spacings = $riffel_content_bottom_spacings ? 'padding-bottom:'. riffel_check_px($riffel_content_bottom_spacings) .';' : '';
    $riffel_custom_padding = $riffel_content_top_spacings . $riffel_content_bottom_spacings;
  } else {
    $riffel_custom_padding = '';
  }
} else {
  $riffel_custom_padding = '';
}

// Theme Options
$riffel_blog_style = cs_get_option('blog_listing_style');
$riffel_blog_width = cs_get_option('blog_listing_width');
$riffel_sidebar_position = cs_get_option('blog_sidebar_position');
$riffel_pagi_style = cs_get_option('blog_pagination_style');
$blog_load_btn_type = cs_get_option('blog_load_btn_type');
$riffel_load_more = cs_get_option('ajax_load_more_text');
$rifl_loader_icon = cs_get_option('blog_loader_icon_option');

$riffel_load_more = ( $riffel_load_more ) ? $riffel_load_more : esc_html__( 'Load More', 'riffel' );

// $paging_type = $riffel_pagi_style ? ' data-paging="'.$riffel_pagi_style.'"' : '';

// Columns
$blog_width = $riffel_blog_width ? $riffel_blog_width : ' spacer-wrap ';

  // Sidebar Positio
  if ($riffel_sidebar_position === 'sidebar-hide') {
    $layout_class = 'col-md-12';
    $riffel_sidebar_class = 'rifl-hide-sidebar';
  } elseif ($riffel_sidebar_position === 'sidebar-left') {
    $layout_class = 'col-md-9';
    $riffel_sidebar_class = 'rifl-left-sidebar';
  } else {
    $layout_class = 'col-md-9';
    $riffel_sidebar_class = 'rifl-right-sidebar';
  }

if ($riffel_blog_style === 'style-two') { ?>
<div class="rifl-mid-wrap spacer-two blog-masonry <?php echo esc_attr($riffel_content_padding) .' '. esc_attr($riffel_sidebar_class); ?>" style="<?php echo esc_attr($riffel_custom_padding); ?>">
  <div class="rifl-list-msnr <?php echo esc_attr($blog_width); ?>">
      <?php
        if ($riffel_sidebar_position === 'sidebar-left' && $riffel_sidebar_position !== 'sidebar-hide') {
          get_sidebar();
        }
      ?>
      <div class="rifl-primary <?php echo esc_attr($layout_class); ?>">
        <div class="blog-items blog-list-items rifl-post-load-more load-posts" data-select=".blog-items" data-item=".blog-item" data-paging="<?php echo esc_attr($riffel_pagi_style); ?>" data-button="<?php echo esc_attr($blog_load_btn_type); ?>" data-loading="<?php echo esc_attr($riffel_load_more); ?>" data-icon="<?php echo esc_attr($rifl_loader_icon); ?>">
            <div class="blog-maso">
              <?php
                if ( have_posts() ) :
                /* Start the Loop */
                while ( have_posts() ) : the_post();
                  get_template_part( 'layouts/post/content' );
                endwhile;
                else :
                  get_template_part( 'layouts/post/content', 'none' );
                endif;
              ?>
            </div>
            <div class="rifl-pagination">
              <?php riffel_paging_nav(); ?>
            </div>
        </div><!-- Blog Div -->
        <?php
        wp_reset_postdata(); ?>
      </div>
    <!-- Content Area -->
    <?php
      if ($riffel_sidebar_position !== 'sidebar-hide') {
        get_sidebar(); // Sidebar
      }
    ?>
  </div>
</div>

<?php } else { ?>
<div class="rifl-mid-wrap spacer-two blog-masonry">
  <div class="<?php echo esc_attr($blog_width) .' '. esc_attr($riffel_content_padding) .' '. esc_attr($riffel_sidebar_class); ?>" style="<?php echo esc_attr($riffel_custom_padding); ?>">
    <div class="row">
      <?php
        if ($riffel_sidebar_position === 'sidebar-left' && $riffel_sidebar_position !== 'sidebar-hide') {
          get_sidebar();
        }
      ?>
    <div class="blog-items grid-view rifl-primary <?php echo esc_attr($layout_class); ?>">
      <div class="rifl-masonry rifl-post-load-more load-posts" data-select=".rifl-masonry" data-item=".masonry-item" data-space="20" data-paging="<?php echo esc_attr($riffel_pagi_style); ?>" data-button="<?php echo esc_attr($blog_load_btn_type); ?>" data-loading="<?php echo esc_attr($riffel_load_more); ?>" data-icon="<?php echo esc_attr($rifl_loader_icon); ?>">
          <div class="blog-maso">
            <?php
              if ( have_posts() ) :
              /* Start the Loop */
              while ( have_posts() ) : the_post();
              get_template_part( 'layouts/post/content' );
              endwhile;
              else :
                get_template_part( 'layouts/post/content', 'none' );
              endif;
            ?>
          </div>
          <div class="rifl-pagination">
            <?php riffel_paging_nav(); ?>
          </div>
      </div><!-- Blog Div -->
      <?php wp_reset_postdata(); ?>

    </div><!-- Content Area -->
    <?php
      if ($riffel_sidebar_position !== 'sidebar-hide') {
        get_sidebar(); // Sidebar
      }
    ?>
  </div>
  </div>
</div>

<?php } }
get_footer();