<?php
/*
 * The sidebar containing the main widget area.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

$riffel_blog_widget = cs_get_option('blog_widget');
$riffel_team_widget = cs_get_option('team_widget');
$riffel_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );

if(is_single()){
	if ($riffel_page_layout) {
		$riffel_single_sidebar_type = $riffel_page_layout['post_page_sidebar_type'];
		$riffel_single_blog_widget = $riffel_page_layout['page_sidebar_widget'];
	} else {
		$riffel_single_sidebar_type = cs_get_option('single_sidebar_type');
		$riffel_single_blog_widget = cs_get_option('single_blog_widget');
	}
	$riffel_single_sidebar_type = $riffel_single_sidebar_type ? $riffel_single_sidebar_type : cs_get_option('single_sidebar_type');
	$riffel_single_blog_widget = $riffel_single_blog_widget ? $riffel_single_blog_widget : cs_get_option('single_blog_widget');

	if ($riffel_single_sidebar_type === 'floating') {
	  $sidebar_type_cls = ' rifl-floting-sidebar';
	} elseif ($riffel_single_sidebar_type === 'sticky') {
	  $sidebar_type_cls = ' rifl-sticky-sidebar';
	} else {
		$sidebar_type_cls = '';
	}
} elseif (is_page()) {
	// Page Layout Options
	if ($riffel_page_layout) {
		$page_widget = $riffel_page_layout['page_sidebar_widget'];
		$riffel_sidebar_type = $riffel_page_layout['post_page_sidebar_type'];
	} else {
		$page_widget = '';
		$riffel_sidebar_type = '';
	}
		if ($riffel_sidebar_type === 'floating') {
		  $sidebar_type_cls = ' rifl-floting-sidebar';
		} elseif ($riffel_sidebar_type === 'sticky') {
		  $sidebar_type_cls = ' rifl-sticky-sidebar';
		} else {
			$sidebar_type_cls = '';
		}

} elseif ( !is_page()) {
	$riffel_sidebar_type = cs_get_option('blog_sidebar_type');
	if ($riffel_sidebar_type === 'floating') {
	  $sidebar_type_cls = ' rifl-floting-sidebar';
	} elseif ($riffel_sidebar_type === 'sticky') {
	  $sidebar_type_cls = ' rifl-sticky-sidebar';
	} else {
		$sidebar_type_cls = '';
	}
} else {
	$sidebar_type_cls = '';
}
?>

<div class="col-md-3 rifl-secondary <?php echo esc_attr($sidebar_type_cls); ?>">
<?php
	if (is_page() && $page_widget) {
		if (is_active_sidebar($page_widget)) {
			dynamic_sidebar($page_widget);
		}
	} elseif (!is_page() && $riffel_blog_widget && !$riffel_single_blog_widget) {
		if (is_active_sidebar($riffel_blog_widget)) {
			dynamic_sidebar($riffel_blog_widget);
		}
	} elseif ($riffel_team_widget && is_singular('team')) {
		if (is_active_sidebar($riffel_team_widget)) {
			dynamic_sidebar($riffel_team_widget);
		}
	} elseif (is_single() && $riffel_single_blog_widget) {
		if (is_active_sidebar($riffel_single_blog_widget)) {
			dynamic_sidebar($riffel_single_blog_widget);
		}
	} else {
		if (is_active_sidebar('sidebar-1')) {
			dynamic_sidebar( 'sidebar-1' );
		}
	} ?>
</div><!-- #secondary -->
