<?php
/*
 * The template for displaying all single posts.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
get_header();

// Metabox
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );

if ($riffel_meta) {
	$riffel_content_padding = $riffel_meta['content_spacings'];
} else { $riffel_content_padding = ''; }
// Padding - Metabox
if ($riffel_content_padding && $riffel_content_padding !== 'padding-none') {
	$riffel_content_top_spacings = $riffel_meta['content_top_spacings'];
	$riffel_content_bottom_spacings = $riffel_meta['content_bottom_spacings'];
	if ($riffel_content_padding === 'padding-custom') {
		$riffel_content_top_spacings = $riffel_content_top_spacings ? 'padding-top:'. riffel_check_px($riffel_content_top_spacings) .';' : '';
		$riffel_content_bottom_spacings = $riffel_content_bottom_spacings ? 'padding-bottom:'. riffel_check_px($riffel_content_bottom_spacings) .';' : '';
		$riffel_custom_padding = $riffel_content_top_spacings . $riffel_content_bottom_spacings;
	} else {
		$riffel_custom_padding = '';
	}
} else {
	$riffel_custom_padding = '';
}
// Page Layout Options
$riffel_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );

if ($riffel_page_layout) {
$riffel_sidebar_position = '';
$riffel_page_layout = $riffel_page_layout['page_layout'];

	if ($riffel_page_layout !== 'default'){

		// Page Layout Class
		if ($riffel_page_layout === 'left-sidebar') {
			$riffel_sidebar_class = 'left-sidebar';
			$riffel_layout_class = 'col-md-9';
		} elseif ($riffel_page_layout === 'right-sidebar') {
			$riffel_sidebar_class = 'right-sidebar';
			$riffel_layout_class = 'col-md-9';
		} else {
			$riffel_sidebar_class = '';
			$riffel_layout_class = 'col-md-12';
		}

	} else {
		// Theme Options
		$riffel_sidebar_position = cs_get_option('single_sidebar_position');
		// Sidebar Position
		if ($riffel_sidebar_position === 'sidebar-hide') {
			$riffel_layout_class = 'col-md-12';
			$riffel_sidebar_class = 'rifl-hide-sidebar';
		} elseif ($riffel_sidebar_position === 'sidebar-left') {
			$riffel_layout_class = 'col-md-9';
			$riffel_sidebar_class = 'left-sidebar';
		} else {
			$riffel_layout_class = 'col-md-9';
			$riffel_sidebar_class = 'right-sidebar';
		}
	}
} else {
	// Theme Options
	$riffel_sidebar_position = cs_get_option('single_sidebar_position');

	// Sidebar Position
	if ($riffel_sidebar_position === 'sidebar-hide') {
		$riffel_layout_class = 'col-md-12';
		$riffel_sidebar_class = 'rifl-hide-sidebar';
	} elseif ($riffel_sidebar_position === 'sidebar-left') {
		$riffel_layout_class = 'col-md-9';
		$riffel_sidebar_class = 'left-sidebar';
	} else {
		$riffel_layout_class = 'col-md-9';
		$riffel_sidebar_class = 'right-sidebar';
	}
}
?>
<div class="rifl-mid-wrap blog-detail-wrap spacer-two <?php echo esc_attr($riffel_sidebar_class); ?>">
	<div class="container rifl-content-area <?php echo esc_attr($riffel_content_padding); ?>" style="<?php echo esc_attr($riffel_custom_padding); ?>">
		<div class="row">
			<?php
				if ($riffel_sidebar_position === 'sidebar-left' || $riffel_page_layout === 'left-sidebar' && $riffel_sidebar_position !== 'sidebar-hide') {
					get_sidebar(); // Sidebar
				}
			?>
			<div class="rifl-content-side rifl-primary <?php echo esc_attr($riffel_layout_class); ?>">
				<div class="rifl-unit-fix">
					<div class="entry-content">
	          <div class="rifl-blog-detail">
							<?php
								if ( have_posts() ) :
									/* Start the Loop */
									while ( have_posts() ) : the_post();
										get_template_part( 'layouts/post/content', 'single' );
										if ( (comments_open() || get_comments_number()) ) :
											comments_template();
										endif;
									endwhile;
								else :
									get_template_part( 'layouts/post/content', 'none' );
								endif; 
							?>
						</div>
					</div>
				</div><!-- Blog Div -->
					<?php
				    riffel_paging_nav();
				    wp_reset_postdata();  // avoid errors further down the page
					?>
			</div><!-- Content Area -->

				<?php
					if (($riffel_sidebar_position !== 'sidebar-hide' || $riffel_page_layout === 'right-sidebar') && ($riffel_page_layout !== 'full-width' && $riffel_page_layout !== 'extra-width') ){
						get_sidebar(); // Sidebar
					}
				?>
		</div>
	</div>
</div>
<?php
get_footer();